2025-05-05 Mike Gabriel

        * Release 1.1.4 (HEAD -> main, tag: v1.1.4)

2025-04-13 Mike Gabriel

        * Merge branch 'main_-_removebottombar' into 'main' (0b99ae14)

2025-04-12 kugiigi

        * Remove bottom toolbar (e3b7095f)

2025-04-11 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (9b053288)

2025-04-10 Jozef Mlich

        * Translated using Weblate (Czech) (eab7f491)

2025-04-09 Jozef Mlich

        * Translated using Weblate (Czech) (92af7650)

2025-04-08 Serhii Horichenko

        * Translated using Weblate (Ukrainian) (8d773e3f)

2025-04-04 Heimen Stoffels

        * Translated using Weblate (Dutch) (ea6bb578)

2025-04-05 Ettore Atalan

        * Translated using Weblate (German) (dd429df7)

2025-04-04 Hosted Weblate

        * Update translation files (4d3f1ea1)

2025-04-04 Mike Gabriel

        * Merge branch 'main_-_bottomtoolbar' into 'main' (3226e310)

2025-03-24 Kugi Eusebio

        * Enable creating new folders in import mode (74bf879e)

2025-03-04 kugiigi

        * Updated pot file (ab6a2a44)

2025-03-03 kugiigi

        * Implemented a bottom toolbar for small displays (3caa0cad)

2025-04-04 Mike Gabriel

        * Merge branch 'main_-_fixqmlerrors' into 'main' (adf18235)

2025-02-25 kugiigi

        * Fix bottom tooltip anchor error (b5edb1fd)
        * Fix minor QML errors (aa6669c4)

2025-04-04 Hosted Weblate

        * Update translation files (d85e677d)

2025-04-04 Mike Gabriel

        * Merge branch 'main_-_authenticationsettings' into 'main' (da8253c4)

2025-03-10 kugiigi

        * Add toggle for full access authentication (dd443a79)

2025-02-06 Milo Ivir

        * Translated using Weblate (Croatian) (f705f23b)

2025-02-05 Milo Ivir

        * Translated using Weblate (Croatian) (5e98a9b6)

2025-02-04 Milo Ivir

        * Translated using Weblate (Croatian) (6699a894)

2025-02-01 Milo Ivir

        * Translated using Weblate (Croatian) (37f8a44c)

2025-01-21 Mike Gabriel

        * Release 1.1.3 (b2aeb122) (tag: v1.1.3)

2025-01-12 தமிழ்நேரம்

        * Translated using Weblate (Tamil) (51bcd955)

2024-12-27 Hosted Weblate

        * Update translation files (2b654462)

2024-12-22 Marius Gripsgard

        * Merge branch 'revert-fe9a791c' into 'main' (490cfe62)

2024-12-11 Ratchanan Srirattanamet

        * Revert "Fix connections syntax" (dc6a34aa)

2024-12-02 Mike Gabriel

        * Merge branch 'var_fixes' into 'main' (944f2af0)

2024-11-28 Roker2

        * Update files count on inserting files (bf42daa0)
        * Fix connections syntax (fe9a791c)
        * Fix binding loops in FolderListPageSelectionHeader (614cf09f)

2024-09-22 Mike Gabriel

        * Release 1.1.2 (d389d320) (tag: v1.1.2)
        * Merge branch 'fix/nonclickInstalls' into 'main' (984a513f)

2024-09-12 OPNA2608

        * CMakeLists.txt: Let desktop icon be found via lookup in non-click
          mode (942ff7b5)
        * CMakeLists.txt: Also install content-hub & url-dispatcher files in
          non-click mode (c6ac5fa4)

2024-09-21 Mike Gabriel

        * .gitlab-ci.yml: use shared runner if run outside our namespace.
          (50e2dffb)

2024-09-11 Mike Gabriel

        * Release 1.1.1 (978838ba) (tag: v1.1.1)
        * .gitlab-ci.yml: Use UBports GitLab runner. (7e812dfe)
        * Release 1.1.0 (e427881f) (tag: v1.1.0)

2024-09-04 Mike Gabriel

        * Merge branch 'personal/fredldotme/authenticationaftersnapz0r' into
          'main' (876aaf19)

2024-09-04 Alfred Neumayer

        * src: Change authentication environment variable check to "contains"
          rather exactness (5bf59ee5)

2024-09-04 Mike Gabriel

        * Merge branch 'personal/lduboeuf/url_dispatcher_support' into 'main'
          (45842652)

2024-02-09 Lionel Duboeuf

        * Remove filename part if any when url is opened from url-dispatcher
          (12ea6852)

2024-01-11 Lionel Duboeuf

        * Fix folder not shown on cold start when using url-dispatcher
          (4022c38c)
        * Pass arguments to exec This fixes url not set when using
          url-dispatcher (3a9be7cf)

2021-01-23 Alberto Mardegan

        * Initial implementation of url-dispatcher support (5c6f31a4)

2024-08-08 umesaburo sagawa

        * Translated using Weblate (Japanese) (75cc4103)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (f9f8395e)

2024-06-14 Mike Gabriel

        * Merge branch 'main_-_exportfixes' into 'main' (a91824fa)

2024-06-12 Kugi Eusebio

        * Fix same issues with import mode (9ea408b0)

2024-05-14 Kugi Eusebio

        * Also reset importMode to true (3be3ffaf)

2024-05-09 Kugi Eusebio

        * Open new view in file picker mode and exit properly (f351685a)

2024-06-07 Mike Gabriel

        * Merge branch 'fix/cmake-stuff' into 'main' (34daf6ff)

2024-06-06 OPNA2608

        * Split CMAKE_CXX_FLAGS assignment into purpose-specific
          variables/calls (d22058b6)
        * Use find_package REQUIRE for Gettext (a62610fa)
        * Get smbclient flags via pkg-config, when possible (9adfc344)

2024-06-07 Mike Gabriel

        * Merge branch 'fix/qt5_use_modules' into 'main' (52b99aef)

2024-06-06 OPNA2608

        * Stop using qt5_use_modules (e9b659f8)

2024-06-07 Mike Gabriel

        * Merge branch 'musl' into 'main' (fe8b44c1)

2024-03-11 Brandon Boese

        * include paths.h (6bb1f877)

2024-06-07 Mike Gabriel

        * Merge branch 'fix/bindtextdomain' into 'main' (e27d7b59)

2024-05-31 OPNA2608

        * Call i18n.bindtextdomain with buildtime-determined locale path
          (644570fc)

2024-06-03 Mike Gabriel

        * Merge branch 'personal/gberh/fix-i18n-domain' into 'main'
          (d7df2ef0)

2024-06-03 Guido Berhoerster

        * Use correct gettext domain (2bb19aee)

2024-05-28 Ali Beyaz

        * Translated using Weblate (Turkish) (c9d3c142)

2024-04-23 Mike Gabriel

        * Merge branch 'personal/gberh/fix-i18n-domain' into 'main'
          (24b98a80)

2024-04-23 Guido Berhoerster

        * Set gettext domain correctly (b310434d)

2024-04-18 复予

        * Translated using Weblate (Chinese (Simplified)) (f77812a8)

2024-03-09 saveurlinux

        * Translated using Weblate (French) (2b45bb79)

2024-03-06 Giannis Vassilopoulos

        * Translated using Weblate (Greek) (8b5b5389)

2024-01-28 ButterflyOfFire

        * Translated using Weblate (Kabyle) (a0bac165)

2024-01-25 Mike Gabriel

        * Release 1.0.4 (d124dd47) (tag: v1.0.4)

2024-01-10 Mike Gabriel

        * Merge branch 'cherry-pick-cd5f84b0' into 'main' (3c8d7f42)

2023-08-30 Debian

        * Fix incorrect initialization of PathHistoryRow (0b986722)

2023-12-27 Hosted Weblate

        * Update translation files (c506680a)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (40bbd1d4)
        * Added translation using Weblate (Tamil (Sri Lanka)) (c3e7ba30)
        * Added translation using Weblate (German (Walser)) (0a6460e5)
        * Added translation using Weblate (Meadow Mari) (af7748e7)
        * Added translation using Weblate (Crimean Tatar) (769fed80)
        * Added translation using Weblate (Chuvash) (8643e9ee)
        * Added translation using Weblate (Silesian) (1fd46aa5)
        * Added translation using Weblate (Latin) (d8c94246)
        * Added translation using Weblate (Venetian) (55733114)
        * Added translation using Weblate (Ossetian) (1950e51a)
        * Added translation using Weblate (Sami (Northern)) (126b150c)
        * Added translation using Weblate (Greenlandic) (3070885b)
        * Added translation using Weblate (Assamese) (ce40808e)
        * Added translation using Weblate (Haitian) (42d16052)
        * Added translation using Weblate (Cornish) (13077118)
        * Added translation using Weblate (Frisian) (4549f77d)
        * Added translation using Weblate (Kashubian) (27a5ba1e)
        * Added translation using Weblate (Aragonese) (f714e3b2)
        * Added translation using Weblate (Tibetan) (8a25a092)
        * Added translation using Weblate (Filipino) (427beeaa)
        * Added translation using Weblate (Tigrinya) (01a41309)
        * Added translation using Weblate (Tatar) (ae4ba5f2)

2023-12-26 Weblate

        * Added translation using Weblate (Italian (it_CARES)) (89bc5c22)

2023-11-29 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (6141ae98)

2023-12-04 Reza Almanda

        * Translated using Weblate (Indonesian) (b6fdd719)

2023-11-14 NPL

        * Translated using Weblate (Japanese) (306b497e)

2023-10-21 Hosted Weblate

        * Update translation files (52821f48)

2023-10-17 Weblate

        * Added translation using Weblate (Xhosa) (b80d0903)
        * Added translation using Weblate (Manx) (db4fd4e1)
        * Added translation using Weblate (Corsican) (edffa50c)
        * Added translation using Weblate (Chechen) (c00f4b97)
        * Added translation using Weblate (Wolof) (a8af3d1e)
        * Added translation using Weblate (Kyrgyz) (ef17f7e9)
        * Added translation using Weblate (Kurdish) (2e3a703c)
        * Added translation using Weblate (Sotho (Southern)) (59cde57f)
        * Added translation using Weblate (Kazakh) (43fd9c74)
        * Added translation using Weblate (Faroese) (758f925d)
        * Added translation using Weblate (Nepali) (ce193079)
        * Added translation using Weblate (Norwegian Nynorsk) (e4cf0eaf)
        * Added translation using Weblate (Interlingua) (46a85697)
        * Added translation using Weblate (Swahili) (2c602854)
        * Added translation using Weblate (Afrikaans) (0621bc46)
        * Added translation using Weblate (Marathi) (97baafbc)
        * Added translation using Weblate (Vietnamese) (40c2e8b5)
        * Added translation using Weblate (Odia) (80713f9c)
        * Added translation using Weblate (Occitan) (01d735ff)
        * Added translation using Weblate (Bengali) (762ca623)
        * Added translation using Weblate (Estonian) (53e2f572)
        * Added translation using Weblate (Irish) (46913c1f)

2023-10-11 Serhii Horichenko

        * Translated using Weblate (Russian) (848321f3)

2023-10-15 Mike Gabriel

        * Release 1.0.3 (770de5d2) (tag: v1.0.3)

2023-08-21 NPL

        * Translated using Weblate (Japanese) (e77f578e)

2023-08-12 NPL

        * Translated using Weblate (Japanese) (311badf3)

2023-08-13 Abdullah AL Shohag

        * Translated using Weblate (Bengali (Bangladesh)) (19268a14)

2023-08-04 Salif Mehmed

        * Translated using Weblate (Bulgarian) (eddeb3b9)

2023-07-10 abidin toumi

        * Translated using Weblate (Arabic) (454964fa)

2023-06-30 Rudra Harsh V.Singh

        * Translated using Weblate (Sanskrit) (b46dc539)

2023-06-27 Rudra Harsh V.Singh

        * Translated using Weblate (English (Canada)) (566e5301)

2023-06-26 Rudra Harsh V.Singh

        * Translated using Weblate (Hindi) (5a718eb7)

2023-06-28 J. Lavoie

        * Translated using Weblate (German) (d4ca1dc7)

2023-06-09 Mike Gabriel

        * Merge branch 'main' into 'main' (21acbc5d)

2023-06-09 Lionel Duboeuf

        * Merge branch lomiri-filemanager-app:main into main (ec8e2fe9)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (3632d270)

2023-06-06 Guido Berhoerster

        * Merge branch 'ass_ignore_review' into 'main' (9e380d9a)

2023-03-30 Danfro

        * add ignore review errors to clickable.yaml to allow local building
          (e330f9b8)

2023-05-26 Lionel Duboeuf

        * Avoid loading twice the Folder Page when requested from Content-Hub
          (c315abd9)
        * Avoid displaying content info while folder model is still busy.
          This fixes:
          https://gitlab.com/ubports/development/apps/lomiri-filemanager-app/-/issues/106
          (463adfb9)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (67c4c98c)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (76f780df)
        * Translated using Weblate (Georgian) (db80e2ff)

2023-04-04 gallegonovato

        * Translated using Weblate (Spanish) (0b197532)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (04507d64)

2023-03-30 Jozef Mlich

        * Translated using Weblate (Czech) (84a0c55b)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (c8472191)

2023-03-30 Jozef Mlich

        * Translated using Weblate (Czech) (63264f78)

2023-03-27 Jozef Mlich

        * Translated using Weblate (Czech) (2e09c16d)

2023-03-15 Mike Gabriel

        * Merge branch 'personal/gberh/click-migrate' into 'main' (65ccd8e2)

2023-02-28 Guido Berhoerster

        * Use session-migration for migration in Debian (d8edd68e)

2023-02-23 Guido Berhoerster

        * Add migrations to manifest (b8247913)
        * Add migration wrapper script (b4059423)

2023-03-05 Asahi 95

        * Translated using Weblate (Japanese) (b595aec6)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (a32ee861)

2023-02-27 Guido Berhoerster

        * Release 1.0.2 (daa2ec69) (tag: v1.0.2)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (84b67328)

2023-02-22 Heimen Stoffels

        * Translated using Weblate (Dutch) (3635f6ae)

2023-02-20 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (ddc810ca)

2023-02-19 phlostically

        * Translated using Weblate (Esperanto) (ec3a2e84)

2023-02-16 phlostically

        * Translated using Weblate (Esperanto) (ef866e1b)

2023-02-14 Luna Jernberg

        * Translated using Weblate (Swedish) (2a0b711c)

2023-02-13 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (0a0e4211)

2023-02-11 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (a91ea2d8)

2023-02-04 Mike Gabriel

        * Translated using Weblate (German) (08096b3c)

2023-02-03 Guido Berhoerster

        * Release 1.0.1 (d9b37940) (tag: v1.0.1)

2023-01-31 Mike Gabriel

        * Translated using Weblate (German) (45d0454c)

2023-01-30 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (e1bc9834)

2023-01-29 gnu-ewm

        * Translated using Weblate (Polish) (95ae6076)

2023-01-30 Mike Gabriel

        * Translated using Weblate (German) (e96ac52b)

2023-01-31 Mike Gabriel

        * po/: Drop ku.po as suggested by Hosted Weblate. (dfc62051)

2023-01-26 gnu-ewm

        * Translated using Weblate (Polish) (2cf7c7af)

2023-01-25 gnu-ewm

        * Translated using Weblate (Polish) (9aa47e22)

2023-01-23 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (e2bfa452)

2023-01-18 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (3f82c8eb)

2023-01-19 Daniel Frost

        * Translated using Weblate (German) (4d17bed2)

2023-01-18 Guido Berhoerster

        * Release 1.0.0 (da46fe73) (tag: v1.0.0)

2023-01-16 Sergii Horichenko

        * Translated using Weblate (Russian) (fdc7cdf3)

2023-01-16 Ivo Xavier

        * Translated using Weblate (Portuguese) (e05b4406)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (42c11661)

2023-01-15 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (405846eb)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Russian) (c1425639)

2023-01-13 Ivo Xavier

        * Translated using Weblate (Portuguese) (7055e117)

2023-01-13 Timothy G

        * Translated using Weblate (French) (cb2d7e59)

2023-01-11 Alexander Richards

        * Translated using Weblate (German) (f1397ed6)

2023-01-12 Mike Gabriel

        * Merge branch 'personal/gberh/cleanup' into 'main' (fc2e7ef4)

2023-01-06 Guido Berhoerster

        * Improve debian package description (e0b16a45)
        * Update instructions for translators (ce14495b)
        * Remove outdated and redundant information from README.md (8158d83e)
        * Update review guidelines (c39e32e6)
        * Update instructiuons for developers (2dd1e349)
        * Remove instructions for manually testing ContentHub support
          (b69cbfb6)
        * Add note about the state of autopilot (cc59c921)
        * Update CMake requirements (8633cbff)

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (f8414684)

2023-01-07 Alexander Richards

        * Translated using Weblate (Esperanto) (2a7ab9fc)

2023-01-05 Muhammad

        * Translated using Weblate (Urdu) (960f1766)

2023-01-06 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (ff3c7c93)

2023-01-05 Hosted Weblate

        * Update translation files (2826a10f)

2023-01-04 Anonymous

        * Translated using Weblate (Chinese (Min Nan)) (37f42e9e)
        * Translated using Weblate (Kurdish (Southern)) (0fcdda65)
        * Translated using Weblate (Kurdish (Northern)) (451d2bb7)
        * Translated using Weblate (Dhivehi) (7a288d9e)
        * Translated using Weblate (Macedonian) (caf55ab3)
        * Translated using Weblate (Maori) (b4e24632)
        * Translated using Weblate (Friulian) (e84defb0)
        * Translated using Weblate (Icelandic) (70e941a6)
        * Translated using Weblate (Pashto) (5d029915)
        * Translated using Weblate (Telugu) (92170878)
        * Translated using Weblate (Turkmen) (00ba9672)
        * Translated using Weblate (Urdu) (c764f896)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (ee282074)

2023-01-04 Anonymous

        * Translated using Weblate (Ido) (61c3c0b9)
        * Translated using Weblate (Tetum) (5207ae99)
        * Translated using Weblate (Scots) (37a649c1)
        * Translated using Weblate (Franco-Provençal) (b873bb1f)
        * Translated using Weblate (Sindhi) (48dd1bbd)
        * Translated using Weblate (Pampanga) (385a8081)
        * Translated using Weblate (Malagasy) (b736b0a8)
        * Translated using Weblate (Kabyle) (3da0c119)
        * Translated using Weblate (Luxembourgish) (d52b5e30)
        * Translated using Weblate (French (Switzerland)) (083e3dea)
        * Translated using Weblate (Tajik) (6c17cac1)
        * Translated using Weblate (Lojban) (4bcf9e56)
        * Translated using Weblate (Lingala) (152a12f2)
        * Translated using Weblate (Oromo) (85bcd1f7)
        * Translated using Weblate (Bemba) (a76408a1)
        * Translated using Weblate (Nyanja) (5688df44)
        * Translated using Weblate (Sinhala) (76a6861d)
        * Translated using Weblate (Shan) (9d699785)
        * Translated using Weblate (Sanskrit) (f8223bc6)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (339d9227)

2023-01-04 Anonymous

        * Translated using Weblate (Burmese) (386d82bd)
        * Translated using Weblate (Malayalam) (1e1d4c66)
        * Translated using Weblate (Lao) (84ad5e71)
        * Translated using Weblate (English (United States)) (0da417b0)
        * Translated using Weblate (Kurdish (Central)) (0b17c9ed)
        * Translated using Weblate (Bulgarian) (315f09b4)

2023-01-04 Mike Gabriel

        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (f4ec43d6)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (f5ef5c3b)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (8a11e32d)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (b9561830)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (3bdc0c05)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Min Nan)) (0a927e34)
        * Added translation using Weblate (Kurdish (Southern)) (e35d8805)
        * Added translation using Weblate (Kurdish (Northern)) (0937d5cb)
        * Added translation using Weblate (Afar) (0481477a)
        * Added translation using Weblate (Dhivehi) (28a6ba08)
        * Added translation using Weblate (English (Canada)) (b38da74a)
        * Added translation using Weblate (Georgian) (794cc456)
        * Added translation using Weblate (Azerbaijani) (0b25c6c7)
        * Added translation using Weblate (Macedonian) (813d7ba9)
        * Added translation using Weblate (Maori) (7b36a820)
        * Added translation using Weblate (Friulian) (b70f8231)
        * Added translation using Weblate (Hindi) (43e84b7d)
        * Added translation using Weblate (Croatian) (9cd9e132)
        * Added translation using Weblate (Armenian) (3e511742)
        * Added translation using Weblate (Icelandic) (5bb8e62a)
        * Added translation using Weblate (Pashto) (967df27a)
        * Added translation using Weblate (Welsh) (ddaf1a19)
        * Added translation using Weblate (Telugu) (c6779e7c)
        * Added translation using Weblate (Thai) (a05d7bbc)
        * Added translation using Weblate (Turkmen) (4ce82862)
        * Added translation using Weblate (Valencian) (56911167)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (6004fd78)

2023-01-04 Hosted Weblate

        * Update translation files (139b365b)

2023-01-03 Weblate

        * Added translation using Weblate (Urdu) (6789456f)
        * Added translation using Weblate (Ido) (6a764113)
        * Added translation using Weblate (Tetum) (d26bddd8)
        * Added translation using Weblate (Scots) (23c636d2)
        * Added translation using Weblate (Franco-Provençal) (56e02f54)
        * Added translation using Weblate (Sindhi) (055a3d5d)
        * Added translation using Weblate (Pampanga) (f9904dd7)
        * Added translation using Weblate (Malagasy) (7c9404a3)
        * Added translation using Weblate (Kabyle) (4ab70120)
        * Added translation using Weblate (Luxembourgish) (56c1727a)
        * Added translation using Weblate (French (Switzerland)) (dc2d781c)
        * Added translation using Weblate (Tajik) (aa62a27e)
        * Added translation using Weblate (Lojban) (65285d8f)
        * Added translation using Weblate (Lingala) (8c69bdd3)
        * Added translation using Weblate (Oromo) (ab9f671a)

2023-01-03 Hosted Weblate

        * Update translation files (c0c1201c)

2023-01-03 Weblate

        * Added translation using Weblate (Bemba) (3aa4d717)
        * Added translation using Weblate (Nyanja) (5a233f1f)

2022-12-30 Guido Berhoerster

        * gitlab-ci.yml: Remove fixed clickable version (15306c83)

2022-11-15 Mike Gabriel

        * Merge branch 'fix_warn' into 'main' (a7746f0e)

2022-11-10 Sergey Chupligin

        * Fixup warn on focal (3e7a35bc)

2022-11-11 Mike Gabriel

        * Merge branch 'port-to-lomiri-focal' into 'main' (cd0c7259)

2022-10-31 Jonatan Hatakeyama Zeidler

        * Download libsmbclient package for target arch (e4e14f34)

2022-08-23 Guido Berhoerster

        * CI: Do not fail builds on warnings and errors (4a5a30da)

2022-07-28 Guido Berhoerster

        * Update GitLab CI configuration (07f85b16)

2022-10-06 Guido Berhoerster

        * Update click packaging (d60562f3)

2022-06-17 Guido Berhoerster

        * Update and move Jenkinsfile to debian/ (df288bae)

2022-06-15 Guido Berhoerster

        * Update debian packaging (6f839b6c)

2022-10-07 Guido Berhoerster

        * Update .pot file (53ee1fff)
        * Modernize i18n (3838d857)

2022-07-13 Guido Berhoerster

        * Merge PlacesModel QML module into the main project (df43721f)
        * Merge folderlistmodel QML module into the main project (f45d79ee)
        * Merge Archives QML module into the main project (b4b44ab2)

2022-07-12 Guido Berhoerster

        * Remove embedded copy of com.ubuntu.PamAuthentication QML module
          (dacf4df1)

2022-06-24 Guido Berhoerster

        * Change Terminal App to its new name (a7469a9f)

2022-10-07 Guido Berhoerster

        * Remove leftover qmake file (cdf7c2a6)

2022-06-23 Guido Berhoerster

        * Rename application (76df5e63)

2022-06-14 Guido Berhoerster

        * Port to Lomiri on focal (61136429)

2022-06-23 Guido Berhoerster

        * Remove obsolete snap packaging (0f944024)

2022-06-01 Weblate

        * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using
          Weblate (Spanish) - 100.0% (152 of 152 strings) (323bdce3)

2022-04-25 Weblate

        * Translated by creepen123 <eg.ermakov2016@gmail.com> using Weblate
          (Russian) - 100.0% (152 of 152 strings) (d4ed0e25)

2022-04-04 Weblate

        * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate
          (Central Khmer) - 48.0% (73 of 152 strings) (dfe43adc)

2022-04-01 Weblate

        * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate
          (Central Khmer) - 32.8% (50 of 152 strings) (6cc3d2f6)

2022-03-24 Weblate

        * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using
          Weblate (Arabic) - 100.0% (152 of 152 strings) (28a57653)

2022-03-10 Weblate

        * Translated by Behzad <behzadasbahi@gmail.com> using Weblate
          (Persian) - 100.0% (152 of 152 strings) (2e714bad)

2022-02-28 Weblate

        * Translated by Ivo Xavier <ivofernandes12@gmail.com> using Weblate
          (Portuguese) - 100.0% (152 of 152 strings) (47d76f9c)

2022-02-10 Weblate

        * Translated by Герман Семенов <GermanAizek@yandex.ru> using Weblate
          (Russian) - 100.0% (152 of 152 strings) (0e2fda3d)

2022-02-05 Weblate

        * Translated by Lundrin <berenyi.vilmos@tutanota.com> using Weblate
          (Hungarian) - 99.3% (151 of 152 strings) (b7d867f1)

2021-11-21 Weblate

        * Translated by Adria <adriamartinmor@gmail.com> using Weblate
          (Sardinian) - 100.0% (152 of 152 strings) (ada67d8b)

2021-11-19 Weblate

        * Translated by Hugo Carvalho <hugokarvalho@hotmail.com> using
          Weblate (Portuguese) - 100.0% (152 of 152 strings)
          (1f9216d5)

2021-10-19 Weblate

        * Translated by Jakob Fridesjö <jakob.fridesjo@tuta.io> using Weblate
          (Swedish) - 100.0% (152 of 152 strings) (62095549)

2021-10-12 Weblate

        * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using
          Weblate (Arabic) - 100.0% (152 of 152 strings) (ec9c5165)

2021-10-08 Weblate

        * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate
          (Japanese) - 61.1% (93 of 152 strings) (07be96cb)

2021-09-21 Weblate

        * Translated by Heimen Stoffels <vistausss@fastmail.com> using
          Weblate (Dutch) - 100.0% (152 of 152 strings) (aeb142e1)

2021-09-05 Bjarne Roß

        * Merge branch 'master' of gitlab.com:ubports/apps/filemanager-app
          (16cd88a4)
        * Fix MRs (14310d4b)

2021-08-30 Bjarne Roß

        * Merge branch 'paths' (24907d0f)

2021-08-30 Weblate

        * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using
          Weblate (Arabic) - 100.0% (152 of 152 strings) (db8c1c2a)

2021-08-29 Abdurrahmaan Iqbal

        * Reword message (0f37689a)
        * Show how many files are selected when exporting (uploading files)
          (164893b9)
        * Add search bar when importing/exporting and only show directories
          when searching during importing/saving to device
          (93385e8c)

2021-08-21 Weblate

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (152 of 152 strings) (4d7a8760)

2021-08-20 Abdurrahmaan Iqbal

        * Show filepaths when searching recursively (3f5cb8bb)

2021-07-24 Weblate

        * Translated by Stefan Kalb <stefan.kalb@gmx.ch> using Weblate
          (German) - 100.0% (152 of 152 strings) (3e0b9cd8)

2021-07-11 Weblate

        * Translated by louies0623 <louies0623@gmail.com> using Weblate
          (Chinese (Traditional)) - 99.3% (151 of 152 strings)
          (d99d2158)

2021-07-05 Weblate

        * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate
          (Japanese) - 51.9% (79 of 152 strings) (e1dae644)

2021-06-30 Weblate

        * Translated by Heimen Stoffels <vistausss@fastmail.com> using
          Weblate (Dutch) - 100.0% (152 of 152 strings) (ed8819a2)

2021-06-28 Bjarne Roß

        * New in v 0.7.9 - some fixups for the new search function (4e788551)
          (tag: v0.7.9)
        * Merge branch 'fix/searching-tags-issue' into 'master' (d125f847)

2021-06-28 abmyii

        * Fix tags issue when searching (d01b33d2)

2021-06-27 Bjarne Roß

        * New in v 0.7.8 (a43f967a) (tag: v0.7.8)

2021-06-27 Florian Leeber

        * Merge branch 'fix_ci' into 'master' (4389a6a8) (tag: v0.7.7)

2021-06-27 mr-awk

        * adjusted the artifact path (7eef4fad)

2021-06-27 Bjarne Roß

        * New in v 0.7.7 (58fe31cb)
        * Merge branch 'search' (0bceed9f)
        * Merge branch 'master' of gitlab.com:ubports/apps/filemanager-app
          (facc2687)

2021-06-24 Weblate

        * Translated by Yaron Shahrabani <sh.yaron@gmail.com> using Weblate
          (Hebrew) - 100.0% (152 of 152 strings) (4f821b9e)

2021-06-23 Florian Leeber

        * Merge branch 'fix_ci_multiple_changelogs' into 'master' (472c6f30)

2021-06-23 Marcus Fredlund

        * Change CI Pipeline to fix multiple change logs events in OpenStore
          (28f0b09b)

2021-06-21 Abdurrahmaan Iqbal

        * Folder info uses full space when search bar isn't active rather
          than always being constrained (5d1b5a80)

2021-06-20 Abdurrahmaan Iqbal

        * Extend contents width (1cbb043d)

2021-06-18 Abdurrahmaan Iqbal

        * Add POT updates (dbff5628)
        * Adaptive search field width (ae981226)
        * Multi-line title to fix overlapping issue (34131be0)
        * Bjarne's changes: resorting actions and partially dynamic search
          field width (0a40ac55)

2021-06-17 Abdurrahmaan Iqbal

        * Switch around terminal and search actions and show cancel icon
          whilst searching (0d503733)
        * Update POT (79ab44bb)
        * Set max width for search field (1798b4f5)
        * Allow cancelling non-recursive searches and clear search text when
          the search button is toggled to close so that search
          requests are also cancelled when that occurs (24f232ae)

2021-06-16 Abdurrahmaan Iqbal

        * Highlight correctly even if text case doesn't match (87a42ed7)

2021-06-15 Abdurrahmaan Iqbal

        * Move IO termination into a function and add a brief for it
          (f5504aea)
        * Avoid terminating search once it has already stopped (f5474125)
        * Implement stopping IO requests (78057041)

2021-06-14 Abdurrahmaan Iqbal

        * Rename searchInFiles to searchFileContents (9f83c612)

2021-06-12 Abdurrahmaan Iqbal

        * Clearer naming of variables (71ab57b9)
        * Refactor to remove very confusing filter/search options and instead
          add searchInFiles option (858e70b5)
        * Hide some toolbar options whilst searching (83b591dd)
        * Use summary.text instead of subtitle.text as it wraps, and move
          popover code into functions (b4683f6b)

2021-06-11 Abdurrahmaan Iqbal

        * Cause search options to hide when search-field loses focus
          (f06a6539)
        * Connect search options to model (8fdd0261)

2021-06-10 Abdurrahmaan Iqbal

        * Connect filter/search switch to folderModel (0d680898)
        * Add popover containing search options (3e0bd0cd)

2021-06-06 Abdurrahmaan Iqbal

        * Implement recursive search functionality (cd581985)

2021-06-03 Abdurrahmaan Iqbal

        * Add search mode (2ab3a57b)

2021-06-02 Abdurrahmaan Iqbal

        * Separate stylised filenames from fileName property which is used by
          the rename dialog (0879c65b)

2021-06-01 Abdurrahmaan Iqbal

        * Use Item instead of Rectangle to avoid colour issues (white box in
          dark theme) (6a98638a)

2021-05-30 Abdurrahmaan Iqbal

        * Highlight search string in results (1e0fd3e9)
        * Pivot to a new attribute - searchString (4a6a6e3c)

2021-05-28 Abdurrahmaan Iqbal

        * Use QString.contains to avoid pattern-based matching (i.e. .h
          matching files containing the letter h) (00467d93)
        * Use QRegularExpression instead of QRegEx so pattern doesn't have to
          match names exactly (2afd7bee)
        * Implement basic filtering (6d7fc895)

2021-05-27 Abdurrahmaan Iqbal

        * Testing (b0241462)

2021-05-26 Abdurrahmaan Iqbal

        * Add search bar (53b61a64)

2021-06-12 Bjarne Roß

        * New in v 0.7.6 (6a197987) (tag: v0.7.6)

2021-06-11 Bjarne Roß

        * Merge branch 'usage' into 'master' (9e479f14)

2021-06-11 Daniel Frost

        * add usage parameter for -q (3c2491a6)

2021-06-11 Bjarne Roß

        * Merge branch 'openterminal' into 'master' (5cd1f197)

2021-06-11 Daniel Frost

        * open terminal app via url dispatcher (3fdbd7ca)

2021-06-08 Bjarne Roß

        * Merge branch 'fix_for_contenthub' into 'master' (f343fbd7)
        * Merge branch 'rename-index-bug' into 'master' (30c88064)
        * Merge branch 'master' into 'master' (c126818c)
        * Merge branch 'master' into 'master' (65cd9dd7)

2021-06-06 Weblate

        * Translated by Samson <sambelet@yahoo.com> using Weblate (Amharic) -
          95.3% (145 of 152 strings) (d5fa4b6c)

2021-05-29 Weblate

        * Translated by Heimen Stoffels <vistausss@fastmail.com> using
          Weblate (Dutch) - 100.0% (152 of 152 strings) (0eee1806)

2021-05-23 Florian Leeber

        * Merge branch 'clipboard-crash' into 'master' (48e770f9)

2021-05-21 Weblate

        * Translated by Davidrebolomaga <davidre345@hotmail.com> using
          Weblate (Galician) - 100.0% (152 of 152 strings)
          (a154857c)

2021-05-15 Weblate

        * Translated by Ettore Atalan <atalanttore@googlemail.com> using
          Weblate (German) - 100.0% (152 of 152 strings) (87fa71ed)

2021-05-03 Weblate

        * Translated by Enceka <enceka@yeah.net> using Weblate (Chinese
          (Simplified)) - 100.0% (152 of 152 strings) (6f2de115)

2021-04-30 Weblate

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (152 of 152 strings) (4673a1db)

2021-04-22 Weblate

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (152 of 152 strings) (a68953d4)

2021-03-25 Weblate

        * Translated by vokaliz <vokaliz@protonmail.com> using Weblate
          (Russian) - 100.0% (152 of 152 strings) (d02d68d7)

2021-03-18 Weblate

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (152 of 152 strings) (4a0721a4)

2021-03-14 Weblate

        * Translated by Samson <sambelet@yahoo.com> using Weblate (Amharic) -
          95.3% (145 of 152 strings) (a6984ca4)

2021-03-05 Weblate

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (152 of 152 strings) (dbe7dc8b)

2021-02-26 Weblate

        * Translated by Darkness Hidden <kmd36rk@gmail.com> using Weblate
          (Indonesian) - 99.3% (151 of 152 strings) (3567a614)

2021-02-15 Weblate

        * Translated by louies0623 <louies0623@gmail.com> using Weblate
          (Chinese (Traditional)) - 100.0% (152 of 152 strings)
          (9c9fc983)

2021-02-01 Weblate

        * Translated by imrufbd <imrufbd@gmail.com> using Weblate (Bengali
          (Bangladesh)) - 5.1% (8 of 156 strings) (6f1d9762)

2021-01-28 Weblate

        * Translated by Adam <padamyno@gmail.com> using Weblate (Hungarian) -
          65.7% (100 of 152 strings) (7ad160bd)

2021-01-18 Weblate

        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 15.7% (24
          of 152 strings) (9b5486ea)

2021-01-16 Weblate

        * Translated by ierihon <idekovets@mail.ru> using Weblate (Russian) -
          100.0% (152 of 152 strings) (10d294ff)

2021-01-14 Willem-Jan de Hoog

        * - detect failed imports and notify user - detect already existing
          files and notify user - abort transfer at the end so
          filemanager returns to a correct state (or closes)
          (92d470bf)
        * add closed signal so app can act afterwards (1bda17e0)

2021-01-13 Willem-Jan de Hoog

        * Fix crash in finishImport to have the notification dialog working
          again when used as a content-hub destination. (8ad5c78b)

2021-01-08 Weblate

        * Translated by Mike <miguel2000@livecom.it> using Weblate (Italian)
          - 100.0% (152 of 152 strings) (6c3c6456)

2021-01-02 Weblate

        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 10.5% (16
          of 152 strings) (9f18f2e7)

2020-12-25 Weblate

        * Translated by Yaron Shahrabani <sh.yaron@gmail.com> using Weblate
          (Hebrew) - 100.0% (152 of 152 strings) (9ed7473d)

2020-12-18 Weblate

        * Translated by Enkli Ylli <eylli@yahoo.com> using Weblate (Albanian)
          - 63.1% (96 of 152 strings) (e2741c7b)

2020-12-09 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 72.3% (110 of 152 strings) (8f2e2415)

2020-12-05 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 71.0% (108 of 152 strings) (c4b9b6e8)

2020-11-27 Weblate

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 100.0% (152 of 152 strings) (c078f248)

2020-11-16 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 67.1% (102 of 152 strings) (d15e82e6)

2020-11-13 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 67.1% (102 of 152 strings) (ce1398d9)

2020-11-06 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 65.7% (100 of 152 strings) (58add0af)

2020-10-28 George Kitsopoulos

        * Translated by George Kitsopoulos <gkitsopoulos@tutanota.com> using
          Weblate (Greek) - 100.0% (152 of 152 strings) (7745686f)

2020-10-26 Joan CiberSheep

        * Translated by Joan CiberSheep <cibersheep@gmail.com> using Weblate
          (Catalan) - 100.0% (152 of 152 strings) (6107c774)

2020-10-26 Heimen Stoffels

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (152 of 152 strings) (efc8be80)

2020-10-25 Alessandro

        * Fix wayland crash on clipboard clear (67910946)

2020-10-20 Alessandro

        * Fix rename by index bug (2152fde7)

2020-10-17 Alessandro

        * Fix tar.gz and tar.bz2 extraction (3504eff1)

2020-09-24 P.-H. Lin

        * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate
          (Chinese (Traditional, Hong Kong)) - 11.8% (18 of 152
          strings) (d3e5d8dc)
        * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate
          (Chinese (Traditional)) - 100.0% (152 of 152 strings)
          (fbed1122)

2020-09-18 Adria

        * Translated by Adria <adriamartinmor@gmail.com> using Weblate
          (Sardinian) - 100.0% (152 of 152 strings) (5a677e0b)

2020-09-05 Rüdiger Kupper

        * Translated by Rüdiger Kupper <ruediger.kupper+launchpad@gmail.com>
          using Weblate (German) - 100.0% (152 of 152 strings)
          (ea637729)

2020-09-05 tamer dab

        * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate
          (Hebrew) - 100.0% (152 of 152 strings) (18bc85f6)

2020-09-05 Milan Korecký

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (152 of 152 strings) (16c53ba0)

2020-09-04 tamer dab

        * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate
          (Hebrew) - 68.4% (104 of 152 strings) (15e5ccba)

2020-08-31 Milan Korecký

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (152 of 152 strings) (bbfea574)

2020-08-25 Arvid Brodin

        * Translated by Arvid Brodin <arvidb@fripost.org> using Weblate
          (Swedish) - 18.4% (28 of 152 strings) (b8027d0f)

2020-08-22 Aashrut

        * Translated by Aashrut <Aashrut99@gmail.com> using Weblate
          (Gujarati) - 0.6% (1 of 149 strings) (516faf29)

2020-08-16 Weblate

        * Merge branch 'origin/master' into Weblate. (c5c4d87c)

2020-08-16 Brian Douglass

        * Merge branch 'config-updates' (c0069457)

2020-08-16 Efstathios Iosifidis

        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 100.0% (152 of 152 strings) (f076ac39)

2020-08-15 Efstathios Iosifidis

        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 100.0% (152 of 152 strings) (5c26f07f)
        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 85.5% (130 of 152 strings) (049ca80e)

2020-08-11 Brian Douglass

        * Added ci build for amd64 (c4ad840e)

2020-08-08 satriocode

        * Translated by satriocode <satrioismail52@gmail.com> using Weblate
          (Indonesian) - 98.6% (150 of 152 strings) (95762014)

2020-08-04 Young Kim

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          38.2% (57 of 149 strings) (3d97f9fe)

2020-08-02 Brian Douglass

        * Updated gitlab and clickable configs (a8cea141)

2020-08-02 Kugi Eusebio

        * Merge branch 'devel_splash' into 'master' (e8da3e32)

2020-08-03 Kugi Eusebio

        * updated cmake files (c9790fdf)
        * added splash image (4a045615)

2020-07-31 Young Kim

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          38.9% (58 of 149 strings) (77f42c0d)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          38.2% (57 of 149 strings) (108652ac)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Japanese)
          - 51.3% (78 of 152 strings) (cba9f64d)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Japanese)
          - 51.3% (78 of 152 strings) (6f7fbd77)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Japanese)
          - 51.9% (79 of 152 strings) (1bc21ff9)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Japanese)
          - 51.3% (78 of 152 strings) (904c70c1)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          36.9% (55 of 149 strings) (b0c83271)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          36.2% (54 of 149 strings) (4e4e7979)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          35.5% (53 of 149 strings) (01b37295)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          26.8% (40 of 149 strings) (cbf56d54)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          21.4% (32 of 149 strings) (3d7742d3)

2020-07-30 Young Kim

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          10.0% (15 of 149 strings) (acc11441)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          8.7% (13 of 149 strings) (cefc1c35)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          8.0% (12 of 149 strings) (912c1bcc)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          4.6% (7 of 149 strings) (0b903fee)

2020-07-29 Young Kim

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          3.3% (5 of 149 strings) (2a874b04)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          2.6% (4 of 149 strings) (6474e49c)

2020-07-26 c4pp4

        * Translated by c4pp4 <c4pp4@seznam.cz> using Weblate (Czech) -
          100.0% (152 of 152 strings) (67d45c8f)
        * Translated by c4pp4 <c4pp4@seznam.cz> using Weblate (Czech) -
          100.0% (152 of 152 strings) (53b216a0)
        * Translated by c4pp4 <c4pp4@seznam.cz> using Weblate (Czech) -
          100.0% (152 of 152 strings) (56100519)

2020-07-23 Kugi Eusebio

        * removed header and display icon instead (9f1c2ca4)

2020-07-07 Heimen Stoffels

        * Translated using Weblate (Dutch) (82618c19)
        * Translated using Weblate (Dutch) (f9ace324)

2020-07-06 Daniel Frost

        * Translated using Weblate (German) (8a700001)

2020-07-04 Heimen Stoffels

        * Translated using Weblate (Dutch) (2bb6976a)

2020-07-04 Kugi Eusebio

        * Update com.ubuntu.filemanager.desktop.in.in (c047032b)

2020-07-03 Heimen Stoffels

        * Translated using Weblate (Dutch) (2d982350)

2020-07-03 Stoian Minaiev

        * Translated using Weblate (Ukrainian) (cf4a299c)

2020-05-18 Pavel Borecki

        * Translated using Weblate (Czech) (b2902676)

2020-05-14 Pavel Borecki

        * Translated using Weblate (Czech) (9b4a1b9c)

2020-05-08 Ryan Argente

        * Translated using Weblate (French (Canada)) (4e0ce296)

2020-04-10 Neutrum N

        * Translated using Weblate (Galician) (c985e6ce)

2020-04-09 Neutrum N

        * Translated using Weblate (Galician) (90392359)

2020-04-06 Neutrum N

        * Translated using Weblate (Galician) (7863a4e0)

2020-03-22 Adrià

        * Translated using Weblate (Sardinian) (b5143e97)

2020-03-17 Neutrum N

        * Translated using Weblate (Galician) (2faab238)

2020-03-15 Mohamed Sayed

        * Translated using Weblate (Arabic) (c791dd1c)

2020-03-11 Ryan Argente

        * Translated using Weblate (French (Canada)) (e66541c2)

2020-03-05 Neutrum N

        * Translated using Weblate (Galician) (8178bad3)

2020-03-02 Milan Korecký

        * Translated using Weblate (Czech) (f00b9eb0)

2020-03-02 Pavel Borecki

        * Translated using Weblate (Czech) (c7b55bbd)

2020-02-28 Pavel Borecki

        * Translated using Weblate (Czech) (3aa53964)

2020-02-26 Ryan Argente

        * Translated using Weblate (French (Canada)) (07b4ebc5)

2020-02-20 Ryan Argente

        * Translated using Weblate (French (Canada)) (e25c4b60)

2020-02-17 Riccardo Riccio

        * Translated using Weblate (Slovenian) (78861d6a)

2020-02-16 dano6

        * Translated using Weblate (Slovak) (e27ed320)

2020-02-08 Bence László

        * Translated using Weblate (Hungarian) (87161796)

2020-02-09 Oi Suomi On!

        * Translated using Weblate (Finnish) (c7fba0c4)

2020-02-10 HSN80

        * Translated using Weblate (Persian) (743b9ebb)

2020-02-09 Rodrigo Benedito

        * Translated using Weblate (Portuguese (Brazil)) (7a897484)

2020-01-19 Weblate

        * Merge branch 'origin/master' into Weblate. (4e42a74f)

2020-01-11 louies0623

        * Translated using Weblate (Chinese (Traditional)) (d1a46a1c)

2019-12-20 M.Sugahara

        * Translated using Weblate (Japanese) (9b3de6e2)

2019-12-12 Sami Törmänen

        * Translated using Weblate (Finnish) (a0e54c9b)

2020-01-07 Anne Onyme

        * Translated using Weblate (French) (8b0501f2)

2019-11-26 Dmitriy Pushkov

        * Translated using Weblate (Russian) (c108abe6)

2019-12-27 Moo

        * Translated using Weblate (Lithuanian) (b23d0d40)

2020-01-15 Bjarne Roß

        * New in 0.7.5: - first arm64 OpenStore version (ddb411f6) (tag:
          v0.7.5)
        * Merge branch 'arm64' into 'master' (45486fbd)

2020-01-14 Marius Gripsgard

        * Add deployment of arm64 (fb230433)

2020-01-04 Tom Dom

        * Translated using Weblate (Dutch) (1782eaeb)

2020-01-14 Bjarne Roß

        * Update .gitlab-ci.yml (597cf962)
        * New in 0.7.4: - conformize UI colors - localize date strings in
          file details (9131ecd1)
        * New in 0.7.4: - conformize UI colors - localize date strings in
          file details (57a78a98)

2020-01-13 Bjarne Roß

        * Localize date strings in file details popover (edcae061) (tag:
          v0.7.4)
        * Merge branch 'ColorTweaks' into 'master' (5a5dfba8)

2020-01-13 Joan CiberSheep

        * Color tweaks (0466fa2a)

2019-11-21 Alberto

        * Translated using Weblate (Galician) (dde0d2cb)

2019-11-09 M.Sugahara

        * Translated using Weblate (Japanese) (c270b625)

2019-11-10 Kai Goldbeck

        * Translated using Weblate (German) (b3d2a4dd)

2019-11-10 Moo

        * Translated using Weblate (Lithuanian) (7cdc0808)

2019-11-02 Ege Öz

        * Translated using Weblate (Turkish) (aea5bae7)

2019-10-30 P.-H. Lin

        * Translated using Weblate (Chinese (Traditional)) (c7b54841)

2019-10-28 enolp

        * Translated using Weblate (Asturian) (a7a43c25)

2019-10-27 enolp

        * Translated using Weblate (Asturian) (fc2364e6)

2019-10-25 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (1f5318ce)

2019-10-25 Daniel Frańczak

        * Translated using Weblate (Polish) (80e46f6d)

2019-10-25 Anne Onyme

        * Translated using Weblate (French) (50379097)

2019-10-25 advocatux

        * Translated using Weblate (Spanish) (54fe3e53)

2019-10-25 Milan Korecký

        * Translated using Weblate (Czech) (a8c4442c)

2019-10-14 Bjarne Roß

        * Try again with ci (3081deed) (tag: v0.7.3)

2019-10-13 Bjarne Roß

        * Disable open terminal until implemented (53e31fad)

2019-10-12 Tom Dom

        * Translated using Weblate (Dutch) (5081dc56)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (9357ce52)

2019-10-07 Bjarne Roß

        * Small typo (8d135566)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (fa04aa94)

2019-10-07 Bjarne Roß

        * Again, copy to prebuilt (7d1d6078)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (ef0a6a1a)

2019-10-07 Bjarne Roß

        * Unset default open and added Open Terminal here (05275428)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (09299f62)

2019-10-06 Bjarne Roß

        * Optimize archive and bump version (61938dc6)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (dbb56a91)

2019-10-06 Bjarne Roß

        * Again, copy to prebuilt (c66e4b79)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (e2f41f4d)

2019-10-06 Bjarne Roß

        * Attempt fix archive and temp disalbe openstore (fa3afa1d)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (a76b074a)

2019-10-06 Bjarne Roß

        * Attempt fix archive (df47804d)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (06983671)

2019-10-06 Bjarne Roß

        * To prebuilt... (24d16b21)

2019-10-07 Weblate

        * Merge branch 'origin/master' into Weblate. (1f399e13)

2019-10-06 Bjarne Roß

        * Several icon view fixes and auto open (6db55122)

2019-10-04 Sami Törmänen

        * Translated using Weblate (Finnish) (41a7066b)

2019-09-26 Eran

        * Translated using Weblate (Hebrew) (438cd5fd)

2019-09-24 Moo

        * Translated using Weblate (Lithuanian) (7e1dda97)

2019-09-24 Weblate

        * Merge branch 'origin/master' into Weblate. (3c8629f8)

2019-09-24 Bjarne Roß

        * Update .gitlab-ci.yml (f5073668)

2019-09-24 Weblate

        * Merge branch 'origin/master' into Weblate. (3c90693e)

2019-09-24 Bjarne Roß

        * New in v0.7.2: - changed import confirm icon to 'ok' (thanks to
          Michele) - added pull to refresh capabillity for both
          views - use source name as placeholder in rename dialog
          (7be942af)

2019-09-24 Weblate

        * Merge branch 'origin/master' into Weblate. (0221a1db)

2019-09-24 Bjarne Roß

        * New in v0.7.2: - changed import confirm icon to 'ok' (thanks to
          Michele) - added pull to refresh capabillity for both
          views - use source name as placeholder in rename dialog
          (6c8c7bf1)

2019-09-24 Weblate

        * Merge branch 'origin/master' into Weblate. (1a977d8d)

2019-09-24 Samson

        * Translated using Weblate (Amharic) (f8396108)

2019-09-24 Bjarne Roß

        * New in v0.7.2: - changed import confirm icon to 'ok' (thanks to
          Michele) - added pull to refresh capabillity for both
          views - use source name as placeholder in rename dialog
          (2d797db5)

2019-09-23 Weblate

        * Merge branch 'origin/master' into Weblate. (76e4cd36)

2019-09-23 Bjarne Roß

        * Pull latest changes (aee328ea) (tag: v0.7.2)

2019-09-23 Weblate

        * Merge branch 'origin/master' into Weblate. (b16b1b93)

2019-09-23 Bjarne Roß

        * Add Pull to refresh and rename placeholder (07accb7e)

2019-09-23 Weblate

        * Merge branch 'origin/master' into Weblate. (be522209)

2019-09-23 Bjarne Roß

        * Merge branch 'proper-select-icon' into 'master' (51411539)

2019-09-23 Michele

        * use icon "ok" for selecting (b4dd30eb)

2019-09-23 Weblate

        * Merge branch 'origin/master' into Weblate. (4893c5e9)

2019-09-23 Bjarne Roß

        * Merge branch 'fix-building' into 'master' (c955a6a2)

2019-09-23 Michele

        * fix building with clickable (6ed3b721)

2019-09-22 Daniel Frańczak

        * Translated using Weblate (Polish) (526d9b39)

2019-09-13 Xiangtian Wei

        * Translated using Weblate (Chinese (Simplified)) (39774909)

2019-09-13 Daniel Frańczak

        * Translated using Weblate (Polish) (f858b0b5)

2019-09-13 Mike

        * Translated using Weblate (Italian) (12253342)

2019-09-14 Ivo Xavier

        * Translated using Weblate (Portuguese) (ccb864f7)

2019-09-13 Milan Korecký

        * Translated using Weblate (Czech) (e33ec6fe)

2019-09-09 Weblate

        * Merge branch 'origin/master' into Weblate. (2fc99e06)

2019-09-09 Bjarne Roß

        * Merge branch 'update-gitlab-ci' into 'master' (5793c130)

2019-09-09 Brian Douglass

        * Update gitlab ci for clickable v6 (346736c0)

2019-09-07 Moo

        * Translated using Weblate (Lithuanian) (3948aaf0)

2019-09-05 Moo

        * Translated using Weblate (Lithuanian) (74a0b17e)

2019-08-31 Moo

        * Translated using Weblate (Lithuanian) (565355cf)

2019-08-30 Jiri Grönroos

        * Translated using Weblate (Finnish) (12a65394)

2019-08-10 Moo

        * Translated using Weblate (Lithuanian) (9ffffdf3)

2019-08-10 Anne Onyme

        * Translated using Weblate (French) (6d0cfa2f)

2019-08-04 vokaliz

        * Translated using Weblate (Russian) (fe8c6afa)

2019-07-31 Moo

        * Translated using Weblate (Lithuanian) (937d2efc)

2019-07-16 Jiri Grönroos

        * Translated using Weblate (Finnish) (ec0f26ae)

2019-07-15 Yasser Lotfy

        * Translated using Weblate (Arabic) (275a9be6)

2019-07-09 Eran

        * Translated using Weblate (Hebrew) (a375b3e4)

2019-07-05 Aitzol Berasategi

        * Translated using Weblate (Basque) (0ede31d9)

2019-07-01 Moshe Lazar

        * Translated using Weblate (Russian) (e54396db)

2019-06-26 Samson

        * Translated using Weblate (Amharic) (029852fa)

2019-06-23 Joan CiberSheep

        * Translated using Weblate (Catalan) (5465f128)

2019-06-22 Samson

        * Translated using Weblate (Amharic) (bd258449)

2019-06-21 lxdb

        * Translated using Weblate (Russian) (a395356a)
        * Translated using Weblate (English (United States)) (47a4e738)

2019-06-20 Weblate

        * Merge branch 'origin/master' into Weblate. (650150fe)

2019-06-20 Bjarne Roß

        * Automatted local prebuild generation (0aef924e)

2019-06-20 Weblate

        * Merge branch 'origin/master' into Weblate. (447a5487)

2019-06-20 Bjarne Roß

        * Bump version to 0.7.2 (35687d4b)

2019-06-20 Weblate

        * Merge branch 'origin/master' into Weblate. (4ba4f979)

2019-06-20 Bjarne Roß

        * Change 'Bookmarks' to 'Places' (db8b250f)

2019-06-18 Joan CiberSheep

        * Translated using Weblate (Catalan) (37d01c59)

2019-06-19 Bjarne Roß

        * Merge branch 'DialogColors' into 'master' (7f484b3b)

2019-06-19 Joan CiberSheep

        * Dialog Colors to Follow HIG (cf3e136e)

2019-06-18 Joan CiberSheep

        * Dialog Colors to Follow HIG (8a1e8f3c)

2019-06-17 Bjarne Roß

        * Working state (5efa3ebe)
        * v0.7.1 - Added basic tooltips (yet untranslated) - some fixes
          (4c22cad6)
        * v0.7.1 - Added basic tooltips (yet untranslated) - some fixes
          (ceb4d45f)
        * v0.7.1 - Added basic tooltips (yet untranslated) - some fixes
          (ae282f33)
        * v0.7.1 - Added basic tooltips (yet untranslated) - some fixes
          (60b1594e)
        * v0.7.1 - Added basic tooltips (yet untranslated) - some fixes
          (b0803fa5) (tag: v0.7.1)
        * Merge branch 'master' of
          https://www.gitlab.com//ubports/apps/filemanager-app
          (9f48546a)
        * v0.7.1: Added basic tooltips (untranslated yet), some fixes
          (97743f4e)
        * Fix artifacts (2f2249ce)
        * Build workaround (82f19ac9)
        * Prepare workaround (aaf533d2)
        * More tooltips (6465c6f4)

2019-06-12 Weblate

        * Merge branch 'origin/master' into Weblate. (508bc8de)

2019-06-12 Bjarne Roß

        * Added telegram link (93976972)

2019-06-12 Weblate

        * Merge branch 'origin/master' into Weblate. (6af89ab1)

2019-06-12 Bjarne Roß

        * Working tooltip for item creation (724f8506)

2019-06-11 Weblate

        * Merge branch 'origin/master' into Weblate. (d6b61226)

2019-06-11 Bjarne Roß

        * Add items in selection mode and attempts in tooltips (be665f4a)

2019-06-08 louies0623

        * Translated using Weblate (Chinese (Traditional)) (21c26ef5)

2019-06-06 louies0623

        * Translated using Weblate (Chinese (Traditional)) (0ca8a0dc)

2019-06-05 P.-H. Lin

        * Translated using Weblate (Chinese (Traditional)) (e268dac4)

2019-06-03 louies0623

        * Translated using Weblate (Chinese (Traditional)) (e8244ed2)

2019-05-20 Ari Börde Kröyer

        * Translated using Weblate (Norwegian Bokmål) (e7a30a0e)

2019-05-20 Bjarne Roß

        * Okay forget it :( (e4edd8b3)
        * with dd (2618020e)
        * Try to work with swapfile (dea707ff)

2019-05-12 Tom Dom

        * Translated using Weblate (Dutch) (6c208889)

2019-05-12 Joan CiberSheep

        * Translated using Weblate (Catalan) (d0bac334)

2019-05-12 Bjarne Roß

        * Merge branch 'update-clickable' into 'master' (ea9846ea)

2019-05-08 Ivo Xavier

        * Translated using Weblate (Portuguese) (80ad6931)

2019-05-08 Milan Korecký

        * Translated using Weblate (Czech) (e771f1a4)

2019-05-08 louies0623

        * Translated using Weblate (Chinese (Traditional)) (bf24f9f0)
        * Translated using Weblate (Chinese (Hong Kong)) (1c173818)

2019-05-09 Brian Douglass

        * Removed dependencies from clickable as they were moved to the
          docker image (291657a3)

2019-05-08 Bjarne Roß

        * Ehm, swipe left and rework of ActionBars (52403b06)
        * Prepare tooltips (068601cb)
        * Finally only swipe right for rename (5bd5a516)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (d1137f6f)

2019-05-07 Bjarne Roß

        * Bump version to 0.7.0 (55f0bd47) (tag: v0.7.0)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (06287270)

2019-05-07 Bjarne Roß

        * Replace DefaultBottomBar and remove Panels (2c29a190)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (e894bcd8)

2019-05-07 Bjarne Roß

        * Replace SelectionBottomBar (e03a597e)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (1c68db45)

2019-05-07 Bjarne Roß

        * Added option the swipe left for rename (a8a32344)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (020b60b8)

2019-05-07 Bjarne Roß

        * Added System theme option (7b29ba69)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (f0ea06ac)

2019-05-07 Bjarne Roß

        * Fix clickable.json (83db5dd1)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (951e146f)

2019-05-07 Bjarne Roß

        * Bump version to 0.6.2 (8b788a72) (tag: v0.6.2)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (337739a5)

2019-05-07 Bjarne Roß

        * Merge branch 'BarsOnTop1' into 'master' (0befc552)

2019-05-07 Weblate

        * Merge branch 'origin/master' into Weblate. (8305075b)

2019-05-07 Adrià

        * Translated using Weblate (Sardinian) (a8e526d3)

2019-05-07 Bjarne Roß

        * Merge branch 'master' into 'master' (42ae7a7c)

2019-05-07 Daniel Frost

        * change cancel to close in FileDetailsPopover.qml (adf398d0)

2019-05-06 louies0623

        * Translated using Weblate (Chinese (Traditional)) (3551b72b)

2019-05-05 Aurelio Cilia

        * Translated using Weblate (Italian) (137c003d)

2019-05-01 louies0623

        * Translated using Weblate (Chinese (Traditional)) (5e26c4fb)

2019-04-29 Joan CiberSheep

        * Translated using Weblate (Catalan) (bb2c4eb9)

2019-04-27 Jiri Grönroos

        * Translated using Weblate (Finnish) (33643998)

2019-04-25 Vinícius F

        * Translated using Weblate (Portuguese (Brazil)) (6a1402fc)

2019-04-21 M.Sugahara

        * Translated using Weblate (Japanese) (1c497f03)

2019-04-23 谭永乐

        * Translated using Weblate (Chinese (Simplified)) (3ac3f960)

2019-04-23 xqqy

        * Translated using Weblate (Chinese (Simplified)) (8bf0cb29)

2019-04-23 谭永乐

        * Translated using Weblate (Chinese (Simplified)) (d69da7eb)

2019-04-11 Tom Dom

        * Translated using Weblate (Dutch) (88f867f1)

2019-04-12 Aashrut

        * Added translation using Weblate (Gujarati) (a9f28968)

2019-04-09 Joan CiberSheep

        * First step to move panels on top (03c70fac)

2019-04-03 Tom Dom

        * Translated using Weblate (Dutch) (ebdb1c83)

2019-03-23 maor26

        * Translated using Weblate (Hebrew) (fa26f7d9)

2019-03-26 Tom Dom

        * Translated using Weblate (Dutch) (6dd58b26)

2019-03-12 Rúben Carneiro

        * Translated using Weblate (Portuguese) (a9020183)

2019-03-08 Brian Douglass

        * Updated gitlab ci to use commit messages for the changelog
          (7fad2364)

2019-02-21 Weblate

        * Repair commit (63d4c963)
        * Merge branch 'origin/master' into Weblate (67839f8f)

2019-02-17 Ivo Xavier

        * Translated using Weblate (Portuguese) (0e39628d)

2019-02-12 Daniel Frańczak

        * Translated using Weblate (Polish) (49a7474a)

2019-02-10 Heimen Stoffels

        * Translated using Weblate (Dutch) (a8ca9dbe)

2019-02-18 louies0623

        * Translated using Weblate (Chinese (Traditional)) (44949e2f)

2019-02-12 Joan CiberSheep

        * Translated using Weblate (Catalan) (29d31f72)

2019-01-21 louies0623

        * Translated using Weblate (Japanese) (c6ed84bb)

2019-01-25 Anastopoulos Theocharis

        * Translated using Weblate (Greek) (b6fab87f)

2019-01-21 louies0623

        * Added translation using Weblate (Korean) (86791e3a)

2019-01-15 louies0623

        * Translated using Weblate (Chinese (Traditional)) (0f309caf)

2019-01-15 Bjarne Roß

        * Bump version 0.6.1 (7e3ef7bc) (tag: v0.6.1)

2019-01-13 Brian Douglass

        * Added gitlab ci (732e0f1d)
        * Merge pull request #65 from
          ubports-weblate/weblate-ubports-filemanager-app (89cc6ba7)

2019-01-12 Adrià

        * Translated using Weblate (Sardinian) (00b409d9)

2019-01-02 M.Sugahara

        * Translated using Weblate (Japanese) (3c60a433)

2019-01-03 Ennio Lavagnini

        * Translated using Weblate (Italian) (99bb629a)

2019-01-02 Tom Rausner

        * Translated using Weblate (Danish) (48ab59c6)

2019-01-01 Jaume Angrill

        * Translated using Weblate (Catalan) (d64c4618)

2018-12-28 Adrià

        * Translated using Weblate (Sardinian) (f09f7e07)
        * Translated using Weblate (Sardinian) (31ba1a80)
        * Translated using Weblate (Sardinian) (527ff46f)

2018-12-26 Weblate

        * Merge branch 'origin/master' into Weblate (0c13670c)

2018-12-17 Rondy Andersson

        * Translated using Weblate (Swedish) (6766b87d)

2018-12-26 M.Sugahara

        * Translated using Weblate (Japanese) (79795e04)

2018-12-22 Dito Kurnia P

        * Translated using Weblate (Indonesian) (95cdbe29)

2018-12-22 ierihon

        * Translated using Weblate (Belarusian) (6239f0a7)

2018-12-26 Florian Leeber

        * Merge pull request #63 from
          ubports-weblate/weblate-ubports-filemanager-app (ed04c7fd)

2018-12-16 Max Libre

        * Translated using Weblate (French) (6d15a81e)

2018-12-18 Jiri Grönroos

        * Translated using Weblate (Finnish) (384579cc)

2018-12-16 Louies

        * Translated using Weblate (Chinese (Traditional)) (778d0937)

2018-12-22 ierihon

        * Translated using Weblate (Belarusian) (f7013098)

2018-12-19 Hussain Hashem Aljafri

        * Translated using Weblate (Arabic) (a499df57)

2018-12-19 Mike

        * Translated using Weblate (Italian) (a8cf1d0a)

2018-12-18 Louies

        * Added translation using Weblate (English (United States))
          (a8375ff4)

2018-12-13 P_E_T_O

        * Translated using Weblate (Slovak) (c6117ed9)

2018-12-07 Weblate

        * Merge branch 'origin/master' into Weblate (911eb540)

2018-11-30 Dmytro Gladkyi

        * Translated using Weblate (Ukrainian) (6ce28bcf)

2018-12-07 Florian Leeber

        * Merge pull request #62 from
          ubports-weblate/weblate-ubports-filemanager-app (32375923)

2018-11-29 Samson

        * Translated using Weblate (Amharic) (2335c27f)

2018-11-26 Weblate

        * Merge branch 'origin/master' into Weblate (f117a57a)

2018-11-26 M.Sugahara

        * Translated using Weblate (Japanese) (bc91bef6)

2018-11-26 Florian Leeber

        * Merge pull request #61 from
          ubports-weblate/weblate-ubports-filemanager-app (29f837d0)

2018-11-19 ierihon

        * Translated using Weblate (Russian) (e01f9a12)

2018-11-20 M.Sugahara

        * Translated using Weblate (Japanese) (d348f109)

2018-11-22 Louies

        * Translated using Weblate (Chinese (Hong Kong)) (4b5fb65d)

2018-11-19 ierihon

        * Translated using Weblate (Russian) (9b79f23b)

2018-11-18 Weblate

        * Merge branch 'origin/master' into Weblate (584bfe94)

2018-11-13 Jiri Grönroos

        * Translated using Weblate (Finnish) (63726854)

2018-11-15 Aitzol Berasategi

        * Translated using Weblate (Basque) (ba893176)

2018-11-11 Samson

        * Translated using Weblate (Amharic) (b389a1e5)

2018-11-18 Florian Leeber

        * Merge pull request #60 from
          ubports-weblate/weblate-ubports-filemanager-app (bed323ba)

2018-11-13 Louies

        * Translated using Weblate (Chinese (Traditional)) (a6a6bfd7)

2018-11-11 Weblate

        * Merge branch 'origin/master' into Weblate (788cafea)

2018-11-10 M.Sugahara

        * Translated using Weblate (Japanese) (dc8e5c7e)

2018-11-11 Florian Leeber

        * Merge pull request #59 from
          ubports-weblate/weblate-ubports-filemanager-app (e55edf72)

2018-11-04 Daniel Frost

        * Translated using Weblate (German) (414d7911)

2018-11-05 Louies

        * Translated using Weblate (Chinese (Traditional)) (fe121737)

2018-11-05 Joan CiberSheep

        * Translated using Weblate (Catalan) (8d22494b)

2018-11-10 Sander

        * Translated using Weblate (Dutch) (f75f1baf)

2018-11-08 Aurelio Cilia

        * Translated using Weblate (Italian) (f68e8396)

2018-11-06 Ciarán Ainsworth

        * Translated using Weblate (English (United Kingdom)) (6b1e86b5)

2018-11-04 Weblate

        * Merge branch 'origin/master' into Weblate (a071125b)

2018-11-03 xqqy

        * Translated using Weblate (Chinese (Simplified)) (248dd17d)

2018-11-04 Florian Leeber

        * Merge pull request #58 from
          ubports-weblate/weblate-ubports-filemanager-app (b6d99dd0)

2018-10-28 advocatux

        * Translated using Weblate (Spanish) (c830c046)

2018-10-31 ierihon

        * Translated using Weblate (Russian) (61a410d6)

2018-10-28 Daniel Frańczak

        * Translated using Weblate (Polish) (b5f7854c)

2018-10-28 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (bd576bc4)

2018-10-31 Mike

        * Translated using Weblate (Italian) (2e41541f)

2018-10-29 Gianmarco

        * Translated using Weblate (Italian) (eefc2d24)

2018-11-01 Tom Rausner

        * Translated using Weblate (Danish) (c14da396)

2018-10-29 Louies

        * Translated using Weblate (Chinese (Traditional)) (7cf4ede4)

2018-10-31 Anne Onyme

        * Translated using Weblate (Français) (7e4046c1)

2018-10-28 Joan CiberSheep

        * Translated using Weblate (català) (bd4dca7b)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanish) (ff3230df)

2018-10-28 advocatux

        * Translated using Weblate (Spanish) (d594f278)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanish) (db4b46ce)

2018-10-28 Florian Leeber

        * Merge pull request #56 from
          ubports-weblate/weblate-ubports-filemanager-app (c976ec47)

2018-10-28 Weblate

        * Merge branch 'origin/master' into Weblate (f18b8593)

2018-10-28 advocatux

        * Translated using Weblate (Spanish) (addc4e75)

2018-10-28 Florian Leeber

        * Merge pull request #55 from
          ubports-weblate/weblate-ubports-filemanager-app (e3b6819f)

2018-10-28 advocatux

        * Translated using Weblate (Spanisch) (b804d855)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanisch) (c6bea33f)

2018-10-28 advocatux

        * Translated using Weblate (Spanisch) (ed3bec2c)

2018-10-28 Ivo Xavier

        * Translated using Weblate (Portugiesisch) (ecae0b6b)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanish) (1401afaf)

2018-10-28 advocatux

        * Translated using Weblate (Spanish) (1b877d22)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanish) (d0a86a4d)

2018-10-28 advocatux

        * Translated using Weblate (Spanish) (f5ec03c5)
        * Translated using Weblate (Spanish) (23ddd716)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanish) (e68e612a)

2018-10-28 Milan Korecký

        * Translated using Weblate (Czech) (7c832174)

2018-10-28 Weblate

        * Merge branch 'origin/master' into Weblate (139dd424)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanish) (25327612)

2018-10-28 Ivo Xavier

        * Translated using Weblate (Portuguese) (272c330d)

2018-10-28 Daniel Frańczak

        * Translated using Weblate (Polish) (6b6c0b56)

2018-10-28 Milan Korecký

        * Translated using Weblate (Czech) (57b25d82)

2018-10-28 Bjarne Roß

        * Language resource fixes (#54) (54e0986d)

2018-10-28 Weblate

        * Merge branch 'origin/master' into Weblate (a99cf5bf)

2018-10-28 Daniel Frańczak

        * Translated using Weblate (Polish) (899a0893)

2018-10-28 Peter Nerlich

        * Translated using Weblate (German) (c5e2c200)

2018-10-28 Milan Korecký

        * Translated using Weblate (Czech) (37f6ab6b)

2018-10-28 Bjarne Roß

        * Fix for #48 (#52) (c1f97f9b)

2018-10-28 Daniel Frańczak

        * Translated using Weblate (polski) (fa86eaa5)

2018-10-28 Bjarne Roß

        * Translated using Weblate (Deutsch) (e75715f0)

2018-10-28 Florian Leeber

        * Translated using Weblate (Deutsch) (dc2fba04)

2018-10-28 Weblate

        * Merge branch 'origin/master' into Weblate (6a1639b4)

2018-10-28 Milan Korecký

        * Translated using Weblate (Czech) (d206210f)

2018-10-28 Florian Leeber

        * Merge pull request #53 from
          ubports-weblate/weblate-ubports-filemanager-app (ba53560f)

2018-10-23 M.Sugahara

        * Translated using Weblate (Japanese) (422b6132)

2018-10-22 Louies

        * Translated using Weblate (Chinese (Traditional)) (5552558e)

2018-10-21 Florian Leeber

        * Merge pull request #51 from
          ubports-weblate/weblate-ubports-filemanager-app (2f58d152)

2018-10-14 M.Sugahara

        * Translated using Weblate (Japanese) (98d1d7b3)

2018-10-14 Florian Leeber

        * Merge pull request #50 from
          ubports-weblate/weblate-ubports-filemanager-app (e9abe6ba)

2018-10-07 Weblate

        * Merge remote-tracking branch 'origin/master' (0ccf37cc)

2018-09-12 ArashiHino

        * Translated using Weblate (Japanese) (5f9d553a)

2018-10-07 Marius Gripsgard

        * Merge pull request #49 from jonnius/master (54d18dcb)

2018-10-06 Jonatan Hatakeyama Zeidler

        * Update READMEs to UBports times (922c5b54)
        * Fix clickable 5.0 compatibility (128bd36a)
        * Add .gitignore (9ed3c78f)

2018-09-15 Tom Rausner

        * Translated using Weblate (Danish) (33c1df73)

2018-09-09 Florian Leeber

        * Merge pull request #47 from
          ubports-weblate/weblate-ubports-filemanager-app (bba037d0)

2018-09-09 Weblate

        * Merge remote-tracking branch 'origin/master' (244acb36)

2018-09-02 Rondy Andersson

        * Translated using Weblate (Swedish) (eaa684eb)

2018-08-19 ArashiHino

        * Translated using Weblate (Japanese) (eccaa1bd)

2018-09-04 Tom Rausner

        * Translated using Weblate (Danish) (7f01208d)

2018-09-02 Rondy Andersson

        * Translated using Weblate (Swedish) (03f35837)
        * Translated using Weblate (Swedish) (6d90a3a5)
        * Translated using Weblate (Swedish) (a2420b74)

2018-09-01 Florian Leeber

        * Merge pull request #45 from
          ubports-weblate/weblate-ubports-filemanager-app (5aa0500d)

2018-08-19 ArashiHino

        * Translated using Weblate (Japanese) (09e0dba0)

2018-08-26 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (caad7a8e)

2018-08-19 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (4ad6b60d)

2018-08-19 Tom Rausner

        * Translated using Weblate (Danish) (e2f8213e)

2018-08-19 ubports-weblate

        * Update from Weblate. (#44) (1a2ac338)

2018-08-12 ubports-weblate

        * Update from Weblate. (#43) (3279729d)

2018-08-05 ubports-weblate

        * Update from Weblate. (#42) (e22f0fe8)

2018-07-09 Bjarne Roß

        * bump version due to downgrade cases (#38) (e5258096)

2018-07-09 ubports-weblate

        * Update from Weblate. (#39) (283ac968)

2018-07-04 Marius Gripsgard

        * bumb version (3ea73f6e)

2018-07-04 Jan Sprinz

        * Merge pull request #37 from ubports/testing (7df34101)

2018-07-03 Bjarne Roß

        * No need of Upstream deps... (2399a4ea)
        * Merge branch 'master' into testing (0a51ce9f)

2018-07-03 Marius Gripsgard

        * Xenial'ify (b049599e)
        * Add clickable.json (3bf185f3)

2018-07-03 Bjarne Roß

        * No need of old apparmor (992a3837)
        * Exclude clickable.json from build (bef221e8)
        * Updated instructions (a351f5b4)
        * Removed png icon (96516926)
        * Initial cleanup (e9964064)
        * Several updates (91eb4a6c)
        * Clickable support (8a86e974)

2018-06-14 Marius Gripsgard

        * Define app as single instance (589fd7b6)
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/573

2018-06-05 Florian Leeber

        * Merge pull request #36 from ubports/maintainer (57c93086)

2018-06-04 Dalton Durst

        * Update maintainer (fb566444)

2018-04-29 ubports-weblate

        * Update from Weblate. (#34) (b7cb3a83)

2018-03-30 Bjarne Roß

        * Oops, maybe missing backend fixes it (94b0712c)
        * some quick fixes (0d7f4d35)
        * Merge pull request #33 from nfsprodriver/master (d8b3c90e)
        * Merge pull request #13 from nfsprodriver/pr/12 (4b4a9649)
        * Fix? (caea06b7)
        * Merge pull request #11 from sverzegnassi/master (a8aebc1a)

2018-03-25 ubports-weblate

        * Update from Weblate. (#32) (43aae8db)

2018-03-18 ubports-weblate

        * Update from Weblate. (#31) (0e464f0f)
        * Update from Weblate. (#30) (34b895f4)

2018-02-22 Marius Gripsgard

        * Remove own pamauthentication and depend on
          qml-module-pamauthentication0.1 instead (9fcc4b6c)
        * Build for xenial (1722bfac)
        * Add Jenkinsfile (4ebc92e8)

2018-02-18 ubports-weblate

        * Update from Weblate. (#29) (f658aa2c)

2018-01-07 ubports-weblate

        * Update from Weblate. (#27) (a272920d)

2017-12-18 Stefano Verzegnassi

        * Use old releases repo for Ubuntu packages (8141682b)
        * Fix samba folders icon (b83d358e)
        * Fix sharing (7503d6c1)

2017-12-17 Bjarne Roß

        * Support "all" filetypes in ContentHub (2daabe4f)

2017-12-09 Florian Leeber

        * Merge pull request #24 from
          ubports-weblate/weblate-ubports-filemanager-app (72fb76d9)

2017-12-09 Weblate

        * Merge branch 'master' of https://github.com/ubports/filemanager-app
          (fa244598)

2017-11-29 Adrià

        * Translated using Weblate (Sardinian) (c72c7a2c)

2017-11-30 Joeke de Graaf

        * Translated using Weblate (Dutch) (d5630d02)

2017-11-27 Arda Canbolat

        * Translated using Weblate (Turkish) (a4f385aa)

2017-11-26 Taka Turgut

        * Translated using Weblate (Turkish) (41b86dde)

2017-11-26 Arda Canbolat

        * Translated using Weblate (Turkish) (e92c1e11)

2017-11-26 Mevlüt Erdem Güven

        * Translated using Weblate (Turkish) (76a81eea)

2017-11-26 Arda Canbolat

        * Translated using Weblate (Turkish) (a6ec4bf7)

2017-11-22 Domantas

        * Translated using Weblate (Lithuanian) (57b7f74a)

2017-11-23 Stefano Verzegnassi

        * Changes to dialogs visuals (594a07c2)
        * Further fixes for path row (ddc1f850)
        * Fixed currentIndex highlight in PathHistoryRow for Samba URLs
          (e902f0f4)
        * Rewritten PathHistoryRow engine (820de699)

2017-11-23 Pablo Foche

        * Translated using Weblate (Esperanto) (c3dee7e3)

2017-11-23 Stefano Verzegnassi

        * Fixed empty 'path' property in DirModel for Smb destinations
          (e9723717)

2017-11-22 Alexey Balmashnov

        * Translated using Weblate (Russian) (39701ff6)

2017-11-21 Stefano Verzegnassi

        * Fixed Samba for password-protected folders (14c4433a)

2017-11-20 anonymous

        * Translated using Weblate (Russian) (763a11c9)

2017-11-20 Alexey Balmashnov

        * Translated using Weblate (Russian) (0447064e)

2017-11-19 ubports-weblate

        * Update from Weblate. (#23) (73f6384c)

2017-11-17 Domantas

        * Translated using Weblate (Lithuanian) (4b325671)

2017-11-15 Henrik Holm

        * Translated using Weblate (Danish) (9be49d73)

2017-11-16 Stefano Verzegnassi

        * Merge pull request #17 from nfsprodriver/master (7b2dbe9a)

2017-11-15 Bjarne Roß

        * Added typeof (a69e2997)
        * Oops (ec9e9424)
        * Using file extension handling from webbrowser-app (ce128d74)
        * Merge pull request #10 from sverzegnassi/master (3d66fb45)

2017-11-12 Jan Sprinz

        * Merge pull request #22 from
          ubports-weblate/weblate-ubports-filemanager-app (39d6d1a0)

2017-11-12 Weblate

        * Merge remote-tracking branch 'origin/master' (082b21a2)

2017-11-06 Brînzariu Cristian

        * Translated using Weblate (Romanian) (390ff2d7)

2017-11-06 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (cebd65aa)

2017-11-12 Jan Sprinz

        * Merge pull request #14 from ubports/Selection-fixes (90efcf97)

2017-11-08 Stefano Verzegnassi

        * Use git hash for click package versioning (278cc8a4)

2017-11-07 Stefano Verzegnassi

        * Merge pull request #16 from nfsprodriver/master (06eb6810)

2017-11-07 Bjarne Roß

        * Merge pull request #9 from sverzegnassi/open_dialog_fixes
          (f6a38f96)

2017-11-07 Stefano Verzegnassi

        * (-1) + (-1) + (-1) = (-3) (d41631e6)
        * Updated error dialog text for file renaming, '/' is restricted char
          in POSIX (fe8fefe3)
        * Fixed file renaming (i.e. NotifyDialog in invalid context error) +
          minor styling to ConfirmDialogWithInput (bb054390)
        * - Unified 'Open with' and 'Extract' dialog. - Always show 'Open
          With' dialog for any file type - Close 'Open with' dialog
          when 'Properties/Details' dialog is opened - [WARNING]
          Marked 'Extract' dialog for deprecation. It's still used
          for some action (64cab0e3)

2017-11-06 Brînzariu Cristian

        * Translated using Weblate (Romanian) (030328fd)

2017-11-06 nfsprodriver

        * Oops (2d85216f)

2017-11-05 Florian Leeber

        * Merge pull request #21 from
          ubports-weblate/weblate-ubports-filemanager-app (644f5466)

2017-11-05 nfsprodriver

        * Added properties (3750bd6d)
        * Some fixes and functions (dff96f7c)

2017-11-05 Bjarne Roß

        * Merge pull request #8 from sverzegnassi/master (842ca7da)

2017-10-29 Brînzariu Cristian

        * Translated using Weblate (Romanian) (14f67a00)

2017-11-01 Terence Sambo

        * Translated using Weblate (Dutch) (ebf53f53)

2017-10-29 Aitzol Berasategi

        * Translated using Weblate (Basque) (1c492a7f)

2017-10-30 Stefano Verzegnassi

        * Added support for user defined bookmarks (59d114ff)

2017-10-27 Stefano Verzegnassi

        * Changed arrow width in PathHistoryRow (c6a3e097)

2017-10-26 Stefano Verzegnassi

        * Fixed SectionDivider alignment (6b770074)
        * Attempt to solve 'select all/none' ambiguity by removing the action
          icon (1c5dad09)
        * Removed old auth dialog (ac3654ce)
        * Disable fingerprint authentication for now (533076dd)
        * Started work on new authentication handler. Still unfinished - see
          e.g. 'isAlphanumeric'. Needs testing for fingerprint.
          (631b33f4)

2017-10-25 Stefano Verzegnassi

        * Clear clipboard when content has been finally copied. This is the
          typical behavior on smartphones and tablets. (2d638203)
        * Added option to sort by size (ad89fca0)
        * Fixed wrapMode and btn size for the 'Restricted access' view header
          (2448ed09)

2017-10-24 Stefano Verzegnassi

        * Moved Places button at the most-left position for any form factor.
          Redefined 'wideAspect' breakpoint since it badly affected
          the MX4 user experience (2312d9cc)
        * Allow SD card and mounted media access by default;  Removed
          TagLib dependencies (cc13dbd0)

2017-10-23 Stefano Verzegnassi

        * Added 'touch' new file feature (91dd8bd8)
        * Added global dark theme (bdeb9a06)
        * added comments (1edb5da0)
        * Merge pull request #15 from nfsprodriver/master (18a756bf)

2017-10-23 Jan Sprinz

        * Merge pull request #20 from
          ubports-weblate/weblate-ubports-filemanager-app (8129c14b)

2017-10-15 Ivan Semkin

        * Translated using Weblate (Russian) (02ec233d)

2017-10-19 Ivo Xavier

        * Translated using Weblate (Portuguese) (1c0e930b)

2017-10-18 Ivo Xavier

        * Translated using Weblate (Portuguese) (60701056)

2017-10-15 Weblate

        * Merge remote-tracking branch 'origin/master' (f25827ca)

2017-10-14 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (39cb2634)

2017-10-08 Florian Leeber

        * Merge pull request #19 from
          ubports-weblate/weblate-ubports-filemanager-app (115ab667)

2017-10-08 Weblate

        * Merge remote-tracking branch 'origin/master' (75054495)

2017-10-05 Jonasz Potoniec

        * Translated using Weblate (Polish) (11600d1d)

2017-10-02 RedXXIII

        * Translated using Weblate (French) (10e1de7a)

2017-10-02 Henrik Holm

        * Translated using Weblate (Danish) (0df304f3)

2017-10-03 Milan Korecký

        * Translated using Weblate (Czech) (c7157642)

2017-09-28 Philipp Leibelt

        * Translated using Weblate (German) (36ce6aa1)

2017-10-01 Florian Leeber

        * Merge pull request #18 from
          ubports-weblate/weblate-ubports-filemanager-app (3f2708e0)

2017-10-01 Weblate

        * Merge remote-tracking branch 'origin/master' (64affb8a)

2017-09-30 Francisco Molinero

        * Translated using Weblate (Spanish) (84e86ea9)

2017-09-30 Peter Valachovič

        * Translated using Weblate (Slovak) (3d6ebbab)

2017-09-30 Nelly Simkova

        * Translated using Weblate (Russian) (7f1ed54b)

2017-09-30 Stefano Melchior

        * Translated using Weblate (Catalan) (ab766a77)

2017-09-28 Ivo Xavier

        * Translated using Weblate (Portuguese) (24fe0b32)

2017-09-24 Daniel Frańczak

        * Translated using Weblate (Polish) (52a2f3ac)

2017-09-28 Stefano Melchior

        * Translated using Weblate (Italian) (075ba594)

2017-09-28 Philipp Leibelt

        * Translated using Weblate (German) (1d0c898d)

2017-09-27 Florian Leeber

        * Translated using Weblate (English (United Kingdom)) (bf6843ed)

2017-09-28 Henrik Holm

        * Translated using Weblate (Danish) (986555a4)

2017-09-29 Jeff

        * Translated using Weblate (Albanian) (06c121dd)

2017-09-28 nfsprodriver

        * Revert lang files for now, fix media dir (395c5e8d)
        * Enlarge settings font size (acc27e72)
        * Updated pot fixed media drive icon (0c7e630a)

2017-09-28 Bjarne Roß

        * Merge pull request #7 from sverzegnassi/master (6cf7c8fb)

2017-09-27 Stefano Verzegnassi

        * Fixed selection highlight radius and color as per feedbacks
          (a2f8a64e)

2017-09-26 Stefano Verzegnassi

        * Merge branch 'master' of
          https://github.com/sverzegnassi/filemanager-app (30c1008c)
        * Reduced margins in Settings dialog (ab0c2c20)
        * Merge pull request #12 from nfsprodriver/master (35bd3a3e)

2017-09-26 nfsprodriver

        * Removed unused icon folder (82285e1e)

2017-09-26 Stefano Verzegnassi

        * Merge pull request #11 from nfsprodriver/patch-2 (94aced9b)

2017-09-26 Bjarne Roß

        * Resort Actions (5b7ced0b)

2017-09-26 Stefano Verzegnassi

        * Selection bottom bar UI cleaning (f0e22bb7)
        * Merged Clipboard and Default panels + bit of eyecandy (2912fd43)
        * Redesigned Settings popover (f97babe6)
        * Added customizable size for list view too (6bb4fb60)
        * Merge pull request #10 from nfsprodriver/master (fc514f9f)
        * Fixed PlacesBookmarks action visibility + moved at the most-right
          position (de54d584)
        * Remove 'gridSize' from backend (b14bb6fd)

2017-09-26 nfsprodriver

        * Updated feature (d5bbcf94)

2017-09-26 Bjarne Roß

        * Merge pull request #6 from sverzegnassi/master (77f73379)

2017-09-25 Florian Leeber

        * Merge pull request #16 from
          ubports-weblate/weblate-ubports-filemanager-app (d83bf4c9)

2017-09-24 Daniel Frańczak

        * Translated using Weblate (Polish) (55264ce1)

2017-09-24 Stefano Verzegnassi

        * FolderListModel add new items one by one. Prevent 'countChanged()'
          signal from being emitted multiple times when this occurs
          (efbcdc66)
        * Properly fixed 'count' property signal emission (95b25e22)
        * Merge pull request #8 from
          nfsprodriver/NewAddFolder-ModelRefreshOnItemsCountChanged
          (87e64696)

2017-09-24 nfsprodriver

        * Removed refresh due to fixed by dc4e15f (5d06e0af)

2017-09-24 Weblate

        * Merge remote-tracking branch 'origin/master' (f868fd57)

2017-09-21 advocatux

        * Translated using Weblate (Spanish) (d633f0c9)

2017-09-17 Adrià

        * Translated using Weblate (Sardinian) (6b4c60fa)

2017-09-19 Beton

        * Translated using Weblate (Polish) (73ed5748)

2017-09-20 ghostranger

        * Translated using Weblate (Kannada) (f78e250c)

2017-09-20 Stefano Melchior

        * Translated using Weblate (Italian) (03cd5d63)

2017-09-18 Eran

        * Translated using Weblate (Hebrew) (e78653fa)

2017-09-17 Bjarne Roß

        * Translated using Weblate (German) (857ff99e)

2017-09-23 Mappack Owner

        * Translated using Weblate (Dutch) (1cd8ba5e)

2017-09-18 Milan Korecký

        * Translated using Weblate (Czech) (bb786a73)

2017-09-24 Stefano Verzegnassi

        * Fixed 'count' property change not being notified after creation or
          removal of the only content of a given path (dc4e15f9)
        * Put all the signals together (23b709fb)
        * Small addition to my previous commit (9957979d)
        * Rewriting JS helpers in C++ (4b1ebbdf)

2017-09-21 Andrzej Stamburski

        * Translated using Weblate (Dutch) (0061a350)

2017-09-23 Stefano Verzegnassi

        * typo (399679f8)
        * Partially reformatted other files in FolderListModel plugin
          (a04e1aa6)
        * Reformatted code inside 'trash' folder of FolderListModel plugin
          (7e44e1a2)
        * Reformatted code inside 'smb' folder of FolderListModel plugin
          (c9007d89)
        * Reformatted code inside 'net' folder of FolderListModel plugin
          (42ceb85a)
        * Reformatted code inside 'disk' folder of FolderListModel plugin
          (d399ddcf)
        * astyle'd PamAuthentication plugin with Qt coding style conventions
          (583094cb)
        * astyle'd PlacesModel plugin with Qt coding style conventions
          (c8c21c00)
        * astyle'd Archives plugin with Qt coding style conventions
          (645203e8)
        * Merge pull request #7 from nfsprodriver/patch-1 (a15dcddf)
        * Handle 'selectedAll' status from DirSelection (76d65366)
        * Use TextualButtonStyle for (un)select all action (3f83e65a)
        * Added Select/Unselect All action (8deb4257)
        * Merge pull request #6 from sverzegnassi/nfsprovider_contenthub
          (62f45a64)
        * Merged master & fixed conflict (f2d379d3)

2017-09-23 nfsprodriver

        * Reverted SearchBar parts for PR (185fdb66)
        * NewAddFolder-ModelRefreshOnItemsCountChanged (265f2981)

2017-09-23 Bjarne Roß

        * Merge pull request #5 from sverzegnassi/master (66680a68)
        * Added (un)select all feature (a9eb65b0)

2017-09-23 Stefano Verzegnassi

        * Fixed current item visibility in PathHistoryRow (28369e38)

2017-09-22 Stefano Verzegnassi

        * ActionList 'actions' property is not-NOTIFYable (7c2f33bb)
        * Removed noisy output from PathHistoryRow (56c90047)
        * Added common component for panels + BottomPanelStack (6be611f0)
        * moved views into 'views' folder (cc8ac1e1)
        * moved bottom bars into 'panels' folder (bb5f43d7)
        * Removed bottom edge, use standard page + leading action in header
          (120c6874)

2017-09-22 nfsprodriver

        * ContentHub fixes and folder selection (e2189a82)
        * Revert "ContentHub fixes and folder selection" (532425d5)
        * ContentHub fixes and folder selection (e632029f)
        * Added search bar (e201f8b1)

2017-09-22 Stefano Verzegnassi

        * Merge pull request #3 from nfsprodriver/master (bd4e6b53)

2017-09-22 nfsprodriver

        * Updated Icon View (18e9e656)

2017-09-22 Bjarne Roß

        * Merge pull request #3 from sverzegnassi/master (a095e4e3)

2017-09-22 Stefano Verzegnassi

        * Merge pull request #2 from sverzegnassi/file_details_popover
          (9aabe8e3)
        * Merge pull request #1 from nfsprodriver/master (11b2b16f)
        * Removed attempt for recalling position of second-last opened folder
          (be379578)
        * Keep multiple selection if deletion is aborted (c61f4337)

2017-09-21 Stefano Verzegnassi

        * Moving 'showText' where actually necessary (1de325e2)
        * Finishing SelectionBottomBar design (dbc6453d)
        * Fixed bottom margins when bottom edge hint is visible (i.e. always
          in phone mode - since QuickUtils.mouseAttached = true)
          (1365bfdc)

2017-09-06 Francisco Molinero

        * Translated using Weblate (Spanish) (580fa47f)

2017-09-21 Stefano Verzegnassi

        * Refactored FolderIconDelegate + new visuals (0f21a962)
        * Finishing cleaning from previous commit (f4b1c585)
        * Moved ContentHub controls in a separate UITK Header (5aed2a79)
        * Fixed clipboard clear both on desktop and mobile (cbac61a4)
        * Removed bindings with properties declared outside the QML
          documents used for delegates;  Use Ubuntu Thumbnailer
          service;  Simplified layout bindings in FolderListDelegate
          * Fixed noisy application output;  All items above for
          FolderIconDelegate too (f49b11ce)

2017-09-21 nfsprodriver

        * Thumbnail fixes, svg support (71c59166)
        * Stefano's proposes (3422a1fc)
        * Fixes (fe699c63)
        * Some fixes attempt (7cedc2d6)
        * Added new files for media preview (a89db6aa)

2017-09-21 Stefano Verzegnassi

        * code review hints (70e16132)

2017-09-20 Stefano Verzegnassi

        * Added selection mode header for FolderListPage (18569ed9)
        * Use standard QClipboard method. Works on desktop, need to check on
          mobile (2bf7c241)
        * Added new ClipboardBottomBar (71ac207d)

2017-09-20 Stefano Melchior

        * Translated using Weblate (Italian) (9e96baad)

2017-09-20 Stefano Verzegnassi

        * Remove viewLoader spacing (4f625170)

2017-09-20 nfsprodriver

        * Updated qmls (845829ac)

2017-09-20 Bjarne Roß

        * Merge pull request #2 from sverzegnassi/master (abbe82f6)

2017-09-20 Stefano Verzegnassi

        * Fixed FileDetailsPopover for current folder + further UI changes
          (e9c63c78)
        * Refactored UI design of FileDetailsPopover (6ea8308c)

2017-09-19 nfsprodriver

        * Further fixes (db432594)

2017-09-18 Stefano Verzegnassi

        * Implemented empty states + reworked full access UI (0b23825e)
        * New section header in list mode. Removed old headers. (dc047669)
        * Restored back action in phone mode (8fe5961f)
        * Implemented new sidebar (5f717667)
        * Added new PathHistoryRow. Still some minor bug, but works
          (7791bb1c)
        * Moved settings as separate component (cab4aa07)
        * Readded copying.lgpl (ef94db2c)
        * Pushed FolderModel backend from Liri Files + corrections and
          cleaning. Almost done. (37c6f7f4)
        * Use the same set of actions for both FolderIconView and
          FolderListView (c72a72d9)
        * Moved FolderListPage header in another QML document (6817a14c)
        * Further preparation for updating FolderListModel backend. Mostly
          clean-up of naming resolution. Please note that code might
          be broken somewhere, e.g. PathHistoryRow (will be replaced
          soon), FileDetailsPopover (when invoked for an entire
          folder) or ContentHub support (which anyway will be
          rewritten) (be033cda)
        * Moved and renamed FolderListModel backend (9c5d26e0)
        * Moved dialogs outside FolderListPage.qml. Not sure everything works
          yet - this commit is just a part of a bigger PR.
          (da5f7cf7)

2017-09-18 nfsprodriver

        * Selection fixes (5b8db46a)

2017-09-17 Bjarne Roß

        * Merge pull request #13 from sverzegnassi/master (a61a8751)

2017-09-17 Stefano Verzegnassi

        * Removed AutoSpacedGrid. Seemed to interfere with ScrollView on
          vivid. (3206e201)

2017-09-17 Florian Leeber

        * Merge pull request #12 from sverzegnassi/master (ccd0c085)

2017-09-17 Stefano Verzegnassi

        * Merge branch 'master' of https://github.com/ubports/filemanager-app
          (79e2bfc9)
        * Moved fileIcon() function in C++ DirModel. It might be improved in
          future, but works exactly the same as before. (ef7014d9)

2017-09-17 Florian Leeber

        * Merge pull request #9 from
          ubports-weblate/weblate-ubports-filemanager-app (f640f445)

2017-09-17 Stefano Verzegnassi

        * Removed unused methods (d1b91e72)
        * Removed repeater model. It was only used for checking whether a
          path exists or not, however FolderListModel has already
          helpers for that (95e84811)
        * Moved actions common definitions in separate components (f467fae2)
        * Move part of FolderListModel definition in a separate file
          (667dbde8)
        * Fixing UI for folders view (107f2126)
        * Refactoring components to use latest UITK 1.3 features - mostly
          removing usage of Ubuntu.Components.ListItems module.
          (575b7dc9)
        * Refactored Places bottom edge page (caba2b63)
        * Removed usage of deprecated PageWithBottomEdge. Use the component
          from UITK 1.3 (ffd6e104)
        * removed custom colors in mainview (04146ed0)
        * Get rid of unused QML documents + removed unused getIcon() function
          (f7914874)
        * Merge pull request #7 from nfsprodriver/master (82492f4e)

2017-09-17 Twinkybot

        * Translated using Weblate (German) (9af7cf91)

2017-09-17 Weblate

        * Merge remote-tracking branch 'origin/master' (4ee844c2)

2017-09-16 Adrià

        * Translated using Weblate (Sardinian) (e68130b5)

2017-09-16 Ivan Semkin

        * Translated using Weblate (Russian) (5c9a6d76)

2017-09-17 Beton

        * Translated using Weblate (Polish) (e9dea59c)

2017-09-15 Eran

        * Translated using Weblate (Hebrew) (6e6366b9)

2017-09-16 nfsprodriver

        * Revert ~/.* policy (ce319b2c)

2017-09-16 Bjarne Roß

        * Merge pull request #1 from sverzegnassi/master (b2c7ccbf)

2017-07-23 dimitra

        * Translated using Weblate (Russian) (e6367785)

2017-09-16 Stefano Verzegnassi

        * Use Qt.labs.settings instead of U1DB for storing setting.
          Removed a bit of dead links (or other unused code) which
          were related to settings;  Updated ViewPopover.qml so that
          it uses the new settings backend;  Deferred results
          fetching in DirModel until all the QML properties are set.
          This ensure that the correct request is not skipped and
          results respect the settings provided to DirModel.;  Fixed
          an unset property in FolderListDelegate.qml. It was just
          annoying when analyzing the application output. (658cedb0)
        * Reverted default folder to /home/stefano (57289fb5)

2017-09-16 Jeff

        * Translated using Weblate (Albanian) (7b4a9e99)

2017-09-15 Stefano Verzegnassi

        * Removed further references to tab in filemanager.qml (a1e407fc)
        * Removed further references to tabs in FolderListPage.qml (169fd5fd)
        * Removed usage of deprecated QML module (bf26ecc2)
        * Removed tabs support since it's not used (50f4cea8)
        * Added 'text' properties to ListItemActions (14bb6fc7)
        * Fix building with Ubuntu IDE (732ce609)
        * Bump app version (c22a8b71)
        * Update .gitignore (7647fa7d)
        * Restore COPYING.BSD (5e50ede1)

2017-09-13 Jeff

        * Added translation using Weblate (Albanian) (785568b4)

2017-09-10 nfsprodriver

        * Hotfix (088dc9ca)

2017-09-10 Florian Leeber

        * Merge pull request #8 from
          ubports-weblate/weblate-ubports-filemanager-app (bdbc0948)

2017-09-06 Francisco Molinero

        * Translated using Weblate (Spanish) (904e1426)

2017-09-07 Peter Valachovič

        * Translated using Weblate (Slovak) (8e4344c1)

2017-09-07 Mike

        * Translated using Weblate (Italian) (5757a40e)

2017-09-05 Gerd Sänger

        * Translated using Weblate (German) (03fe94b7)

2017-09-06 Anne Onyme

        * Translated using Weblate (French) (5d459bf9)

2017-09-07 Jiri Grönroos

        * Translated using Weblate (Finnish) (f0887934)

2017-09-07 Milan Korecký

        * Translated using Weblate (Czech) (4100c0d8)

2017-09-06 Joan CiberSheep

        * Translated using Weblate (Catalan) (bcb56242)

2017-09-07 t-h-e-p-e-t-e-r

        * Translated using Weblate (Slovak) (3a6fded9)

2017-09-06 Reda

        * Translated using Weblate (French) (0f75b40d)

2017-09-06 Anne Onyme

        * Translated using Weblate (French) (050ed475)

2017-09-06 Reda

        * Translated using Weblate (French) (0a330a10)

2017-09-05 advocatux

        * Translated using Weblate (Spanish) (11a013a5)

2017-09-05 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (3c59ca74)

2017-09-06 Milan Korecký

        * Translated using Weblate (Czech) (53e2ac2c)

2017-09-05 advocatux

        * Translated using Weblate (Spanish) (f509dde4)

2017-09-05 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (2859d7de)

2017-09-05 nfsprodriver

        * Added hidden file policy also for multiple files (f3311e8d)

2017-09-04 Bjarne Roß

        * Translated using Weblate (German) (b03e8e25)

2017-09-04 nfsprodriver

        * Added git as chroot dependency to get GIT_REVNO (1d469384)
        * Removed BZR lines (9187a49a)
        * Attempt reverting language files (de5f3533)
        * Attempt implementing stefano's hints (85c97ff5)
        * Action visibility fixes (ba7aea91)
        * Work with multiple files etc. (1933c4c4)

2017-09-03 Bjarne Roß

        * Oops, reverting version bump... (5129b0cb)
        * Update README-NewBuildInstructions.md (89edaa3f)
        * Update README-NewBuildInstructions.md (ba601407)

2017-09-03 nfsprodriver

        * hotfix (c32984d3)
        * executable scripts (82b7bb95)
        * Huge update (a2dccddd)

2017-08-29 Adrià

        * Translated using Weblate (Sardinian) (0931cc3d)

2017-08-28 Milan Korecký

        * Translated using Weblate (Czech) (b6667c57)

2017-08-24 Sander

        * Translated using Weblate (Dutch) (c8172c82)

2017-08-21 advocatux

        * Translated using Weblate (Spanish) (10192dcc)

2017-08-21 Gabriele

        * Translated using Weblate (Italian) (2619aca1)

2017-08-21 Weblate

        * Merge remote-tracking branch 'origin/master' (e90a179c)

2017-08-19 qutghan

        * Translated using Weblate (Uighur) (431d1871)

2017-08-20 Jan Sprinz

        * Merge pull request #5 from cibersheep/master (92a548cf)

2017-08-17 advocatux

        * Translated using Weblate (Spanish) (b576e95f)

2017-08-13 Joan CiberSheep

        * SVG app icon (38c02504)
        * SVG icon (f0d34606)

2017-08-05 Bjarne Roß

        * Translated using Weblate (German) (85947959)

2017-08-04 Milan Korecký

        * Translated using Weblate (Czech) (0cc00cdd)

2017-07-30 Milan Korecký

        * Translated using Weblate (Czech) (770d0cac)

2017-07-27 Ahmed Suliman

        * Translated using Weblate (Arabic) (dc01ff8b)

2017-07-26 František Tomajko

        * Translated using Weblate (Slovak) (9b76d22e)

2017-07-24 Arjan Vlek

        * Translated using Weblate (Dutch) (d1145776)

2017-07-23 dimitra

        * Translated using Weblate (Russian) (93f68761)

2017-07-22 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (58214423)

2017-07-20 wangyou

        * Translated using Weblate (Chinese (Simplified)) (c1157ab4)

2017-07-19 Ivo Xavier

        * Translated using Weblate (Portuguese) (017b5b03)

2017-07-19 Anne017

        * Translated using Weblate (French) (6ad33db9)

2017-07-17 Eran

        * Translated using Weblate (Hebrew) (47a83d51)

2017-07-17 Torsten Franz

        * Translated using Weblate (German) (b01aa98a)

2017-07-17 Anne017

        * Translated using Weblate (French) (6983d646)

2017-07-17 advocatux

        * Translated using Weblate (English (United Kingdom)) (c9caa8a4)

2017-07-17 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (34ecf537)

2017-07-17 Ahmed Suliman

        * Translated using Weblate (Arabic) (0db29cc9)

2017-07-16 t-h-e-p-e-t-e-r

        * Translated using Weblate (Slovak) (c3f72664)

2017-07-14 Andrzej Stamburski

        * Translated using Weblate (Polish) (a42c816b)

2017-07-13 Eran

        * Translated using Weblate (Hebrew) (22ff7630)

2017-07-13 Sami Törmänen

        * Translated using Weblate (Finnish) (3b3c2467)

2017-07-12 Anne017

        * Translated using Weblate (French) (a552b72a)

2017-07-09 Eran

        * Translated using Weblate (Hebrew) (8c93a71e)

2017-07-09 Sami Törmänen

        * Translated using Weblate (Finnish) (8a3eaabd)

2017-07-08 Ahmed Suliman

        * Translated using Weblate (Arabic) (189bad61)

2017-07-06 Ivo Xavier

        * Translated using Weblate (Portuguese) (3900eb49)

2017-07-05 Aitzol Berasategi

        * Translated using Weblate (Basque) (617b9ba9)

2017-07-05 Ahmed Suliman

        * Translated using Weblate (Arabic) (3f118af9)

2017-07-04 Gabriele

        * Translated using Weblate (Italian) (c4ca620a)

2017-07-02 Milan Korecký

        * Translated using Weblate (Czech) (e67d0a20)

2017-07-01 Francisco Molinero

        * Translated using Weblate (Spanish) (183e455e)

2017-07-01 Brînzariu Cristian

        * Translated using Weblate (Romanian) (125ead8b)

2017-07-01 Eran

        * Translated using Weblate (Hebrew) (531d61a5)

2017-07-01 Gerd Sänger

        * Translated using Weblate (German) (22875dff)

2017-07-01 Sander

        * Translated using Weblate (Dutch) (986feba2)

2017-07-01 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (c469a830)

2017-06-30 Adrià

        * Added translation using Weblate (Sardinian) (2a22b892)

2017-06-30 Paco Mulas

        * Translated using Weblate (Spanish) (fa8803a9)

2017-06-30 Weblate Admin

        * Translated using Weblate (German) (1d5735ed)

2017-06-30 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (9d155927)

2017-06-30 Jan Sprinz

        * Translated using Weblate (German) (412b53c5)

2017-05-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (32ac13e8)

2017-04-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4b7ce393)

2017-04-04 Bileto Bot

        * Releasing 0.4+17.04.20170404-0ubuntu1 (fa215d12)
        * Rename binary file to ubuntu-filemanager-app;  Join plugin
          packages into the main package (f24fdf1e)

2017-04-04 Renato Araujo Oliveira Filho

        * Make sure that the app only appears on unity8. (0241c52c)

2017-03-23 Renato Araujo Oliveira Filho

        * Extend package description. (95de8583)
        * Updated debian copyright with the license for autopilot tests.
          (bb83dd9e)

2017-03-22 Renato Araujo Oliveira Filho

        * Update Ubuntu.Content dep version. (f1f6c120)
        * Skipe tests failing due problems with autopilot UITK. (17d91fcd)
        * Merged: lp:~renatofilho/ubuntu-filemanager-app/rename_old_click
          (727c7e47)
        * Fixed copyright file syntax. (2149cc25)
        * Removed duplicated entry. (c8dc7696)
        * Added missing license files. (139b9ff3)
        * Create a litian override file to skip  problems that is not
          relevant. (37d4d7ad)
        * Added missing header license. (b86c66fc)

2017-03-21 Renato Araujo Oliveira Filho

        * Fixed "package-contains-timestamped-gzip" lintian error. (c9e4f02c)
        * Fixed some "lintian" errors. (54117254)

2017-03-20 Renato Araujo Oliveira Filho

        * Added Keywords for desktop file. (e891fbfe)
        * Uses GLP for files in ./debian/* (d8141ed8)
        * Fixed autopilot launching. (37cd7e68)

2017-03-16 Renato Araujo Oliveira Filho

        * Remove extra deps. (6499a6ad)
        * Revert removal of folderlistmodel plugin. Install all plugins as
          private component. (bffb1813)

2017-03-15 Renato Araujo Oliveira Filho

        * Make sure that snap package does not contain system libraries.
          (7435d492)
        * Remove any click related code. Removed some plugins source since
          this is already part of others projects. (07ac3d89)
        * Revert change on po/CMakeLists.txt file. (a6f2244c)
        * Parent merged. (bf44912a)
        * Does not show "new folder" button during the file/folder selection
          operation. (54deb7c4)

2017-03-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (9bb007c0)

2017-03-13 Renato Araujo Oliveira Filho

        * Parent merged. (67e155d7)
        * Does not require authentication by default. (e42f2541)
        * Parent merged. (14d3a9ed)
        * Imporve FolderListPage to be more clear when importing files.
          (800860bd)

2017-03-10 Renato Araujo Oliveira Filho

        * Parent merged. (3e57b665)
        * use "X-Ubuntu-Single-Instance=true". (f5960f94)
        * Parent merged. (f57bae2f)
        * Handle proper SIGTERM. (05a89056)
        * Parent merged. (77ec199d)
        * Update application name. (47759cc0)

2017-03-09 Renato Araujo Oliveira Filho

        * Destroy activeTransfer object on transfer done. (a290d73e)
        * Typo fixed. (b236339d)
        * Parent merged (fb94a45e)
        * Added missing build deps. (c8930fd8)
        * [debian] Install apparmor file (43899346)

2017-03-09 Ken VanDine

        * Some renaming away from the old click names (4e2f6711)

2017-03-09 Renato Araujo Oliveira Filho

        * use the same deskotp file name on content-hub peers. (edb51578)
        * [contet-hub] Install content-hub file in the corret dir. (9dca5257)

2017-03-08 Renato Araujo Oliveira Filho

        * [debian] accept 'qml-module-pamauthentication0.1' or
          'qtdeclarative5-fm-pamauthentication0.1' as binary dep.
          (4b275dbe)
        * [debian] install content hub file (433d11dc)
        * New debian release. (7c1fbe21)

2017-03-07 Renato Araujo Oliveira Filho

        * Added unity8 interface for snap. (c58cb1ad)
        * Added unity8 interface for snap. (39923361)

2017-02-23 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a34ad1f8)

2017-02-15 Renato Araujo Oliveira Filho

        * [snap] Added 'mir' into plug list. (cba3bba7)

2017-02-09 Renato Araujo Oliveira Filho

        * [snap] Added 'mir' into plug list. (adbac32e)

2017-02-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (222d942d)

2017-01-27 Carlos J Mazieri

        * FIX the netwotk crash when Localtion::m_info is deleted in the main
          thread.
          Fixes: https://bugs.launchpad.net/bugs/1609051.
          (6b2c6315)
        * just improved comment about NetworkLocation class usage (90979532)

2017-01-26 Carlos J Mazieri

        * FIX the crash when Localtion::m_info is deleted in the main thread
          because it is used in the worker thread, NetworkListWorker
          creates its own DirItemInfo instance and copies the data
          from Localtion::m_info to avoid that problem (af615c37)

2016-12-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (79883edd)

2016-12-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ad952a06)

2016-11-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ef9bf697)

2016-11-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ac5eec5c)

2016-11-20 Renato Araujo Oliveira Filho

        * Use 'ubuntu-app-platform' plugin. (28cf7c4c)

2016-11-18 Renato Araujo Oliveira Filho

        * Added default provider for ubuntu-app-platform. (3e949c50)

2016-11-16 Renato Araujo Oliveira Filho

        * Use 'ubuntu-app-platform' plugin. (c77f0600)

2016-11-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f07c64f1)

2016-11-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (b72846ad)

2016-10-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (83971e9a)

2016-10-11 Renato Araujo Oliveira Filho

        * created snappy package. (02b0978f)

2016-10-10 Renato Araujo Oliveira Filho

        * Removed built in packages from dep list. (42c535b2)
        * Trunk merged. (914625b5)
        * created snappy package. (d7310fc2)

2016-10-06 Renato Araujo Oliveira Filho

        * Do not use hardcoded paths for icons.
          Fixes:
          https://bugs.launchpad.net/bugs/1629009. (0bf56de4)
        * Limit the icon size used on Details page. (91a4b4ba)
        * Do not use hardcoded paths for icons. (bacd5f9f)

2016-09-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5ae8b12b)

2016-09-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8d29a1c5)

2016-09-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (88a91b5f)

2016-09-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f429cdd8)

2016-09-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2ce17b5b)

2016-08-31 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (797ebd0a)

2016-08-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (e652894b)

2016-08-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8a1674ac)

2016-08-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (270be14b)

2016-08-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ff5dea06)

2016-08-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4a240226)

2016-08-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f0a0f958)

2016-07-31 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ed7463d3)

2016-07-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a01615e6)

2016-07-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f7cb0af3)

2016-07-25 Michael Zanetti

        * Add support for sharing files via contenthub on longpress.
          Fixes:
          https://bugs.launchpad.net/bugs/1525584. (bbd1ebfa)
        * merge trunk (d0666980)

2016-07-21 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f8941b29)

2016-07-20 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ce5ecfee)

2016-07-19 Renato Araujo Oliveira Filho

        * Implemented support for importing any kind of file. (e7411172)
        * Make current Path darker than the visited one. (ab08088e)

2016-07-18 Renato Araujo Oliveira Filho

        * Avoid stole keyboard focus by NetAuthenticationHandler dialog.
          (9bd6c9dd)
        * Does not upercase inital letter on input dialog. (e7094621)
        * Go inside of the recent created folder. (1204d0e0)
        * Does not show "create folder" button if directory is not writable.
          (5ecf282b)
        * Update pot file. (025d4858)
        * Make sure that full access change get propagated to all pages.
          (cb3eefa5)
        * Changed "imported" dialog visual. (9e47142b)
        * Change the active folder to the folder selected during the import
          process. (cbd84ed8)
        * Add comments (4b6280ee)
        * Disable "Create folder" button if current path is not writable.
          (d7e71dec)
        * Does not use predictive text on input dialog to keep the "Ok"
          button enabled while entering the text. (ba8da3a2)

2016-07-15 Renato Araujo Oliveira Filho

        * Avoid create directories with space in the end. (4552cef3)
        * Fixed typo. (12c54b99)
        * Refresh view on page activated. (cca31971)
        * Use plural form on import finish dialog. (c42ac918)
        * Increase index to make sure a new file name is created. (6d6c0c41)

2016-07-14 Renato Araujo Oliveira Filho

        * Accept any kind of file as destination. (735096e4)
        * Implemented support for contact importing. (dad2c27e)

2016-07-12 Michael Zanetti

        * add feature to share files (0225bb6c)

2016-07-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6e31df33)

2016-07-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c3f16db7)

2016-07-07 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (aaf61499)

2016-07-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d7337f18)

2016-06-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2730464e)

2016-06-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (9b48a4db)

2016-06-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5d1c218d)

2016-06-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (b5954324)

2016-06-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (aa4c41b1)

2016-06-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8ea55ac7)

2016-06-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (df3d5706)

2016-06-09 Dan Chapman

        * Migrate to using the latest PageHeader API (700cf29d)
        * Fix settings page content hiding behind header :-p (6cf36705)
        * Fix the white gap below the header (32b96c70)

2016-06-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (16b7040e)

2016-06-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d1f7e4a4)

2016-06-05 Dan Chapman

        * Fix build dir included in translations (cf535ca3)
        * Migrate to using the latest PageHeader API (b51b7ba2)
        * Fix the white gap below the header (259bb2a7)

2016-05-21 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6f985937)

2016-05-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (70d1cbe8)

2016-04-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (76dd1b16)

2016-04-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0c8c2c2d)

2016-04-11 Alan Pope

        * Remove the blue occurrences. (8c3400cb)

2016-04-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7fe392e0)

2016-04-08 Alan Pope

        * Correct colours on authentication dialog buttons (49bff56d)

2016-04-07 Alan Pope

        * update framework, fix porcelain typo (c63d9565)

2016-04-06 Alan Pope

        * fix hilight in sidebar (95af00aa)
        * Fix colours (96a5f4b4)

2016-03-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (e80cbf65)

2016-03-23 nskaggs

        * Remove unneeded _copy_xauthority_file.
          Fixes:
          https://bugs.launchpad.net/bugs/1220607. (7780db90)
        * Add dependency cache for click depends downloads. (293b7537)

2016-03-23 Ken VanDine

        * Bump Ubuntu.Content import to 1.3 to fix theme issue .
          Fixes:
          https://bugs.launchpad.net/bugs/1554621. (7267a4af)

2016-03-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (32b9c544)

2016-03-16 Ken VanDine

        * Bump Ubuntu.Content import to 1.3 to fix theme issue (2bfeae2a)

2016-03-11 nskaggs

        * remove _copy_xauthority_file (01c8d9e4)

2016-03-10 nskaggs

        * use make directory (8d7f675f)
        * Fix AP tests. (abc2132b)
        * add mkdir for cache (52699a82)
        * add cache for dependency downloads (e774ca10)

2016-03-07 nskaggs

        * fix pep8 (e42be6a3)
        * revert pot file changes (b9603753)

2016-03-04 nskaggs

        * fix label -> uclabel, named directories rather than temporary
          (99ca8845)
        * update readme with jenkins info (5a0bb184)

2016-02-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1556046f)

2016-02-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0902761a)

2016-02-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d38fb2c1)

2016-02-09 Alan Pope

        * Reduce the font size of the header from x-large to large.
          Fixes:
          https://bugs.launchpad.net/bugs/1543058. (4d51500c)

2016-02-08 Alan Pope

        * Reduce header font size (7028b631)

2016-02-02 Alan Pope

        * Change colour theme to match other core apps . (e2598be2)

2016-02-02 Florian Boucault

        * Migrated to version 1.3 of the Ubuntu UI Toolkit.
          Fixes:
          https://bugs.launchpad.net/bugs/1508363. (48bed0a0)

2016-01-29 Florian Boucault

        * Reverted changes to po/com.ubuntu.filemanager.pot (b6193de6)

2016-01-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7e579eef)

2016-01-28 Alan Pope

        * remove pot file (89a89da8)

2016-01-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (e044c938)

2016-01-19 Florian Boucault

        * Removed deprecated property 'useDeprecatedToolbar' (3d25af4e)

2016-01-18 Florian Boucault

        * Migrated to version 1.3 of the Ubuntu UI Toolkit (12f41a4e)

2016-01-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (b3e27a44)

2016-01-15 carlos-mazieri

        * class SmbListWorker removed from repostory. (e763f5c9)
        * Created new and generic classes: NetworkLocation and
          NetworkListWorker;  SmbLocation now inherits from the
          generic NetworkLocation instead of Locatio.
          SmbListWorker class is no longer used and it will be
          removed;  NetworkListWorker really performs the loading on
          a secondary thread. (28ba7725)
        * ust fixed a typo in some files 'indexOfColonAndSlashe' should not
          have the final 'e' as it refers to ':/'. (fbe13689)
        * LocationItemDirIterator descendants classes now perform the loading
          inside the constructor according to the new constructor
          flag LocationItemDirIterator::LoadMode.
          LocationItemDirIterator::LoadLater allows
          LocationItemDirIterator::load() be called later, that is
          how Network Locations should put the loading inside the
          secondary thread specific for loading. For Disk loading,
          that means in DiskLocationItemDirIterator class it was not
          implemented because QDir is used directly inside the
          secondary thread. (be1b031e)

2016-01-14 carlos-mazieri

        * Improved DirItemInfo and descendant classes:;  added
          DirItemInfo::setFile(const QString& newUrl) to change the
          current Item information;  fixed operator =. (09c85a2e)

2016-01-14 nskaggs

        * Fix autopilot tests in trunk -- UI element types changed slightly.
          (980372c2)
        * fix for Places ShapeItem -> UCUbuntuShape (cbcfbe0a)
        * fix for Header -> ListItemHeader (44de17d0)

2016-01-11 carlos-mazieri

        * fixed 2 typos related to 'responsible' (437b9fef)

2015-12-31 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8c68b544)

2015-12-23 Girish Rawat

        * Updated and expanded READMEs. (82dac8e1)

2015-12-19 Girish Rawat

        * Improved READMEs (bf41ce3c)

2015-12-12 carlos-mazieri

        * class SmbListWorker removed from repostory (55199606)
        * Created new and generic classes: NetworkLocation and
          NetworkListWorker;  SmbLocation now inherits from the
          generic NetworkLocation instead of Locatio.
          SmbListWorker class is no longer used and it will be
          removed;  NetworkListWorker really performs the loading on
          a secondary thread (5dde591d)
        * just fixed a typo in some files 'indexOfColonAndSlashe' should not
          have the final 'e' as it refers to ':/' (ece00c92)
        * just avoiding warning (d7467301)
        * LocationItemDirIterator descendants classes now perform the loading
          inside the constructor according to the new constructor
          flag LocationItemDirIterator::LoadMode.
          LocationItemDirIterator::LoadLater allows
          LocationItemDirIterator::load() be called later, that is
          how Network Locations should put the loading inside the
          secondary thread specific  for loading. For Disk loading,
          that means in  DiskLocationItemDirIterator class it was
          not implemented because QDir is used directly inside the
          secondary thread. (2f05cc27)
        * Improved DirItemInfo and descendant classes:;  added
          DirItemInfo::setFile(const QString& newUrl)  to change the
          current Item information;  fixed operator = (41da9e3d)

2015-12-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (53a26071)

2015-12-08 carlos-mazieri

        * Just replaced QDir::Filter by QDir::Filters, QDir::Filter was
          wrongly used. (4a246a91)
        * Just replaced QDir::Filter by QDir::Filters, QDir::Filter was
          wrongly used. (1e1dcc1d)

2015-12-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8290604c)

2015-12-04 Alan Pope

        * Simple patch which adds support for opening vcard/vcf files via
          content hub. Contacts app is a target, others (like Dekko)
          may follow later.
          Fixes:
          https://bugs.launchpad.net/bugs/1447721. (e0c5015c)

2015-12-03 Alan Pope

        * Add vcard contenthub support - fix 1447721 (c8065147)

2015-12-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (065a173b)

2015-11-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4b907bb4)

2015-11-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7d4f3c39)

2015-11-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (be5a6ea5)

2015-11-19 nskaggs

        * fix internet check for jenkins. (482e4f8c)
        * fix internet check for jenkins (907972ac)

2015-11-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a5dd56d1)

2015-11-10 carlos-mazieri

        * Fixed a bug #1508504 related to get the Samba hostname. It used to
          get the description instead of the name. For some cases
          the name is the first word in the description, so it
          worked in some cases.
          Fixes:
          https://bugs.launchpad.net/bugs/1508504. (80ed6326)
        * Removed unnecessary variable pathExists from
          DiskLocation::isThereDiskSpace() Improved log for
          authenticateCallBacks. (86035394)

2015-11-07 carlos-mazieri

        * Removed unnecessary variable pathExists from
          DiskLocation::isThereDiskSpace() Improved log for
          authenticateCallBacks. (67a32272)
        * Fixed a bug #1508504 related to get the Samba hostname, it used to
          get the description instead of the name. For some cases
          the name is the first word in the desctiption, so it
          worked in some cases. (f7cf4c32)

2015-11-03 Carlos Mazieri

        * UI changed to open remote files. (db7c82c1)

2015-11-03 carlos-mazieri

        * implemented tests for downloading files. (d5d6466c)
        * implemented a set of high level download functions. (234a709a)
        * improved DiskLocation::isThereDiskSpace() to work for files even
          they do not exist. (6eb85aa1)
        * added a set of download functions, they are basically a "copy"
          renaming the destination file. (35983e4a)
        * Removed static_cast from SmbLocationItemFile::size() Fixed
          SmbUtil::getStatInfo() to set "Not exist" for items such
          as smb://host_does_not_exist. (3fb12678)

2015-11-02 carlos-mazieri

        * Removed static_cast from SmbLocationItemFile::size() Fixed
          SmbUtil::getStatInfo() to set "Not exist" for items such
          as smb://host_does_not_exist (c9a8c9f3)

2015-11-02 Carlos Mazieri

        * UI changed to open remote files (b9204e82)

2015-11-02 carlos-mazieri

        * implemented tests for downloading files (e5cb6d1c)
        * implemented a set of high level download functions. (c5e982bd)
        * improved DiskLocation::isThereDiskSpace() to work for files even
          they do not exist. (d4a4ac4e)
        * added a set of download functions, they are basically a "copy"
          renaming the destination file. (f02c7e27)

2015-10-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (706272e7)

2015-10-28 Carlos Mazieri

        * improved SmbUtil::findSmBServer(). (11eb4620)
        * some cleanup in SmbItemInfo::setInfo(), work around for directories
          is not necessary after fixing stat problem on device.
          (fd2eff39)

2015-10-28 carlos-mazieri

        * changed SmbUtil::getStat() and SmbUtil::getFstat() to return int as
          they do not handle items from SmbUtil::StatReturn, they
          are just a wrapper to libsmbclient stat functions, is
          SmbUtil::getStatInfo() which does handle
          SmbUtil::StatReturn. (4e8ff3c9)

2015-10-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (9474d01f)

2015-10-20 carlos-mazieri

        * Fixed SmbUtil::changePermissions() improved
          SmbUtil::checkValidShareName(). (f28e0f84)

2015-10-20 Carlos Mazieri

        * Improved SmbUtil::getStatInfo() to not always open Directories and
          Files, Directories are always attempted but Files are not
          necessary, Files are tried just attempted with
          SmbUtil:getStat(). (eb1c03f6)
        *     After using a such user/password for authentication in a remote
          location it is necessary to reset that values for other
          items, without this items which do not require
          authentication may fail to get data. (92633da7)
        * Improved Authentication saving/using by trying the host only when
          there is no user/password for a such URL which has path.
          (70c8b480)

2015-10-20 Alan Pope

        * Correctly set the bzr revno during build. Otherwise in some
          circumstances it builds with "latest" in the filename,
          where we standardised on the bzr revision number in the
          filename. This fixes that. (896795b7)
        * Found a few more places in the UI where the OSK uses predictive
          text. Disabled these. (b3172aa1)
        * Suppress predictive text input (6aff0d79)

2015-10-19 Alan Pope

        * correctly set bzr revno (7351a1a0)
        * Add basics to cmake file and necessary parts to pull in samba libs.
          (18a33da3)
        * Fix auto-correcting of place names.
          Fixes:
          https://bugs.launchpad.net/bugs/1507566. (ceff9555)
        * Supress keyboard predictive text in places popup (0722aff7)

2015-10-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (dcf6b6c2)

2015-10-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d3ab2c52)

2015-10-14 Alan Pope

        * update get-click-deps to python3 (e4f7710d)

2015-10-13 Alan Pope

        * Merge trunk (9d12b3e6)

2015-10-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (805b430d)

2015-10-05 Carlos Mazieri

        * Show the size of directories: (it is the number of items) for local
          file systems and "Unknown" for remote locations Show
          nothing if the last modified date is not available.
          (8ecd44c6)
        * Fixes Samba browsing crash on he phone related to the "struct stat"
          addressing files using 32 bits only instead of 64 bits.
          (eb76c088)

2015-10-04 carlos-mazieri

        * changed SmbUtil::getStat() and SmbUtil::getFstat() to return int as
          they do not handle items from SmbUtil::StatReturn, they
          are just a wrapper to libsmbclient stat functions, is
          SmbUtil::getStatInfo() which does handle
          SmbUtil::StatReturn (7cb79a1c)
        * fixed SmbUtil::changePermissions() improved
          SmbUtil::checkValidShareName() (2aa97c44)

2015-10-04 Carlos Mazieri

        * improved SmbUtil::findSmBServer() (c87ce52d)
        * created NetAuthenticationData::currentUser() and
          NetAuthenticationData::noPassword() to avoid duplicated
          code (c3bb2602)

2015-10-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3cdf985e)

2015-10-03 Carlos Mazieri

        * some cleanup in SmbItemInfo::setInfo(), work around for directories
          is not necessary after fixing stat problem on device
          (eba71ac1)
        * changed SmbUtil::getStat() and SmbUtil::getFstat() to return int as
          they do not handle items from SmbUtil::StatReturn, they
          are just a wrapper to libsmbclient stat functions, is
          SmbUtil::getStatInfo() which does handle
          SmbUtil::StatReturn (9899ae06)
        * fixed SmbUtil::changePermissions() improved
          SmbUtil::checkValidShareName() (da59ed41)
        * Improved SmbUtil::getStatInfo() to not always open Directories and
          Files, Directories are always attempted but Files are not
          necessary, Files are tried just attempted with
          SmbUtil:getStat(). (c7d0a5df)
        * After using a such user/password for authentication in a remote
          location it is necessary to reset that values for other
          items, without this items which do not require
          authentication may fail to get data. (9e20b713)
        * Improved Authentication saving/using by trying the host only when
          there is no user/password for a such URL which has path
          (7a4a3793)

2015-10-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (934256f1)

2015-09-30 Carlos Mazieri

        * Show the size of directories:  (it is the number of items) for
          local file systems and "Unknown" for remote locations Show
          nothing if the last modified date is not available
          (d39ab063)
        * Fixes Samba browsing crash on he phone related to the "struct stat"
          addressing files using 32 bits only instead of 64 bits
          (d4063a46)

2015-09-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8228d972)

2015-09-20 Carlos Mazieri

        * Fixed problems in the Authentication and using saved Password.
          (e363bf1c)
        * Implemented a dialog for Authentication when remote locations
          requires user/password to access them. (38d3c653)
        * forcing Executable/Readable for hosts, it will make them act as
          folder when they do not have access (needs
          authentication). (525295b9)
        * mproved icon chooser based on the model data added icon for remote
          places. (ad81988b)
        *     1. Added Samba Location as Network     2. Removed default
          locations from setting files, it allows adding new default
          locations in source code     3. Kept user added and
          removed locations in settings file.     4. Created a
          regression test for PlacesModel. (6a518eea)

2015-09-19 Carlos Mazieri

        * PlacesModel::addLocationWithoutStoring() renamed to
          PlacesModel::addLocationNotRemovedWithoutStoring()
          Documented both PlacesModel::addLocation() and
          PlacesModel::addLocationNotRemovedWithoutStoring()
          (0ae36996)

2015-09-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (b8f3e15a)

2015-09-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (59633ef0)

2015-09-13 Carlos Mazieri

        * Improved "unlock full access" regarding remote locations.
          (95b9b3b4)
        * fixed memory leak in DirModel::cdIntoItem() (fa5a9b19)
        * Fixed problems in the Authentication and using saved Password
          (dd0fa7f2)
        * Fixed bug about UI asking for authentication, it happened because
          the item is not Readable but it needs to  attempt to
          browse in order to generate the
          DirModel::needsAuthentication() signal (54d74e1c)

2015-09-12 Carlos Mazieri

        * Replaced DirModel::allowAccess(const QString&) by
          DirModel::allowCurrentPathAccess() (f99b390a)

2015-09-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0eb7245a)

2015-09-07 Carlos Mazieri

        * Implemented a dialog for Authentication when remote locations
          requires user/password to access them (874ec9eb)
        * forcing Executable/Readble for hosts, it will make them act as
          folder when they do not have access (needs authentication)
          (d59ae7d1)
        * added DirModel::setPathWithAuthentication() to be used in the UI
          because the DirModel::setPath() is a property and cannot
          be called as a function. (3fd0f2ed)
        * Forcing Samba hosts to have type 'host' even when they requires
          authentication to access them (96dd9685)
        * Improved devices mount/umount listening events (c7604d07)

2015-09-07 Alan Pope

        * New get-click-deps from Stefano and updated deployment process
          (3ba3b206)
        * remove spurious blank line (78b7803d)
        * First pass at correctly adding libs (8a16a687)
        * typo (60f6ce05)
        * Add get-click-deps to bring in samba libs to build process
          (1c0291a8)

2015-09-06 Stefano Verzegnassi

        * Added content hub support to following document types: -
          OpenDocument Text (.odt) - OpenDocument Spreadsheet (.ods)
          - OpenDocument Presentation (.odp) - Microsoft Office
          Powerpoint (.ppt) - Office Open XML Presentation (.pptx) .

          Fixes: https://bugs.launchpad.net/bugs/1490146. (d4f6a13d)

2015-09-06 Michael Terry

        * Update spelling of Ok to OK. (bcd17119)

2015-09-05 Carlos Mazieri

        * Improved icon chooser based on the model data added icon for remote
          places (3416f7d7)
        * 1. Added Samba Location as Network 2. Removed default locations
          from setting files, it allows adding new default locations
          in source code 3. Kept user added and removed locations in
          settings file. 4. Created a regression test for
          PlacesModel. (28e197a7)

2015-09-03 Carlos Mazieri

        * improved Dirmodel::allowAccess() for remote locations regarding
          security. (7943b879)

2015-08-31 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (760b41c7)

2015-08-30 Michael Terry

        * Ok -> OK (e755a3ce)

2015-08-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ea7fe75c)

2015-08-29 Stefano Verzegnassi

        * Added content hub support for ODF/MS/OOXML presentations, ODF text
          documents and ODF spreadsheet (adca2525)

2015-08-28 Niklas Wenzel

        * Remove popover workaround for LP: #1395118.
          Fixes:
          https://bugs.launchpad.net/bugs/1395118. (251093cf)

2015-08-25 carlos-mazieri

        * Created Samba tests for File Manager Integrated specific Samba
          Tests from qsambaclient module into File Manager tests.
          (4d687881)
        * Created Unit Tests for Samba Similar Qt Objects:
          SmbLocationItemFile, SmbLocationItemDir and
          SmbLocationItemDirIterator. (a49cf6f9)
        * Improved Samba Specific tests. (3a259210)
        * Qt QDir object is no longer used in Actions nor in DirModel class,
          instead inherited LocationItemDir classes are used.
          (bfa4612f)
        * Inherited Location classes now provide inherited LocationItemDir
          classes which will replace Qt QDir class in Actions.
          DiskLocation provides DiskLocationItemDir and SmbLocation
          provides SmbLocationItemDir. (6b863234)

2015-08-25 Niklas Wenzel

        * Empty commit to make the autopilot tests rerun, hopefully in a
          vivid chroot this time (7bfe0f17)

2015-08-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6569360f)

2015-08-24 carlos-mazieri

        * removed unused files added by mistake after fixing the merge
          conflic in CMakeLists.txt (c684e2bb)
        * avoiding merge conflicts (3b03b0ea)

2015-08-22 carlos-mazieri

        * Some DirItemInfo objects created by targetLocation in Actions QFile
          is no longer used in Actions, instead the abstract
          LocationItemFile is created by the suitable Location
          object. (1637246b)

2015-08-22 Carlos Mazieri

        * Fixes the bug #1473669, it shows correct item dates property.
          (d438c08d)

2015-08-22 carlos-mazieri

        * nherited Location classes now provide inherited LocationItemFile
          classes which will replace Qt QFile class in Actions.
          DiskLocation provides DiskLocationItemFile and SmbLocation
          provides SmbLocationItemFile. (32d489d7)

2015-08-21 carlos-mazieri

        * improved SmbUtil class, added method SmbUtil::changePermissions()
          that will be used by SmbLocationItemFile. (7b9c4575)

2015-08-16 carlos-mazieri

        * Replaced new/detete by QScopedPointer which is safer inside blocks
          from dirmodel.cpp and filesystemaction.cpp. (a15dd57c)
        * Removed memory leak from DiskLocationItemDir::m_qtQDir (38910175)

2015-08-15 carlos-mazieri

        * created SmbLocationItemFile::createContextIfNotExists() (f371e62a)
        * Fixed SmbUtil::getStatvfsInfo() where it misses a file descriptor
          to assign in the call SmbUtil::openFile(). Improved
          SmbUtil::listContent() about getting paths with '." (dot)
          and paths with '..' (dotdot). (1351b772)

2015-08-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6157b0c1)

2015-08-07 carlos-mazieri

        * provided TrashLocation::urlBelongsToLocation(). (217087ac)
        * Actions are using LocationItemDirIterator instead of Qt
          QDirIterator object. (4c513898)
        * Object LocationItemDirIterator is created by Location classes, it
          will replace Qt Object QDirIterator in Actions. (5fab4d97)
        * Removed unnecessary checks, it is already done in
          FileSystemAction::canMoveItems() and
          FileSystemAction::populateEntry(). (27bb380a)
        * Introduced Location on Actions, every Action will keep its
          "sourceLocation" and "targetLocation". (5e1649c4)

2015-08-07 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7f8b0a01)

2015-08-06 carlos-mazieri

        * Improved TrashItemInfo creator to identify which is the Trash Root
          part. (ba9325a7)
        *     FileSystemAction needs to interact with Locations, it now
          depends from LocationsFactory and Locations classes.
          (d78d2aa8)
        * Removed some QFileInfo dependency because it will not work for
          remote locations, using class Location instead. (d29507ad)
        * Enumerator Locations moved from class LocationsFactory to class
          Location Created Location::isThereDiskSpace() which by
          default returns true, all locations can reimplement this
          method. Created Location::isRemote(),
          Location::isLocalDisk() and Location::isTrashDisk() to
          handle more locations. (8b352167)
        * Clipboard now uses LocationURL class to know which URLs are
          supported by the file manager. Added
          LocationURL::supportedURLs() LocationURL::isSupportedUrl()
          New protocols added into File Manager does not require
          clipboard changes anymore. (3ae4d03b)

2015-08-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8ffe68cf)

2015-07-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (88af94d6)

2015-07-25 carlos-mazieri

        * Avoided using operator=() for DirItemInfo as it has the copy
          constructor (964ffff3)

2015-07-24 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ef9d3af5)

2015-07-22 Sam Hewitt

        * New icon. (e3b60dce)

2015-07-21 carlos-mazieri

        * Fixed CMakeLists.txt (a371cb62)
        * removed src/app/qml/ui/.directory (6806eb16)

2015-07-20 carlos-mazieri

        * Fixed CMakeLists.txt (4cdbc88d)

2015-07-18 carlos-mazieri

        * Created Samba tests for File Manager Integrated specific Samba
          Tests from qsambaclient module into File Manager tests.
          (fb708ae5)
        * Created Unit Tests for Samba Similar Qt Objects:
          SmbLocationItemFile, SmbLocationItemDir and
          SmbLocationItemDirIterator (4dff4996)
        * Improved Samba Specific tests (c3e2b727)

2015-07-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (911ad781)

2015-07-16 Carlos Mazieri

        * Fixes the bug #1473669, it shows correct item dates property
          (314f629d)

2015-07-15 carlos-mazieri

        * Qt QDir object is no longer used in Actions nor in DirModel class,
          instead inherited LocationItemDir classes are used
          (b9811488)
        * Inherited Location classes now provide inherited LocationItemDir
          classes which will replace Qt QDir class in Actions.
          DiskLocation provides DiskLocationItemDir and SmbLocation
          provides SmbLocationItemDir (9558ffc3)
        * Some DirItemInfo objects created by targetLocation in Actions QFile
          is no longer used in Actions, instead the abstract
          LocationItemFile is created by the suitable Location
          object (8f25b0b9)
        * Inherited Location classes now provide inherited LocationItemFile
          classes which will replace Qt QFile class in Actions.
          DiskLocation provides DiskLocationItemFile and SmbLocation
          provides SmbLocationItemFile (ae139754)
        * improved SmbUtil class, added method SmbUtil::changePermissions()
          that will be used by SmbLocationItemFile (ebcc3159)
        * forgot to commit TrashLocation::urlBelongsToLocation() (353a97a5)

2015-07-13 carlos-mazieri

        * Actions are using LocationItemDirIterator instead of Qt
          QDirIterator object. (d2fc5986)
        * Object LocationItemDirIterator is created by Location classes, it
          will replace Qt Object QDirIterator in Actions. (0a18d147)
        * Removed unnecessary checks, it is already done in
          FileSystemAction::canMoveItems() and
          FileSystemAction::populateEntry() (7495627c)
        * Introduced Location on Actions, every Action will keep its
          "sourceLocation" and "targetLocation". (31beaa65)
        * Improved TrashItemInfo Creator to identify which is the Trash Root
          part (7b91fb81)

2015-07-13 Sam Hewitt

        * New icon in new style (c284eae1)

2015-07-13 carlos-mazieri

        * removed FileSystemAction::isThereDiskSpace() from header file
          (d969489b)
        * FileSystemAction needs to interact with Locations, it now depends
          from LocationsFactory and Locations classes. (dcacd833)

2015-07-11 carlos-mazieri

        * Removed some QFileInfo dependency because it will not work for
          remote locations, using class Location instead. (a4026a82)
        * Enumerator Locations moved from class LocationsFactory to class
          Location Created Location::isThereDiskSpace() which by
          default returns true, all locations can reimplement this
          method. Created Location::isRemote(),
          Location::isLocalDisk() and Location::isTrashDisk() to
          handle more locations (a5382d5f)
        * Clipboard now uses LocationURL class to know which URLs are
          supported by the file manager. Added
          LocationURL::supportedURLs()
          LocationURL::isSupportedUrl() When a new protocol is added
          into the file manager clipboard does not need to change
          anymore. (df36456a)

2015-07-10 David Planella

        * Rename the PAM authentication plugin binary package so that it can
          coexist with the Terminal app's one in the same PPA.

          Fixes: https://bugs.launchpad.net/bugs/1469283. (027b6f78)

2015-07-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f35c26d1)

2015-07-09 Alan Pope

        * Add AUTHORS file. (40e56d10)

2015-07-06 Alan Pope

        * Add AUTHORS file (cc544b22)

2015-07-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ae2cc278)

2015-06-30 carlos-mazieri

        * It fixes the bug #1436186 to allow browsing directories like
          AA:BB::CC. (2f3b344e)

2015-06-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4f1ec592)

2015-06-28 carlos-mazieri

        * It fixes the bug #1436186. (d0d02c0f)

2015-06-26 David Planella

        * Additional changes to rename the PAM plugin (f5f48ec4)
        * Renamed PAM plugin in order not to conflict with the Terminal one
          on the core apps PPA (85ed725c)

2015-06-21 carlos-mazieri

        * It allows the filemager to browse Samba items by entering any valid
          url starting with "smb://" or "cifs://". (8dd29a23)
        * Integrated Samba tests. (bdf3fc13)
        * It replaces the samba-browsing-12 MP
          https://code.launchpad.net/~carlos-mazieri/ubuntu-filemanager-app/samba-browsing-12/+merge/253129.
          (64f121bd)
        * It replaces
          https://code.launchpad.net/~carlos-mazieri/ubuntu-filemanager-app/samba-browsing-11
          which has a problem on the merge. (4e348158)

2015-06-20 carlos-mazieri

        * It allows the filemager to browse Samba items by entering any valid
          url starting with "smb://" or "cifs://". (80413451)
        * Integrated Samba tests into model regression tests. (6e16659e)
        * Added specific tests for Samba, it is a separated test suite
          (ec2f1eb6)
        * SmbPlaces which provides shares list to used in the places  *
          SmbUserShare a utility class that can be used in the UI to
          allow the user create/remove shares (bc5b9abc)

2015-06-14 Niklas Wenzel

        * Remove popover workaround (26877c90)

2015-06-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3b0de908)

2015-06-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6112cfcf)

2015-06-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (168689e1)

2015-06-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6c4fe5b2)

2015-06-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (b7da78e3)

2015-06-03 Carlos Mazieri

        * C++ UI test updated. (f369612e)
        * Introduced authentication in DirModel class. . (ae4e956c)

2015-05-31 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (886b38f0)

2015-05-23 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (bc57a0cf)

2015-05-20 carlos-mazieri

        * removed merge conflict (f506a871)
        * Activates samba browsing on LocationsFactory class. (9039e20d)

2015-05-20 Carlos Mazieri

        * SmbLocation classes. (c2968d81)

2015-05-06 carlos-mazieri

        * removing merge conflicts (d1ace5db)

2015-05-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (61a56a7a)

2015-04-30 carlos-mazieri

        * Samba Listing classes. (f44c62f0)

2015-04-29 carlos-mazieri

        * Activates samba browsing on LocationsFactory class using unamed
          namespace instead of static in smbutil.cpp and
          smblocationauthentication.cpp (f8f893f9)
        * Introduces classes:              SmbListWorker which is a IORequest
          and will build a list of samba items to the model
              SmbLocationDirIterator  which is a implementation of
          Qt QDirIterator class for Samba (f894b205)

2015-04-24 Carlos Mazieri

        * Introduces the class SmbItemInfo which represents an Samba Item
          (folder,files,host,workgroup,share). (4ce72d5a)
        * Intoduces the SmbUtil class which provides the basic
          open/close/listing operations for Samba items. .
          (e39162a3)

2015-04-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7f8b0944)

2015-04-21 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d4466c14)

2015-04-08 carlos-mazieri

        * Removed some extra spaces and fixed some identation
          SmbUtil::getStatInfo() added brackets and improved
          comments to explain "else if (errno != EACCES && errno !=
          ECONNREFUSED )" (3347a564)

2015-04-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4f66fcff)

2015-03-24 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (87c7500e)

2015-03-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f2ad2450)

2015-03-20 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c4471f7b)

2015-03-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1a7a0c05)

2015-03-18 carla-sella

        * Autopilot test for Filemanager App. (e36cdf19)

2015-03-17 Carlos Mazieri

        * Refactoring in the Location class to be more suitable for new
          protocols browsing implementation. (ff4d6bcc)
        * Some DirItemInfo::isDir() changed by DirItemInfo::isBrowasable()
          Renamed DirModel::cdInto() to DirModel::cdIntoItem()
          Improved DirModel::cdIntoIndex() and
          DirModel::cdIntoPath(). (f4d1af9d)
        * Class DirItemInfo which represents items being shown receives more
          attributes suitable for network like:
          DirItemInfo::isHost(), DirItemInfo::Browsable() and
          DirItemInfo::isSharedDir(); DirItemInfo::isShare() and
          DirItemInfo::isWorkgroup() are related to samba only.
          (e812dc5c)

2015-03-16 Carlos Mazieri

        * Fixed typo in method name
          LocationsFactory::lastUrlNeedsAuthentication() (340a8a39)
        * Fixed DirItemInfo::removeExtraSlashes() using now
          QString::indexOf(QLatin1String(":/") to prevent common
          files using ':' in the names Fixed documentation from
          DirItemInfo::fillFromStatBuf() Expanded some if without
          space as "if("  to "if (" in class DirModel (309f7715)

2015-03-14 Carlos Mazieri

        * Updated  C++ simple view to test Samba browsing and authentication.
          (c3f8640e)
        * Introduced authentication in DirModel class. The signal
          DirModel::needsAuthentication() is sent to the UI when a
          samba browsable item requires user/password
          DirModel:setPath() changed to receive "user" and
          "password" to allow Location class handle authentication.
          (46baf894)
        * Activates samba browsing on LocationsFactory class (78cabcaf)
        * Introduces classes:    SmbLocation  which represents Samba browsing
          at all    SmbLocationAuthentication which keeps static
          functions and data to authenticate against Samba, it
          allows different instances browsing same share/folder
          using different users/passwords. (15c9cf49)
        * Introduces classes:              SmbListWorker which is a IORequest
          and will build a list of samba items to the model
              SmbLocationDirIterator  which is a implementation of
          Qt QDirIterator class for Samba (d8aed015)
        * Introduces the class SmbItemInfo which represents an Samba Item
          (folder,files,host,workgroup,share). (fb3fb736)

2015-03-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (72a66a0d)

2015-03-12 carla-sella

        * Changed UCUbuntuShape with ShapeItem. (8efe42a8)
        * Put addCleanup in make_content_in_home. (14f383d2)

2015-03-10 carlos-mazieri

        * Added libsmbclient dependency (7c9e7586)

2015-03-10 carla-sella

        * Fixed pep8 and pyflakes. (9566fba1)
        * Added cleanup at beginning of tests. (160e0b18)
        * Added cleanup of temp directory at the begining of all tests.
          (1f4abef8)

2015-03-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (40e53bb3)

2015-03-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8f41a161)

2015-03-07 carla-sella

        * Fixed failing test_cut_directory due to not removal of
          /home/phablet/destination. (6219088b)

2015-03-06 Carlos Mazieri

        * improved hosts handling, add NetUtil::urlConvertHostnameToIP()
          (7f506e0a)

2015-03-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (353c91b9)

2015-03-04 Richard Somlói

        * Make the bottomedge's "Places" string translatable with i18n.tr().
          (084706e1)
        * Make a string translatable (1a4a9dcb)

2015-03-03 Arto Jalkanen

        * Added more recognized music types.
          Fixes:
          https://bugs.launchpad.net/bugs/1411576. (d169a4b7)

2015-03-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0b0c2bfb)

2015-03-01 Carlos Mazieri

        * introduced SmbUtil class which is the base of Samba/CiFS access.
          (56a448fa)
        * Location class refactored, some pure methods now have default
          implementation, any Location inherited class now is
          responsable to create commun objects like DirItemInfo  and
          LocationItemDirIterator, for Actions copy/cut/paste other
          common objects will be necessary like LocationItemFile
          LocationItemDir. (dbcb94aa)
        * simplified cdIntoIndex(), cdIntoPath(), cdIntoItem() and openPath()
          (f89f34af)

2015-03-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (21bcd24c)

2015-02-23 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (faaad8f8)

2015-02-22 Carlos Mazieri

        * DirItemInfo  new  members for network Locations (mainly Samba)
          DirModel      new  properties to reflect new information
          from  DirItemInfo (55b7d854)

2015-02-22 Niklas Wenzel

        * Added support for compressed tar archive extraction (c4b5d0d2)
        * No-change commit to trigger autopilot tests again (3a24fa48)

2015-02-13 Niklas Wenzel

        * Revert changes to pot file (159d0a9d)

2015-02-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (751cfc1b)

2015-02-11 carla-sella

        * Fixed content directory tar.bz2 and tar.gz files that had wrong
          content. (4482ad30)

2015-02-11 Arto Jalkanen

        * Reduce number of mounts shown in Places bar. (ada11096)
        * Trying to fix autopilot test. (7b6e7be4)

2015-02-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4ce14c39)

2015-02-10 Niklas Wenzel

        * Added tests for compressed tars (1d2be628)

2015-02-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (11fdce5e)

2015-02-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6ddd8476)

2015-02-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (622805b8)

2015-02-03 Arto Jalkanen

        * Added more recognized audio file types: .m4a, .opus, .flac
          (5d8160ea)

2015-02-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8a2ef58f)

2015-02-02 Robert Schroll

        * Actually return ContentType.Unknown for unrecognized extension.
          (2478da5e)

2015-02-01 Robert Schroll

        * Actually return ContentType.Unknown for unrecognized extension
          (c58e6137)

2015-02-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2f1cb668)

2015-01-31 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (9008b7b5)

2015-01-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8793f96f)

2015-01-28 Arto Jalkanen

        * Reduce entries included from mtab: only /media/$USER /var/run/$UID
          subdirectories included, if their filesystem name is
          something else than "none". (9b856f94)

2015-01-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a2443b60)

2015-01-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8cc7e1df)

2015-01-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (458cfd04)

2015-01-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (05ac63f2)

2015-01-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (57fabf55)

2015-01-15 Niklas Wenzel

        * Added support for compressed tar archive extraction (eec6bbf3)

2015-01-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (19184c9f)

2015-01-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a1400db2)

2015-01-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ef00517a)

2015-01-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3f89483c)

2015-01-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f6df3c85)

2015-01-07 Bartosz Kosiorek

        * Fix generation for plural translations (lp:1342170).
          Fixes:
          https://bugs.launchpad.net/bugs/1342170. (57145e22)
        * Regenerate pot file (38815247)
        * Update translation string to allow multi plural forms (645939ef)

2015-01-06 Bartosz Kosiorek

        * Sync with trunk (2fde0dea)

2015-01-06 Arto Jalkanen

        * Bug #1407927: Fixed places pullover to be scrollable.
          Fixes:
          https://bugs.launchpad.net/bugs/1407927. (dce65bcb)
        * Removed unnecessary code. (c9d1ddae)

2015-01-06 carlos-mazieri

        * Removed micro optimization from Directory Loader (IORequest).
          (5385f3ac)

2015-01-06 Arto Jalkanen

        * Bug #1407927: Fixed places pullover to be scrollable. (978a213a)

2015-01-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (408c2dc3)

2015-01-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (21c76b73)

2015-01-03 carlos-mazieri

        * SDCard support: Places plugin watches /etc/mtab for any mounts that
          are done under /media/$USER directory. Whenever a
          directory is mounted or unmounted there, it's added or
          removed to the Places model so that it can be seen in the
          UI. (ab1d072c)

2015-01-03 Arto Jalkanen

        * Added Carlos to authors. (fbe3c2cc)
        * Trying to revert pot file. (0ca53683)
        * Removed "userMountPath" as it's not needed anymore with more
          generalized solution. Also removed from QML the
          special-case of path "/" as new solution handles that
          also. (da8a83e7)
        * Improvements from Carloz Mazieri: adding also other user mounts
          (such as network mounts) besides SDCard and other mounts
          residing under /media/sdcard (e612658c)

2015-01-03 carlos-mazieri

        * removed this undered file (8f0d2db2)
        * just a suggestion to consider all mounts (65f97c0b)

2015-01-03 Arto Jalkanen

        * Rewrote user mount detection to use /etc/mtab. (fff0f4a2)

2015-01-01 Arto Jalkanen

        * SDCard support: Places plugin watches /media/$USER directory for
          changes. Whenever directory is added or removed it's added
          to the Places model so that it can be seen in the UI.
          (37e95527)

2014-12-30 carlos-mazieri

        * 1. Added one more test case for the bug #1405759
          TestDirModel::modelCancelRemoveSelection(). (d9878ae7)

2014-12-30 Niklas Wenzel

        * When cancelling folder deletion, future deletions will work now.

          Fixes: https://bugs.launchpad.net/bugs/1405759. (a2442200)

2014-12-29 Niklas Wenzel

        * Revert changes to pot files (a32cf8de)
        * Call endActionEntry() instead of invoking processAction() directly
          (c3e091a9)

2014-12-28 Niklas Wenzel

        * Go up when pressing the backspace key. (0ef1a794)

2014-12-27 Niklas Wenzel

        * When cancelling folder deletion, future deletions will work now
          (2db8a278)
        * Add the ability to cancel archive extractions.
          Fixes:
          https://bugs.launchpad.net/bugs/1397070. (db31b234)

2014-12-27 carlos-mazieri

        * enhances the test case TestDirModel::modelCancelRemoveAction().
          (d47fed0a)

2014-12-27 Niklas Wenzel

        * Go up instead of going back (93dfbd97)
        * Added a dialog which is shown when the user clicks on an archive
          file. It allows him to select whether he wants to extract
          the archive or open it with another app.
          Fixes:
          https://bugs.launchpad.net/bugs/1397072. (3a926227)
        * Update manifest.json.in to use the non-dev 14.10 framework.
          Fixes:
          https://bugs.launchpad.net/bugs/1401718. (baa16673)

2014-12-27 carlos-mazieri

        * enhanced TestDirModel::modelCancelRemoveAction() to match the
          scenario described in bug #1405759 (b0a4adab)

2014-12-26 Niklas Wenzel

        * Add the ability to cancel archive extractions (d85e4408)
        * Update manifest.json.in to use the non-dev 14.10 framework
          (fc11daac)

2014-12-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d22650a9)

2014-12-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (e2af4653)

2014-12-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7be36b88)

2014-12-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0d008627)

2014-12-16 carla-sella

        * Autopilot test for extracting zip and tar files. (81a2f3d3)

2014-12-15 carla-sella

        * Merged trunk. (47488e3b)

2014-12-15 Niklas Wenzel

        * Add the ability to extract tarballs.
          Fixes:
          https://bugs.launchpad.net/bugs/1397058. (c4170f8d)

2014-12-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (54231ad2)

2014-12-11 carla-sella

        * Fixed missing argument in places test when calling go_to_place
          function. (dbf2083f)
        * Renamed variables and fixed pyflake error. (6f337481)

2014-12-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3b769203)

2014-12-10 Niklas Wenzel

        * Go up when pressing the backspace key (f85c9218)
        * Merge tars branch again to resolve pot file conflicts (ea79baaf)
        * Merge trunk (3b07c012)
        * Merged tars branch (0d50b78f)
        * Revert pot file to right revision (1fa925b7)
        * Use better ids (bdd76453)
        * Revert pot file (2b9e0d74)
        * Implement changes properly using a dialog (7cd8b126)
        * Revert pot files to fix merge conflicts (f8de084d)

2014-12-08 Bartosz Kosiorek

        * Fix translation issue (66162163)
        * Synchronize with main (a2d47663)

2014-12-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (dd892a27)

2014-12-07 carla-sella

        * Fixed conflict merging trunk. (455a1b7e)
        * Fixed drag bottom edge and various variables. (dd921a37)
        * Added scenarios for testing extraction also of tar files.
          (43ac4f3e)

2014-12-06 Bartosz Kosiorek

        * Sync down from trunk (8a3f1a3c)

2014-12-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (df9e32c8)

2014-12-05 carla-sella

        * Unzip file test for filemanager app.
          Fixes:
          https://bugs.launchpad.net/bugs/1397060. (e658b874)
        * Fixed white line at end of file. (60fcdc65)
        * Inserted missing assert in cancel extract zip file test. (bc90204e)
        * Forgot to uncomment -p on launching test. (f8706f43)
        * Made changes to not mention zip directly in function arguments.
          (fb1ebf42)

2014-12-05 Bartosz Kosiorek

        * Update pot translation (bf97d74d)

2014-12-04 carla-sella

        * Added test_cancel_extract_zip_file. (88770915)

2014-12-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (40ab3239)

2014-12-03 carla-sella

        * Fixed little error on zip_dir_path. (908168e4)
        * Fixed test as Nicholas suggested in his notes. (58e5a5fc)

2014-12-02 Chris Gagnon

        * fix broken autopilot test in test_context_menu. (39f6bdaa)
        * fix the other tests in test_context_menu (1676cdc8)

2014-12-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3e73f717)

2014-12-01 Chris Gagnon

        * fix broken test context menu autopilot test (dabb3125)

2014-12-01 carla-sella

        * Fixed pyflake error. (852a8df9)
        * Fixed variable referencing error. (4ad8d8e0)
        * Fixing pep8 error. (6e267772)
        * Fixed small pep8 error. (708793f8)

2014-11-30 carla-sella

        * Fixed getting content path name. (f33436d2)
        * Fixed zip_dir_path' referenced before assignment error. (90a0a0cf)
        * Inserted missing If for copyin zip file. (67911a35)
        * For merging. (da77b6d4)
        * Fixed copying zip file. (3b069607)
        * Test unzip files complete. (6f9bae67)
        * Completed zip test in phone mode with file verification. (3562ad8a)
        * Fixed unzip test from palces page. (296c0240)
        * WIP test unzip file. (c14e7451)

2014-11-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6d295709)

2014-11-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c3606ff4)

2014-11-27 Niklas Wenzel

        * Extract archives when clicking on them (28731f56)

2014-11-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7e41158e)

2014-11-26 carla-sella

        * Completed first part of zip test in phone mode. (f2e76c39)

2014-11-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (dfb8883d)

2014-11-25 Niklas Wenzel

        * Add the ability to extract zip files. Like the
          ubuntu-download-manager this uses the unzip command line
          tool to extract the archives
          (http://bazaar.launchpad.net/~phablet-team/ubuntu-download-manager/trunk/revision/325).

          Fixes: https://bugs.launchpad.net/bugs/1383151. (6bf4428f)

2014-11-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (243e1bac)

2014-11-24 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (08c7281b)

2014-11-23 Bartosz Kosiorek

        * Updating branch from the main branch (be4a6d74)

2014-11-23 Niklas Wenzel

        * Merge fix from zip branch (5a4741af)
        * Fixed variable name (fc2e38f7)

2014-11-21 Niklas Wenzel

        * Pull in changes from zip branch again to get autopilot fixes from
          trunk (9f63324d)
        * Merge trunk to pull in changes for autopilot issues (06a0ff2b)
        * Pull in changes from the zip branch (067a1c7c)
        * Refine workaround and include link to Launchpad issue (33083e06)

2014-11-21 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d81fd2db)

2014-11-20 Niklas Wenzel

        * Workaround for upstream bug (1041b11b)

2014-11-20 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5b4cd4d6)

2014-11-19 carla-sella

        * Fixed autopilot places tests for filemanager app.
          Fixes:
          https://bugs.launchpad.net/bugs/1386850. (7a168e05)
        * Checked for flickable to be destroyed. (faf8a850)
        * Deleted erroneous self. (30168916)
        * Fixed error in code. (e48a69ac)
        * Added wait for active property to be true on Places Page.
          (4a64a236)

2014-11-18 carla-sella

        * Fixed syntax error. (09e7797f)
        * For checking if in Jenkins test works. (5b9f066a)

2014-11-14 carla-sella

        * Trying other property for Places Page. (64e5c343)

2014-11-14 Bartosz Kosiorek

        * Fix plural forms tanslation pot lp:1342170 (5dab48fd)

2014-11-13 carla-sella

        * Fixed self error. (2ff18ae0)
        * Ajusted minor thing. (4734aa8a)
        * Fixed timing issue. (b13dfa2b)

2014-11-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d4c8ccd9)

2014-11-12 carla-sella

        * Fixed syntax error. (37605658)
        * Fixed timing issue. (a9c0fcad)

2014-11-12 Alan Pope

        * Having to bump the version in order to allow us to push to the
          store. We currently have a version in the store
          "0.3.latest" which we can't easily backout/remove so the
          easiest way to fix that is bump the version in trunk and
          submit. I propose 0.4.$bzrno because it's clearly higher
          than 0.3.latest. (9def283a)

2014-11-12 Niklas Wenzel

        * Merge trunk (54458ff1)

2014-11-12 Alan Pope

        * Bump version number (892a3e4b)

2014-11-11 carla-sella

        * Fixed test_go_to_root_must_open_the_root_directory. (3117c89a)

2014-11-11 Niklas Wenzel

        * Added install file (7a8cb79b)
        * Fix packaging for new archives plugin (25ea1aca)

2014-11-10 Arto Jalkanen

        * QML obeys command-line argument -p. Adjusted the width settings to
          be consistent with having phone mode or tablet mode. .

          Fixes: https://bugs.launchpad.net/bugs/1389000. (2a1f76da)

2014-11-09 carla-sella

        * Other change to test_go_to_root_must_open_the_root_directory.
          (bbd00d3c)
        * Fixed test_go_to_root_must_open_the_root_directory. (5c2f3cca)
        * Deleted sleep. (69cca76c)
        * Fixed pep8 error. (8d144d2d)
        * Trying to verify if error is a timing issue. (0df85393)
        * Fixed wrong syntax of objectName. (cecc64a6)
        * Fixed pep8 and pyflakes. (485882fd)
        * Modifies README file. (c786e0b7)
        * Merged trunk. (5ad0b133)
        * Fixed Page11 issue. (8136a686)

2014-11-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8514356e)

2014-11-07 carla-sella

        * Fixed test_places.py to run on phone. (523ef0f4)

2014-11-07 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2c9c2c88)

2014-11-06 Niklas Wenzel

        * Add the ability to extract tar balls (e18c3c4c)

2014-11-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (499b1dc6)

2014-11-04 Arto Jalkanen

        * Bug 1386209: Removed the "Go To" action from header in phone mode,
          as it's more accessible from Places bottom edge page. .

          Fixes: https://bugs.launchpad.net/bugs/1386209. (278b837e)
        * QML obeys command-line argument -p. Adjusted the width settings to
          be consistent with having phone mode or tablet mode.
          (e60a2f9d)

2014-11-01 Arto Jalkanen

        * Added rest of Content-Hub types as sources in FileManager, except
          links as I have no idea what that'd be like. .
          Fixes:
          https://bugs.launchpad.net/bugs/1315989. (bf8b1211)

2014-11-02 Arto Jalkanen

        * Bug 1386209: Removed the "Go To" action from header in phone mode,
          as it's more accessible from Places bottom edge page.
          (9517de3d)

2014-10-30 Arto Jalkanen

        * Added rest of Content-Hub types as sources in FileManager, except
          links as I have no idea what that'd be like. (55aa5437)
        * Added Documents as Content-Hub source. (c2bf732e)

2014-10-29 David Planella

        * Show autopilot files in Qt Creator. (15e5683a)

2014-10-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3c8d1e4b)

2014-10-28 Arto Jalkanen

        * Bug 1386254: move unlock button to header action. Added short
          explanation to unlock dialog.
          Fixes:
          https://bugs.launchpad.net/bugs/1386254. (94862688)

2014-10-28 Niklas Wenzel

        * Make string translatable. (afb4dc76)

2014-10-28 Arto Jalkanen

        * Bug 1386254: move unlock button to header action. Added short
          explanation to unlock dialog. (fccc3c56)

2014-10-28 David Planella

        * Make autopilot files visible in Qt Creator (e16a9740)
        * Work around a toolkit bug that makes purple to be shown in header
          actions if a gradient is set. .
          Fixes:
          https://bugs.launchpad.net/bugs/1386208. (42c61023)
        * Worked around a toolkit bug that implied apps with gradients showed
          purple header actions. Removed gradient (f483d0e6)

2014-10-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (78fbe3a0)

2014-10-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4bd996b1)

2014-10-26 Niklas Wenzel

        * Make string translatable (2a08e52f)
        * Add the ability to extract zip files (a5c35742)

2014-10-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (01f9a996)

2014-10-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f502279b)

2014-10-25 Arto Jalkanen

        * Preliminary merge. This will break Jenkins tests, as the toolbar at
          the bottom is no longer going to be used, and I will need
          some help rewriting them. (3cd8abc8)

2014-10-24 Akiva Abraham

        * merged with
          lp:~ajalkane/ubuntu-filemanager-app/toolbar-to-header-autopilot-places-fix-on-jenkins
          (b96f6762)

2014-10-24 Arto Jalkanen

        * Trying to make autopilot tests run on Jenkins (8cc55691)

2014-10-24 Akiva Abraham

        * merged with arto (e9dd2e3a)

2014-10-24 Arto Jalkanen

        * Merged from upstream, and autopilot testing fixing branch.
          (32034836)
        * Upstream merge (55dd98ce)
        * Updated with upstream changes. (0612c644)
        * Autopilot fix: test_cancel_create_directory (67382a41)
        * Autopilot fix: test_create_directory (a3eb01f1)
        * Autopilot fix: test_go_up -> test_go_back (4def30ec)
        * Autopilot fix: test_cut_file (52562d21)
        * Autopilot fix: test_cut_directory (5dd7cd7b)
        * Test code cleanup (b515b5c8)
        * Autopilot fix: test_copy_directory (5813bda0)
        * Autopilot fix: test_copy_file (96f3bcd2)
        * Fixing opening with content hub. Full path was not passed.
          (96be9a20)
        * Fixing opening with content hub. Full path was not passed.
          (4c5f9ee3)

2014-10-24 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (23cc92b7)

2014-10-23 Arto Jalkanen

        * Upstream changes and merged from toolbar-to-header-modifications
          branch the simplified navigation model. (670c4b01)

2014-10-23 Akiva Abraham

        * merged
          lp:~ajalkane/ubuntu-filemanager-app/toolbar-to-header-remove-back-button.
          Errors exist, and will work them out in following
          releases. (09f145bb)
        * Took out forward history; clogs the UI, and is not partiuclarly
          useful. (its also difficult to program right, as there is
          currently no C++ handle on it and thus must be shoehorned
          in using qml) (6fa31f68)

2014-10-23 Arto Jalkanen

        * Merged from trunk. Reordered top header actions so that the most
          useful ones are first. (267598c0)
        * Using Content-Hub to open clicked files. Contains hard-coded
          mappings between file-extensions and ContentHub's
          ContentTypes. In future, when ContentHub supports MIME
          types, this can be improved.
          Fixes:
          https://bugs.launchpad.net/bugs/1329834,
          https://bugs.launchpad.net/bugs/1366217. (f2fc2851)
        * File selector / Unlock full access buttons fixed to allow room for
          bottom edge page. Removed Unlock full access from menu.
          Some fixes. (6c665e79)
        * "Good enough" colors and merged from trunk (62370f5d)
        * "Good enough" colors for theme. (98725045)
        * Reposition path to where we are. (7bcffd67)
        * Bug 1379943: Keyboard obscures the text input to navigate to a
          particular location. (7c1894f2)
        * Merged from trunk. (2dee7e0e)
        * Fix for disabling unused back button. Bottom edge page a bit better
          themed to match file manager's theme. (1f0572f3)
        * #1378709: When using FileManager as content picker, the buttons to
          confirm selection were partly offscreen. (db94baa6)

2014-10-22 Akiva Abraham

        * wip - Refined back and forward history. Just a bit more work to do,
          but it is mostly functional now with proper fadings. I
          would encourage people to test this branch and provide
          feedback on the aesthetics. Having the items down in that
          seperator is questionable, but could work out nicely.
          (c924274c)

2014-10-22 Arto Jalkanen

        * Mapping different file extensions to known ContentTypes. (b53f1b61)
        * Initial opener for files, assumes that files are images. (f97fb7eb)

2014-10-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (99e8902c)

2014-10-21 Akiva Abraham

        * Small adjustments to ContentX. Still need some work. (34594b4a)
        * wip (07353871)
        * Retry. "Goto" only visible with sidebar. (cbf6b9a9)
        * Goto is only visible when sidebar is expanded, as you can do this
          now in the bottom swipable in compact mode (e4144442)
        * WIP - Merged with
          lp:~ajalkane/ubuntu-filemanager-app/toolbar-to-header-modifications
          -- Commented out the / ; the code is still there; although
          truth be told, I do prefer the chevrons due to the fact
          that they do not look codey, and because it is unfamiliar
          to the header UI. However, I think the /'s will have a
          place, and will impliment them in using another means.
          Otherwise; thank you so much for this Arto; this is such a
          great improvement! Other than the small aesthetic
          difference of opinion, this is a really good merge. Just
          to reiterate his changes: (da90cfeb)
        * WIP -- merging with
          lp:~ajalkane/ubuntu-filemanager-app/toolbar-to-header-modifications
          ; will make changes afterwards. (5c901821)

2014-10-21 Arto Jalkanen

        * Added paste button to header if there is anything in the clipboard.
          Since clipboard is not cleared after copying, apparently
          by design, we also need a clear clipboard button. It has
          also been added now to the menu. (01ba3317)
        * Replaced "double clicking" to go up folder hierarchy with single
          click. (71f331b5)
        * Not really a search but go to button, changed the id of the action
          to reflect that also. (7577cafc)
        * Removed "Places" from header menu as they're accessible from bottom
          edge page. (9675f3ef)
        * Change separator from ">" icon to "/". Perhaps not optimal, but ">"
          can be confusing. (422f391b)
        * Refactored path history component into separate file. (cdc349b4)
        * Initial implementation of places as bottom edge page. (09fc5121)

2014-10-20 Akiva Abraham

        * Added "up" functionality on double clicking the current folder in
          the header. (4c34146c)

2014-10-20 Arto Jalkanen

        * Improved to react on virtual keyboard being opened. (4150b4be)

2014-10-20 Akiva Abraham

        * Implimented "Go Back" functionality, replacing "Go Up". (32da5453)

2014-10-20 Arto Jalkanen

        * Bug 1379943: Keyboard obscures the text input to navigate to a
          particular location. (dc9d48e6)
        * #1378709: When using FileManager as content picker, the buttons to
          confirm selection were partly offscreen. (6c7a2ac0)

2014-10-19 Akiva Abraham

        * Changed text size to "large" for the time being, to allow a bit
          more space for the path. You can view the differences of
          this at this video:
          http://www.reddit.com/r/UbuntuAppDev/comments/2jq6g5/feedback_xlarge_large_or_medium_for_the/
          Added an animation on contentWidth; this is simply to
          prevent flicking within the animation. This happens for a
          split second because the row sizes adjust and are briefly
          quite a bit smaller. I believe the animations are now
          normalized enough to not offer any strange behaviour.
          (dd97d1c3)

2014-10-18 Akiva Abraham

        * ✓ 6) Unlock full access should also be listed as an action in the
          header. (c570837c)
        * ✓ 2) Create Folder and Properties should be actions in their own
          right and be listed explicitly in the header. + fixed a
          bug (1b278f14)

2014-10-17 Akiva Abraham

        * ✓ 1) Make Settings a page instead of a popup. That's consistent
          with how other core apps do it. E.g. clock (da23b390)
        * ✓ 3) Fix Chevrons < Home > Replaced left chevron with up chevron
          ----------- This line and the following will be ignored
          -------------- (5d87320a)
        * Implimented Folder Memory. It appears to be working without any
          issues. Refined some of the code. Animations will have to
          be looked at as there does seem to be a bit of sporatic
          behaviour. (cb696730)
        * Work in Progress; do not review. Refined code, to make it usable
          for memory. Better behaviour regarding contentX.
          Implimented first bits of memory (847052c4)

2014-10-16 Akiva Abraham

        * Took out memory for the time being; that will be post rtm I think.
          Greatly improved the intelligence of the moving content.
          It basically is issue free from my testings. Will tackle
          the suggestions from the review tomorrow (9cbff6ff)
        * Refined code a bit, as the plan is to introduce folder memory. WIP
          (aa1a6c4d)

2014-10-15 Akiva Abraham

        * This branch should break a lot of tests that relied on the
          depricated toolbar. I will need some help rewriting them.
          This is a prelimary view, and will need some people to go
          over it and suggest tweaks. The toolbar actions were
          basically jammed into the header, so they may need a
          relook. Also there are some debugs regarding some icons
          that I have no clue what they are saying. (c3001a78)

2014-10-14 nskaggs

        * This should resolve the applications failure to launch on the
          device. (39a485c7)
        * fix home_dir (c11d9a98)

2014-10-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (19b27016)

2014-10-13 Akiva Abraham

        * Work in progress; Shortlist is there is now a flickable in the
          header, and the tabs button has been replaced with an up
          function. Placeholders are also in place for the other
          toolbar functions. (6484c995)

2014-10-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4c998526)

2014-10-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7877f9e3)

2014-10-11 Arto Jalkanen

        * Bug 1378709: fixing FileManager to show home folder when launched
          as content picker.
          Fixes:
          https://bugs.launchpad.net/bugs/1378709. (dd4d5660)

2014-10-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6ee5560f)

2014-10-10 nskaggs

        * flake8 (47b3404e)

2014-10-11 Arto Jalkanen

        * Bug 1378709: fixing FileManager to show home folder when launched
          as content picker. (b1481b5f)

2014-10-10 nskaggs

        * revert to rev 300 for now (c23f372c)
        * add subdir to have quasi sane testing env (14819f59)
        * remove common fix up FileManagerTestCase (912f8c9d)
        * fix flake8 (df7ecb9a)
        * remove mocking for on-device runs (47091808)

2014-10-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (dd08cae0)

2014-10-07 nskaggs

        * Finish fixing bug 1367453.
          Fixes:
          https://bugs.launchpad.net/bugs/1367453. (743199d3)

2014-10-06 Akiva Avraham

        * Updated library imports to qtquick-2.3. (09e52ddf)

2014-10-06 Akiva Abraham

        * merged with trunk (85b89af1)

2014-10-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (56924407)

2014-10-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4cc083f6)

2014-09-30 nskaggs

        * flake8 love (e6adf239)
        * attempt to have working patch home (e09fe110)

2014-09-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (b3e5942a)

2014-09-29 Albert Astals

        * Add i18n.tr . (a421ea7a)
        * Merge (2e838f75)

2014-09-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (19903f20)

2014-09-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a362cff3)

2014-09-26 nskaggs

        * Fix the click name to be com.ubuntu.filemanager. (791c648a)
        * fix filemanager package name (9c0d78b9)

2014-09-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (27dbbabe)

2014-09-26 nskaggs

        * Added parameter to force authentication on or off (this is mainly
          for autopilot tests). Moved the somewhat ugly special case
          of not using authentication away from pamauthenticaion
          library into main.cpp.
          Fixes:
          https://bugs.launchpad.net/bugs/1341681,
          https://bugs.launchpad.net/bugs/1367453. (69beb0c2)

2014-09-25 nskaggs

        * one last try (94b3b305)
        * fix get_file_actions_popover (d8515bb1)
        * fix get_folder_actions_popover (a6dfe9f5)

2014-09-25 Albert Astals

        * Add i18n.tr (2f29af30)

2014-09-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c10c5116)

2014-09-24 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (938a6f53)

2014-09-22 nskaggs

        * flake8 and debugging prints for desktop file (54fdd4a8)
        * use same patching for desktop and device; app launches but forces
          authentication (b22de15a)
        * add xdg home to patching (74091765)
        * flake8 goodness, make patch_home use apparmor tweaks (63d42a12)
        * flake8 happiness (e65e4849)
        * fix bug 1341681; change init launching layout (13bdc2c5)

2014-09-22 carla-sella

        * Added --forceAuth false parameter. (706c3196)
        * Added launching app wiht --forceAuth false. (986e9bb9)

2014-09-22 nskaggs

        * rebase to trunk (3a4ca38b)

2014-09-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ae3fadf1)

2014-09-20 Akiva Avraham

        * Updated library imports to qtquick-2.3 (2c0b20ad)

2014-09-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7880641e)

2014-09-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (450f58eb)

2014-09-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (240315d0)

2014-09-13 Akiva Avraham

        * Update imports. (e5b23da4)

2014-09-09 Arto Jalkanen

        * Added parameter to force authentication on or off (this is mainly
          for autopilot tests). Moved the somewhat ugly special case
          of not using authentication away from pamauthenticaion
          library into main.cpp. (d674607c)

2014-09-09 Benjamin Zeller

        * Make filemanager app cmake project useable out of the Box with
          QtCreator - Enable click mode by default - Hook names in
          the manifest file can not be variables - Disable click
          mode in debian rules file - Add variable
          UBUNTU_MANIFEST_PATH variable so QtC knows where to look
          for the manifest file - Rename apparmor.json to
          filemanager.apparmor (editor support) - Automatically set
          architecture in the manifest file. (8812f0da)

2014-09-09 carlos-mazieri

        * Just changed from std:array to QList class. . (416a841c)
        * Just implemented a goBack() navigation feature. (3eec3780)

2014-09-08 Benjamin Zeller

        * Make filemanager app cmake project useable out of the Box with
          QtCreator - Enable click mode by default - Hook names in
          the manifest file can not be variables - Disable click
          mode in debian rules file - Add variable
          UBUNTU_MANIFEST_PATH variable so QtC knows where to look
          for the manifest file - Rename apparmor.json to
          filemanager.apparmor (editor support) - Automatically set
          architecture in the manifest file (6f9426ae)

2014-09-08 Akiva Avraham

        * Merge from trunk (9776b343)

2014-09-07 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (cc6d5c2a)

2014-09-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f0591033)

2014-09-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2e91802f)

2014-09-04 Arto Jalkanen

        * Fixed focus issue with rename dialog (or any other dialog using
          ConfirmDialogWithInput.qml).
          Fixes:
          https://bugs.launchpad.net/bugs/1361744. (d6766f96)

2014-09-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (fe8e6537)

2014-09-04 Arto Jalkanen

        * Some clean-up, documentation, for the security changes. (6417793d)

2014-09-04 David Planella

        * Add .desktop file internationalization support.
          Fixes:
          https://bugs.launchpad.net/bugs/1318008. (4abfcf60)

2014-09-03 carlos-mazieri

        * implemented goBack() navigation feature. (c1307c05)
        * Prefer using Qt Container classes:    changed from
          std::array<QStandardPaths::StandardLocation, 5>  to
          QList<QStandardPaths::StandardLocation> (f337d80d)

2014-09-03 Arto Jalkanen

        * Permissions on their own lines in Properties pop-up (Bug 1354508).

          Fixes: https://bugs.launchpad.net/bugs/1354508. (68af8861)

2014-09-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3a8c05b5)

2014-09-01 Akiva Avraham

        * Updated Ubuntu.Components 0.1 to 1.1 Updated
          Ubuntu.Components.xxxxx 0.1 to 1.0
          UpdatedUbuntu.Unity.Action 1.0 to 1.1 (d719eae5)

2014-09-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (81127a52)

2014-08-31 Arto Jalkanen

        * Small corrections to comment. (5425df03)

2014-08-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c17b3f40)

2014-08-29 Arto Jalkanen

        * Fix for Bug 1354508: Permissions on their own lines to avoid
          overflowing. (4f55a33e)

2014-08-28 nskaggs

        * keep the debian/control file updated with the proper depends.
          (7e2c862f)

2014-08-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (99a9eb37)

2014-08-28 Arto Jalkanen

        * Fixed focus issue with rename dialog (or any other dialog using
          ConfirmDialogWithInput.qml) (f521f704)
        * Fixed spelling mistake in improve comment and indentation in
          related code block. (7d1e0d8c)

2014-08-27 nskaggs

        * remove hud depends (dbd900d2)
        * undo python3-all change (4007748c)

2014-08-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (cda027b4)

2014-08-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1b81017f)

2014-08-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (573d298a)

2014-08-19 Arto Jalkanen

        * Added some basic documentation for the current implementation.
          (aa6e1643)
        * Renamed function to better reflect its intended use. (b7f03e78)

2014-08-18 carlos-mazieri

        * New C++ UI with Trash and Places Model. (587aa513)

2014-08-18 nskaggs

        * add python3-lxml to debian/control (f203e30a)

2014-08-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0f3c1377)

2014-08-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3707b537)

2014-08-16 carlos-mazieri

        * Fixed PlacesModel uri. (20d7449f)

2014-08-16 David Planella

        * Fixed numbering in translations instructions (ce294bf8)

2014-08-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (9ff71d51)

2014-08-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (00349441)

2014-08-15 Arto Jalkanen

        * Only show files and allow operating in non-MTP folders unless
          password explicitly given.
          Fixes:
          https://bugs.launchpad.net/bugs/1347010. (670920f9)

2014-08-14 Arto Jalkanen

        * Merged diverged branches (00fb28b8)
        * Don't require authentication on desktop (actually on non-MIR
          environments). (becd0f92)

2014-08-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5f8a61df)

2014-08-13 Arto Jalkanen

        * Fix plugin URI assert. (bf6a644d)

2014-08-13 nskaggs

        * fixes for autopkgtest (c74aad1a)

2014-08-13 carlos-mazieri

        * C++ Test UI refactored:     simpleui made as a guide for changes in
          QML UI     simpleui provides Trash browsing/operations
          (720c44fa)
        * fixed compiler error QUOTES(PLUGIN_URI) not defined (83a73197)

2014-08-13 Arto Jalkanen

        * Validate user account (for example against locked or expired
          accounts). If validation fails, not authenticated.
          (76f50d88)
        * Remove unnecessary function call and instead use the value already
          obtained. (5dd6a162)

2014-08-13 David Planella

        * Updated .pot file (5c4ae501)
        * Added desktop file internationalization support (b9ed48ae)

2014-08-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f8595f19)

2014-08-13 Nicholas Skaggs

        * fix flake8 (9feca758)

2014-08-12 Nicholas Skaggs

        * fix launch (87ccdf89)
        * remove double launch from autopilot (c760ee43)

2014-08-12 nskaggs

        * merge David's cmakeparser plugin (58b7f979)

2014-08-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8e588311)

2014-08-11 Albert Astals

        * Update pot file . (cb6916f4)

2014-08-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7250fc58)

2014-08-09 Arto Jalkanen

        * Fix to warning call, fixes to non-latin1 character passing to pam
          library. (32be7593)
        * isMTPPath function parameter renamed to signal the intended use
          better. Also added a simple check to prevent possible new
          functionality to use this in wrong way. (ee8da9ea)
        * Removed debug logging of password as it's security risk. (11537046)

2014-08-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ef2cd400)

2014-08-08 Albert Astals

        * Update pot file (8a8003a3)

2014-08-08 David Planella

        * Merged PAM auth plugin packaging fixes (0d467a31)
        * Added Debian .install file to properly package the PAM
          authentication plugin (93e3d086)

2014-08-07 Arto Jalkanen

        * Added pamauthentication plugin dependency to filemanager deb build.
          (98943a2b)
        * PamAuthentication deb dependency. (c1bf4da8)

2014-08-07 David Planella

        * Added Debian packaging for the PAM plugin (523027d5)

2014-08-06 Arto Jalkanen

        * Deny modifying operations (rm, mv, paste etc.) on nonMTPPaths when
          access not allowed. (55271a74)
        * Updated dbus query for querying if authentication is set. README
          updates. (f46ce1b4)

2014-08-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a1ad2a41)

2014-08-05 Arto Jalkanen

        * Fix dependencies install for desktop (e49a8fad)
        * Fix dependencies install for compilation. (69f0dc3a)
        * Fix device adb push command. (c26c1537)

2014-08-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (eb6d9881)

2014-08-05 Arto Jalkanen

        * Pam library forgotten from deb dependencies. Added now. (f6eaa498)

2014-08-04 imnichol

        * Fix lp:1349330.
          Fixes: https://bugs.launchpad.net/bugs/1349330.
          (eda504ef)

2014-08-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (95519f4a)

2014-08-04 Arto Jalkanen

        * Added code to try determining if password is required. This is
          untested code and probably does not work without tweaking.
          When failing defaults to requiring authentication.
          (87ea2266)
        * Added PAM authentication code and dependencies. (bb6713a8)

2014-08-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (60b2cc93)

2014-08-02 Arto Jalkanen

        * Added authentication dialog, and a authentication failed
          notification. (bb2d68b1)

2014-08-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6b26d2db)

2014-08-01 imnichol

        * removed lines 2-4 inclusive (976fd305)

2014-08-02 Arto Jalkanen

        * A stub for PAM Authentication plugin. For now returns always true
          for authentication required and validation. (a02ab944)

2014-08-01 Arto Jalkanen

        * Bug 1347010: UI for only displaying files in MTP directories. For
          now, "Show all files" is always visible at start and
          non-MTP directories are not viewable. After clicking "Show
          all files", all files are shown. (8693c9d1)

2014-07-29 David Planella

        * Fixes the missing dependency on the places plugin.
          Fixes:
          https://bugs.launchpad.net/bugs/1336464. (0aff4a77)

2014-07-28 David Planella

        * Makes the root locations in the path bar human-readable.
          Fixes:
          https://bugs.launchpad.net/bugs/1331699. (24904a6d)
        * Added missing dependency to the places plugin (7d5d1788)
        * Fixed human readable path function (7887582e)

2014-07-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a2c44f13)

2014-07-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (fdbdb2d5)

2014-07-25 Pawel Stolowski

        * Added X-Ubuntu-Default-Department-ID key to the desktop file. This
          is required by click scope to support departments for
          preinstalled applications. (f71b7e97)

2014-07-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f5f4ff64)

2014-07-24 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1aa57f5a)

2014-07-23 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2bdb9ae5)

2014-07-22 David Planella

        * Fix to get the tests to go to places working again. Going forward,
          we should probably add the objectName to the model in the
          plugin instead.
          Fixes:
          https://bugs.launchpad.net/bugs/1342336. (46471f65)
        * Add object names for the places list for autopilot (be8684bf)

2014-07-21 Pawel Stolowski

        * Added X-Ubuntu-Default-Department-ID key to the desktop file
          (e185cc21)

2014-07-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (81336d0f)

2014-07-17 Alan Pope

        * fix 1343505 to remove urls.
          Fixes:
          https://bugs.launchpad.net/bugs/1343505. (8d114559)
        * fix 1343505 to remove urls (0df2f5e3)

2014-07-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2e097f90)

2014-07-16 Francis Ginther

        * Move manifest.json to manifest.json.in to allow for cmake
          configure_file(), to correct the presence of @BZR_REVNO@
          in the version string. (786cf32a)
        * Move manifest.json to manifest.json.in to allow for cmake
          configure_file(). (87621aeb)
        * Change version string to include bzr revno. (0520905f)
        * Change version string to include bzr revno. (7912d6cf)

2014-07-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (34f85b99)

2014-07-15 Alan Pope

        * Fix bug in tests.
          Fixes: https://bugs.launchpad.net/bugs/1342336.
          (5b4b1a3e)
        * Fix 1342336 (f874bb23)

2014-07-15 Arto Jalkanen

        * ContentHub file selecting support improved: (489ccc05)

2014-07-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d5b7a57b)

2014-07-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6432a0ca)

2014-07-11 Jason

        * Change 'caller' of GoToDialog to mainView.
          Fixes:
          https://bugs.launchpad.net/bugs/1331333. (ee274357)

2014-07-08 Arto Jalkanen

        * Removed duplicate openFile() definition. (396fd7f6)

2014-07-06 Alan Pope

        * Correctly fix framework.
          Fixes:
          https://bugs.launchpad.net/bugs/1336764. (f4e5c0ee)

2014-07-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0b7a46d5)

2014-07-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (55e57560)

2014-07-02 Alan Pope

        * Correctly fix framework (62e42525)
        * bump framework.
          Fixes: https://bugs.launchpad.net/bugs/1336764.
          (1113c5ac)
        * bump framework and security policy (fb24bb70)

2014-07-02 Arto Jalkanen

        * Updated from trunk. (ed19d583)
        * Merged from trunk (fff020b4)
        * Added support for highlighting items in Content Hub file selection
          in item view. (cf4e2964)
        * Merged content-hub-preliminary changes. (b7283116)

2014-07-01 Arto Jalkanen

        * Added README for testing Content Hub on desktop. (cb293526)

2014-06-30 Jason

        * Change caller for GoToDialog to mainView (fb6f0f13)

2014-06-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c93be00a)

2014-06-28 carlos-mazieri

        * removed PLUGIN_URI define directive and put it as hard coded in the
          plugin.h due to this define was not included in the
          CMakeLists.txt when changing build from qmake to cmake.
          (ffae7ea0)

2014-06-26 carlos-mazieri

        * fixes the bug #1330223. (a8872783)

2014-06-26 David Planella

        * Add places model plugin.
          Fixes:
          https://bugs.launchpad.net/bugs/1328332,
          https://bugs.launchpad.net/bugs/1330841,
          https://bugs.launchpad.net/bugs/1330843,
          https://bugs.launchpad.net/bugs/1330852,
          https://bugs.launchpad.net/bugs/1331702. (92c43258)
        * Make pep8 v1.5.6 happy (a13fb51c)

2014-06-25 carlos-mazieri

        * Fixes the bug 1330223. LocationsFactory::setNewPath() must return
          NULL when the item is a file. (ca505128)
        * removed PLUGIN_URI define directive and put it as hard coded in the
          plugin.h due to this define was not included in the
          CMakeLists.txt when changing build from qmake to cmake.
          (15f1d83f)

2014-06-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c9a5ced9)

2014-06-22 David Planella

        * Show human-readable names for the root locations on the path bar
          (73d71701)
        * Fix remaining 'path' properties (054f32ba)
        * Fixed reference to refactored function (da0b33ff)
        * Fixed duplication of path and folder in FolderListPage, and other
          minor fixes and refactoring (88d151f9)

2014-06-21 David Planella

        * Undo the latest revert. After a discussion with nskaggs it was
          agreed that it was not necessary (df25f391)

2014-06-19 nskaggs

        * Revert accidental merge.
          Fixes:
          https://bugs.launchpad.net/bugs/1331948. (989841a7)
        * also revert test_places ap change (22449e6b)
        * add back r210's fixes for tests (50e7dd9c)
        * rollback to rev 208 (75a24ace)

2014-06-18 Leo Arias

        * Refactored the first group of context menu tests. (c71bb487)

2014-06-18 David Planella

        * Add places model plugin. (a990d217)
        * Added objectName for the places model (95ff81cb)
        * Added functionality to add and remove places, which can be used in
          the future for user bookmarks (a2ce1d6e)
        * Renamed plugin directory (a7d3c567)
        * Renamed XdgUserDirs plugin to make it a more flexible places model,
          to have the ability of adding/removing bookmarks
          (aac4fa0d)
        * Created debian package for the XDG user dirs plugin (6df97ae6)
        * Fixed ~ replacements, renamed plugin (279c4525)

2014-06-17 Leo Arias

        * Fixes. (46f2cfe6)

2014-06-17 carlos-mazieri

        * High level selection methods. (2b48e12a)
        * some tests. (158ac03e)
        * Code to complete Trash opearations: move into / restore from /
          restore all / empty trash. (02ad8028)

2014-06-17 David Planella

        * Clarified debug message (1e263b98)
        * Added licenses and updated the QML frontend to use the new
          xdguserdirs model (cb1235aa)
        * More syntactic fixes (4e6255e0)
        * Some syntactic fixes (fb247c65)
        * Made XdgUserDirs work as a model too (c8102ab2)
        * Added XDG user dirs plugin (1b30ef26)

2014-06-17 Victor Thompson

        * Don't turn off OSK;  Fix various test failures.
          Fixes:
          https://bugs.launchpad.net/bugs/1256856,
          https://bugs.launchpad.net/bugs/1316677,
          https://bugs.launchpad.net/bugs/1329818. (2c8e6ce7)

2014-06-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (648ab299)

2014-06-16 Victor Thompson

        * Don't turn off OSK (ad62d040)

2014-06-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (11632745)

2014-06-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (26eaf5c5)

2014-06-11 Leo Arias

        * Create the file on home. (8a750480)
        * Added the missing import. (816f1acd)
        * Reverted the home patching. (1027a0ef)
        * Refactored the first group of context menu tests. (9b5747b3)

2014-06-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ae746a55)

2014-06-10 Leo Arias

        * Cleaned up the places autopilot tests. (d71d4ebb)

2014-06-10 Victor Thompson

        * Fix qml errors occuring during application run.
          Fixes:
          https://bugs.launchpad.net/bugs/1316677. (861a9d43)

2014-06-10 Leo Arias

        * Fixed tests on mako. (acc08019)

2014-06-09 Leo Arias

        * Cleaned up the places autopilot tests. (bc56bb17)

2014-06-07 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f0f0e01c)

2014-06-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (33379b39)

2014-06-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (efef663e)

2014-06-03 Victor Thompson

        * Fix PathBar.qml null error to fix test failures. (8bd63314)

2014-06-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (39f9f92b)

2014-06-02 carlos-mazieri

        * changed  "#define DIRS 3" by "const int dirsCounter = 3" (e7b2f7d0)

2014-06-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (e4a32fc6)

2014-05-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (48aaedb6)

2014-05-28 carlos-mazieri

        * IS_BROWSING_TRASH() renamed to IS_BROWSING_TRASH_ROOTDIR() remaned
          DirModel::createTrashInfoFileFromEnry()  to
          DirModel::createTrashInfoFileFromEntry() renamed
          DirModel::removeTrashInfoFileFromEnry() to
          DirModel::removeTrashInfoFileFromEntry() removed
          Q_INVOKABLE from DirModel::moveIndexesToTrash() removed
          Q_INVOKABLE from DirModel::restoreIndexesFromTrash()
          (9a837d9b)

2014-05-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (00b7b29b)

2014-05-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5d924668)

2014-05-24 carlos-mazieri

        * ActionPaths now is used in Actions. (532ccb34)

2014-05-24 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (173daec3)

2014-05-23 carlos-mazieri

        * renamed FileSystemAction::targetFom() para
          FileSystemAction::targetFrom() fixed memory leak in
          FileSystemAction::addEntry() fixed memory leak in
          FileSystemAction::~FileSystemAction() fixed memory leak in
          LocationsFactory::~LocationsFactory() (683dd5eb)

2014-05-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (926f9cce)

2014-05-20 Arto Jalkanen

        * Prepend file selection for ContentHub with file:// instead of
          file:/. Latter was technically wrong even though it
          worked. (3c4e6082)

2014-05-20 carlos-mazieri

        * removed unnecessary DirModel::makePathnamesFromIndex() and
          DirModel::makePathnamesFromSelection(), using
          DirSelection::selectedAbsFilePaths() instead. (e9013148)

2014-05-20 Arto Jalkanen

        * ContentHub file selecting support improved: (2bb4ba5d)

2014-05-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (09703cf8)

2014-05-18 carlos-mazieri

        * created ActionPaths structure. (813d9f61)
        * ActionPaths::setSource(), forcing current path if using relative
          paths which is not supported. (4567b06f)
        * improved ActionPaths::setSource(), prevent possible memory
          corruption if using relative paths even relative paths are
          not supported. (f8b94cf4)

2014-05-17 carlos-mazieri

        * added high level selection methods:   DirModel::copySelection()
          DirModel::cutSelection()   DirModel::removeSelection
          DirModel::moveSelectionToTrash()
          Dirmodel::restoreSelectionFromTrash() (be11a256)
        * ExternalFSWatcher class improvement. (0642e6d2)
        * automated tests for trash operations (6214dfbf)
        * Trash operations: move into / restore from / empty (07409bb4)
        * ActionPaths now is used in Actions. FileSystemAction::Action::type
          is kept to indentify the whole Action. (93e4b965)
        * created ActionPaths. ActionPaths will be used for handling Actions,
          it provides common helper functions for source and target
          paths or urls. (99a3e7b9)
        * ExternalFSWatcher class improvements:    * setCurrentPath()  calls
          setCurrentPaths()    * setCurrentPaths() clears
          m_changedPath    * slotFireChanges() improved
          documentation (6fc3138f)
        * it is the last part of
          https://code.launchpad.net/~carlos-mazieri/ubuntu-filemanager-app/app-devel/+merge/216409
          in fact the branches should be equals. (e652bbf2)
        * fixed type error  stoptExternalFsWatcher() to
          stopExternalFsWatcher() (36efd607)
        * improved comments in TrashItemInfo::operator=(const DirItemInfo
          &other), disabled code not used so far. (ae84280a)

2014-05-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2b110a1e)

2014-05-16 carlos-mazieri

        * it is the fourth part of
          https://code.launchpad.net/~carlos-mazieri/ubuntu-filemanager-app/app-devel/+merge/216409.
          (18f15fa4)
        * it is the 3rd part of the
          https://code.launchpad.net/~carlos-mazieri/ubuntu-filemanager-app/app-devel/+merge/216409.
          (a9e6e93f)
        * this is the second part of the
          https://code.launchpad.net/~carlos-mazieri/ubuntu-filemanager-app/app-devel/+merge/216409.
          (7aba7005)

2014-05-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5aa05c99)

2014-05-16 Arto Jalkanen

        * Fixed openFile's argument (788044b3)

2014-05-15 carlos-mazieri

        * removed row no necessary const_cast<Location*> (c090e1d8)

2014-05-16 Arto Jalkanen

        * Added a dependency for building on Trusty. (0dc887d0)

2014-05-15 Daniel Holbach

        * Rename .pot file to new name and update it.
          Fixes:
          https://bugs.launchpad.net/bugs/1317683. (f3c27076)
        * rename pot file to proper name (04c4e550)
        * update .pot file (4c2b049f)

2014-05-14 carlos-mazieri

        * added virtual destrcutor to classes:   IORequestLoader
          DirListWorker   TrashListWorker
          ExternalFileSystemChangesWorker
          ExternalFileSystemTrashChangesWorker (9f71aac3)
        * changed destructor to virtual from classes Location() and
          DiskLocation;  changed Location::setFromInfoItem(const
          DirItemInfo *itemInfo) to:
          Location::setInfoItem(DireItemInfo *itemInfo);  changed
          const Location;  LocationsFactory::setNewPath(const
          QString& uPath) to                 Locatio.
          LocationsFactory::setNewPath(const QString& uPath.
          changed const Location;  LocationsFactory::parse(const
          QString& urlPath)   to                 Locatio.
          LocationsFactory::parse(const QString& urlPath);  changed
          const Location;  LocationsFactory::location() const  to
                       Location;  LocationsFactory::location() const
          (45a03b54)

2014-05-14 Arto Jalkanen

        * Added missing hub-exporter.json (5accb6f3)

2014-05-13 carlos-mazieri

        * ExternalFSWatcher::setCurrentPath() improved/simplified;  created
          documentation for ExternalFSWatcher::slotDirChanged(.
          improved documentation of
          ExternalFSWatcher::slotFireChanges();  improved
          documentation of ExternalFSWatcher class in
          externalfswatcher.h (d75a8213)

2014-05-13 Arto Jalkanen

        * Content Hub preliminary support. Registers FileManager at first for
          importing pictures. (245f3d8f)

2014-05-12 carlos-mazieri

        * first part of the
          https://code.launchpad.net/~carlos-mazieri/ubuntu-filemanager-app/app-devel/+merge/216409.
          (74f495c2)

2014-05-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (757cfe63)

2014-05-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0b4fbf23)

2014-05-10 carlos-mazieri

        * added m_currentPaths to TrashLocation, the reason is
          TrashLocation::startExternalFsWatcher() can activated any
          time. (d7c1d2c1)
        * Fixed using m_info when it can be null. (e1c0e5ef)
        * ExternalFSWatcher:    * improved comments    * m_setPath changed to
          m_setPaths    * fixed bug about restoring paths in the
          slotFireChanges() (f766d860)

2014-05-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (78268069)

2014-05-09 carlos-mazieri

        * fixed typing error in commcnets from
          DirItemInfo::isContentReadable(),  putting right
          DirItemInfo::isReadable() reference (06b492e3)

2014-05-09 nskaggs

        * Properly setup environment for test running Fix test in accordance
          with source changes Fix flo tests Restore skipped tests.

          Fixes: https://bugs.launchpad.net/bugs/1316677,
          https://bugs.launchpad.net/bugs/1316746. (01e5ad37)

2014-05-08 nskaggs

        * missing () (9be240b2)
        * tweaks (aaeb52ef)
        * tweaks to _safe_open_popover (81c781c5)
        * fix typos (1608732e)
        * encapsulate all popover calls, remove skip's from tests (307e0412)
        * flake8 fixes (cdcd15ce)
        * popover fixes (b9dfb8dd)
        * migrate to ActionSelectionPopover from emulator (140e6c88)
        * fix local launching (b1cf2eaa)
        * finish wide UI fixes (8e1356a7)
        * turn off spam printing on spacing, fix wideUI tests (3beee82c)
        * fix objectname (ab5cef2b)
        * fix file count, drop os.environ for self.home_dir (f513989a)
        * re-add go_to_location 'home' at beginning of everytest (e11c66c3)
        * add _copy_xauthority_file rename setup env (2b29970c)
        * switch to fixtures, clean up pep8 and pyflakes (861c444e)
        * remove start in home logic (96f35e89)
        * properly setup env, standardize launching (337a4289)

2014-05-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4197d420)

2014-05-07 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (411986cc)

2014-05-06 Barry Warsaw

        * Port the autopilot tests to Python 3. (23344af6)
        * Restore build-dep (1c578482)
        * Trunk merge (61bd56f3)

2014-05-02 Barry Warsaw

        * No need to B-D on python3-all. (9fa2eb7e)

2014-05-02 carlos-mazieri

        * Introduces Trash, Trash browsing by providing TrashLocation class.
           * Add equivalent Disk Loader/Comparing classes for Trash
          in iorequest.h/iorequest.cpp   * Add TrashLocation object
          into LocationsFactory   * Trash browsing:
          DirModel::goTrash()   * fileCompareExists() changed to use
          absolute path since Trash can have more than a item with
          same name     belonging to different sources. (218afd8f)
        * Introduces Location, it basicaly handles Urls and their internal
          paths. (98c411b0)
        * Disk loading classes modified to allow reusing code for Trash:
          (773caa23)

2014-05-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f1639d5a)

2014-05-01 Barry Warsaw

        * Port autopilot tests to Python 3. (e1006fe2)

2014-05-01 carlos-mazieri

        * class ExternalFSWatcher changed to allow watching more than a path.
          reason:  It is intended to watch external changes in the
          Trash and Trash can be compounded for more than one path.
          (cf5df865)
        * structure DirItemPrivate moved from diriteminfo.cpp do
          diriteminfo.h added DirItemInfo::isContentReadable() to
          extend DirItemInfo::isReadable(), DirModel::data() still
          uses DirItemInfo::isReadable(), DirModel::cdIntoIndex()
          uses DirItemInfo::isContentReadable() ## test mode only
          DirModel::columnCount() moved from dirmodel.h to
          dirmodel.cpp added DirModel::getExternalFSWatcher()
          (a70f1845)

2014-04-30 Arash Badie Modiri

        * Trivial fix to make a string properly translatable. (6d0243f0)
        * Fixed a translatable string (955ba766)

2014-04-29 Victor Thompson

        * Install icons directory.
          Fixes:
          https://bugs.launchpad.net/bugs/1312879. (0c7e6bc4)

2014-04-29 David Planella

        * Fixed desktop run, renamed installation paths to just filemanager.

          Fixes: https://bugs.launchpad.net/bugs/1312712. (44d14900)
        * Fix debian package build errors (7b247acb)
        * Fix pep8 warnings (de23cb8f)

2014-04-28 David Planella

        * Removed unnecessary lxml dependency, which is no longer required
          until we introduce the CMakePluginParser (59e3b88b)
        * Added a module to parse Qt Creator's CMake plugin's config file to
          automatically read the location of the build directory and
          run the executable for the tests from there (9a54efff)
        * Reverted CMakePluginParser changes in order to have a smaller merge
          proposal to review. They'll be reinstated in a subsequent
          MP (29c0026d)

2014-04-28 Victor Thompson

        * Move icons directory (11a795b3)

2014-04-28 David Planella

        * Fix running the app using the locally built plugin from Qt Creator
          (dbf4a3de)

2014-04-27 Victor Thompson

        * Default to icon/grid view only when in wide aspect mode.
          Fixes:
          https://bugs.launchpad.net/bugs/1312883. (c2dffff8)
        * Default to icon/grid view only when in wide aspect mode (eb3cec68)
        * Install icons directory (ab8a7f66)

2014-04-27 David Planella

        * Added dependency to lxml for the autopilot package (6778e595)

2014-04-26 David Planella

        * Make Jenkins happy and pep8 as well (469ca22a)
        * Fix autopilot run locations for the installed .deb package, enable
          running AP from Qt Creator's configured build dir
          (150c787d)
        * Fixed autopilot .deb launching. Renamed and removed all instances
          of ubuntu-*-app (d1b58659)

2014-04-25 David Planella

        * Removed unused variable to avoid confusion (b9ead889)
        * Fixed desktop run, renamed installation paths to just filemanager
          (3c639197)
        * Find the main QML file based on the same root location as the
          executable (3b0126af)
        * Updated the README file with detailed info on how to build and run
          the app. (725f82c1)
        * Updated README file (7bd2a774)

2014-04-24 David Planella

        * Make the click build to work with both Qt Creator and click-buddy
          (82ae8918)
        * Fix the library name to match that of the qmldir file, so that the
          app finds the plugin at runtime.
          Fixes:
          https://bugs.launchpad.net/bugs/1294301. (ac35d312)
        * Make the click build package process work with both click-buddy and
          Qt Creator (a22caea4)
        * Fixed library name, so that it matches what the qmldir file
          specifies and so that it can be found by the app at
          runtime (85e6e211)
        * Fix apparmor profile (0a938fac)

2014-04-23 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (8458f5d6)

2014-04-15 David Planella

        * Merge the C++ folderlistmodel plugin into the app's source tree.

          Fixes: https://bugs.launchpad.net/bugs/1300911. (3ac1f123)
        * Updated apparmor policy version (bdaa90af)
        * Manually expanded the rest of variables in the manifest file
          (961ec4b7)
        * Merge nksaggs' autopilot fixes (1d45cc7d)

2014-04-14 nskaggs

        * fix -q arg passing (51cf7028)
        * fix installed qml loc (bcd7dfb1)
        * undo main.cpp changes (4225eb40)
        * add back -q option to test launch, fix click launch (e7bcdab4)
        * fix binary location (3b98585d)
        * fix flake8 (150fd6a3)
        * rebase to trunk (4d741682)
        * revert main_view changes, drop qml locations, tweak launches for
          installed and local (d45bad09)
        * WIP remove -q option to load qml, use standard location tweak
          autopilot launching to support binary (72eba412)

2014-04-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (70bc4247)

2014-04-11 Alan Pope

        * Capitalise title - fix 1306821.
          Fixes:
          https://bugs.launchpad.net/bugs/1306821. (ee9fad3f)
        * Capitalise title - fix 1306821 (5cd402ad)

2014-04-11 David Planella

        * Build folder list model plugin debian package (bc1a6e0f)

2014-04-09 David Planella

        * Fix compiler warning (6be9dc30)
        * Fixed executable target (53db7d7c)
        * Added ignores (a5804f26)
        * Merged changes from parent branch (b12789cb)
        * Removed unneeded click directory from the cmake file (5103e1ed)
        * Moved the manifest and apparmor profile to the root of the source
          tree and hardcoded their values, as expected by Qt Creator
          (c0c6ed88)
        * Forgot to add main.cpp file (b03522fb)
        * Renamed desktop file to be how Qt Creator expects it to be, cleaned
          up unused files (e532fa5b)

2014-04-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (434b48ba)

2014-04-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (02e46de3)

2014-04-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (831c4254)

2014-04-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1c181ff7)

2014-04-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d5559302)

2014-04-01 David Planella

        * Added executable to replace qmlscene, so that it can be launched by
          Qt Creator (797e9ca5)
        * Made plugin installation path the standard expected by upstart
          (2032d6ae)

2014-03-31 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ec328adb)

2014-03-29 David Planella

        * Set the path to the main qml file, add the local plugin path to
          qmlscene in click mode (1c276fe7)
        * Made the plugin now compilable with Qt Creator and CMake (63b437dc)
        * Now the cmake project can be opened in Qt Creator (62edc269)
        * Fixed location of CMakeLists.txt file (9650d374)
        * Fixed a wrong dir move, added a missing CMakeLists.txt file
          (b354d57c)
        * Reorganized source tree in preparation for the migration to cmake,
          added initial CMakeLists.txt files (fe3b5a16)
        * Initial merge of the folderlistmodel plugin (03672d27)

2014-03-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (17b0e9ab)

2014-03-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1bf2da2f)

2014-03-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (89be494d)

2014-03-26 nskaggs

        * Get cmake building properly.
          Fixes:
          https://bugs.launchpad.net/bugs/1282500,
          https://bugs.launchpad.net/bugs/1288885,
          https://bugs.launchpad.net/bugs/1294301. (acd69c4b)
        * revert to r143 to merge (8c341a26)
        * attempt to build plugin (43e98042)

2014-03-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0d19738f)

2014-03-25 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (98f69385)

2014-03-23 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f2dea166)

2014-03-22 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2967f98b)

2014-03-21 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (29cb3ab0)

2014-03-20 Victor Thompson

        * Fix po.pro file for desktop filename change;  Update translation
          strings.
          Fixes: https://bugs.launchpad.net/bugs/1290492.
          (9e9182ab)

2014-03-20 Michael Spencer

        * Temporarily disabled support for multiple tabs since the Tabs
          implementation broke it.
          Fixes:
          https://bugs.launchpad.net/bugs/1294365. (25be2763)

2014-03-20 nskaggs

        * force launching with -qt5 (58ff559b)
        * remove armhf arch from build, this is pure qml (2e3a727c)

2014-03-20 Michael Spencer

        * Added bug that is causing the regression and also  fixed arrow icon
          (7ff152ae)
        * Disabled multiple-tabs support. (0572f6f5)
        * Updated Suru sheet style since buttons are now smaller (a594d0b2)

2014-03-20 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (deb88975)

2014-03-18 nskaggs

        * cmake tweaks (dcdce2af)
        * correct click build to be armhf (529c2a22)

2014-03-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c2eb5a07)

2014-03-10 Victor Thompson

        * Update header info in pot file (b61b3cab)
        * Fix po.pro file for desktop filename and update translations.
          (4b537d09)
        * Fix python build dependency.
          Fixes:
          https://bugs.launchpad.net/bugs/1284637. (ab69a239)

2014-03-07 Victor Thompson

        * Fix python build dependency (054d4575)

2014-03-06 carlos-mazieri

        * DirSelection class:   Added DirSelection::selectRange()   Added
          DirSelection::select()   //as we do want to select names,
          just indexes   Removed DirSelection::set()   Removed
          DirSelection::toggle()   . (0b3ac338)

2014-03-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (efd653dc)

2014-03-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (0161f901)

2014-03-03 carlos-mazieri

        * DirSelection class:   Added DirSelection::selectRange()   Added
          DirSelection::select()   //as we do NOT want to select
          names, just indexes   Removed DirSelection::set()
          Removed DirSelection::toggle() (3c02bb53)

2014-03-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7efe2dc2)

2014-03-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1ac4fa94)

2014-02-23 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (2a198bca)

2014-02-19 Michael Spencer

        * Added desktop features, including multiple tabs, icon view, and a
          path bar.
          Fixes: https://bugs.launchpad.net/bugs/1195042,
          https://bugs.launchpad.net/bugs/1255643. (d08420f5)

2014-02-18 Michael Spencer

        * Removed old test (743eab26)
        * Fixed a few problems (5eb17c15)
        * Refactored files into sub-directories (9733de8d)
        * Added files to CMakeList (28a5f824)
        * Fixed pep8 errors (57f086ae)
        * Fixed some problems with the list header (06b8cbb9)
        * Fixed Cmake file (e8333933)
        * More AP test fixes (ff21c481)
        * Merged in master (e48f54cc)
        * Working on fixing AP tests (c8b4897e)
        * Merged in master (63e75d05)

2014-02-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ab7f9a0f)

2014-02-17 carlos-mazieri

        * just first part of the Trash, not too much code to review.
          (4a9810e4)

2014-02-17 Alan Pope

        * Remove SideStage Hint.
          Fixes:
          https://bugs.launchpad.net/bugs/1281236. (440829e2)
        * Remove SideStage hint (0004b0b7)

2014-02-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (81c494d9)

2014-02-16 Victor Thompson

        * Use ListItem iconSource since the icon property is deprecated.

          Fixes: https://bugs.launchpad.net/bugs/1275061. (4ff00240)

2014-02-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (b84fc434)

2014-02-15 carlos-mazieri

        * removed xdgHomeTrash() and localHomeTrash() homeTrash() now uses
          QStandardPaths::writableLocation(QStandardPaths::GenericDataLocation)
          which works for $XDG_DATA_HOME (283332e6)

2014-02-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (cb54a2cd)

2014-02-13 nskaggs

        * Add cmake build fix OSK from not be re-enabled after testing.
          (1e37f2a2)

2014-02-12 nskaggs

        * tweaks for failing rename tests (why are they failing?) (0ac61303)
        * add more qml build installs (b6a56b7e)
        * add settingspage (16d93e0f)
        * add folderlistpage install (c17f821c)
        * pyflakes and pep8 happiness (54e6b7b6)
        * merge trunk (25a3aa52)
        * remove Makefile add json (9c46829c)
        * fix deb control, add build dris to cmake (134de794)
        * tweak cmake (985dc491)

2014-02-12 carlos-mazieri

        * improved QTrashDir::localHomeTrash() (d2793095)
        * changed QTrashDir::localHomeTrash(, ) to use
          QStandardPaths::GenericDataLocation improved
          TestDirModel::trashDiretories() (e24b51a8)

2014-02-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (7d4cc229)

2014-02-10 carlos-mazieri

        * Implemented creation/identification of Trash Dir areas following
          freedesktop.org (98faac7f)

2014-02-10 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (647997f8)

2014-02-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1d2803cb)

2014-02-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (eca22ce6)

2014-02-07 carlos-mazieri

        * Due to lot of changes it should be hard tio review. Regarding
          selection, two tests were created:  modelSingleSelection()
          and  modelMultiSelection():
          http://bazaar.launchpad.net/~carlos-mazieri/ubuntu-filemanager-app/model/view/head:/test_folderlistmodel/regression/tst_folderlistmodel.cpp#L145
          (30ca7c6e)
        * removed most of Qt4 code between QT_VERSION macros changed
          IsSelecteRole role to IsSelectedRole enclosed QBrush and
          QColor includes in macro REGRESSION_TEST_FOLDERLISTMODEL
          (24ee1730)

2014-02-06 carlos-mazieri

        * keeping selection state when renemaing an item (4771c939)

2014-02-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (766ca33d)

2014-02-05 carlos-mazieri

        * added rename(oldName, newName) added selection handling changed
          item data structure from QFileInfo to DirItemInfo
          (a026f750)

2014-02-04 Michael Spencer

        * Removed Bible verse from files taken from the
          iBeliever/ubuntu-ui-extras library at Michel Renon's
          request. (f8f4553b)
        * Removed Bible verse from files taken from Ubuntu UI Toolkit
          (b9cd8bf1)

2014-02-04 Nicholas Skaggs

        * fix cmake build (a9198483)
        * fix build depends, fix install and launch (d3df9651)

2014-02-03 carlos-mazieri

        * separated Clipboard stuff into a new file created FMUtil class.
          (2a416d40)

2014-01-31 Victor Thompson

        * Change app behavior to default to phone mode and transition to
          tablet mode when app is loaded.
          Fixes:
          https://bugs.launchpad.net/bugs/1272160. (becf8015)

2014-01-31 nskaggs

        * remove apparmor folder (710e415b)
        * add cmake build (5d43a56b)

2014-01-31 Victor Thompson

        * Use ListItem iconSource (5a06f275)
        * Do not switch to wide aspect mode until app is loaded. (b3e6cf0e)

2014-01-29 carlos-mazieri

        * separated clipboard stuff into Clipboard class added FMUtil class,
          so far it attempts to set a Theme if no theme is set
          (3e6c020d)

2014-01-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (3db5f2ee)

2014-01-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (93402db3)

2014-01-23 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4da14750)

2014-01-21 Michael Spencer

        * Animations for the path bar and removed the Unix-style directory
          header (8bf92bb8)
        * Fixed the pathbar width (5e1ef7f9)
        * Various fixes (6cbf6ec9)

2014-01-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (a2ff95d6)

2014-01-18 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d9ca7d74)

2014-01-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (6f0f4535)

2014-01-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (9c8ab00c)

2014-01-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (ae9914b3)

2014-01-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1cf8a034)

2014-01-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d18947e1)

2014-01-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (536272fe)

2014-01-09 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (89999513)

2014-01-08 Victor Thompson

        * Updated translation template and add .pot file. (21304f4d)

2014-01-08 carlos.mazieri@gmail.com

        * Improvements on Copy/Cut operations. (7e1673b6)

2014-01-08 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (221a116b)

2014-01-06 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d8ea8bb6)

2014-01-05 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (b8293fae)

2013-12-31 carlos.mazieri@gmail.com

        * Copy files no longer is saved into temporary file first then
          renamed to final item Disk space verified before Copy
          Added notification to refresh file information every 50 MB
          bytes copied (e22af41e)

2013-12-30 Victor Thompson

        * Update README.translations (2c2fb72e)
        * Updated translation template (c8146660)

2013-12-24 carlos.mazieri@gmail.com

        * Fixed cut items across different file systems. Added check
          permissions before any Copy or Cut operations. (e1d183a2)

2013-12-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c454cc7a)

2013-12-18 carlos.mazieri@gmail.com

        * Removed hard code about using own QMimeData storage for clipboard.
          Added FileSystemAction::testClipboardContent() .
          (b5c0b28c)

2013-12-15 carlos.mazieri@gmail.com

        * Removed hard code about using own QMimeData storage for clipboard.
          Added FileSystemAction::testClipboardContent() (a6094b5f)

2013-12-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (43a6c609)

2013-12-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d61515e9)

2013-12-13 carlos.mazieri@gmail.com

        * Some improvements, there is not Bug related to these changes.
          (7518fb85)

2013-12-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (45160711)

2013-12-11 carlos.mazieri@gmail.com

        * Fixed copy of an item that already exists when  origin and
          destination paths are not the same, the item is
          overwritten. Removed unused class RemoveNotifier. Fixed
          ExternalFileSystemChangesWorker::run()  that was emitting
          finished with a wrong directory content counter.
          (840abb95)

2013-12-11 nskaggs

        * Add wait_select_single's to confirmdialog emulator. (ef516f71)

2013-12-10 nskaggs

        * fix pyflakes (ef1e4722)
        * tweaks to select for rename_dir test (a1f4e491)
        * is it a timing thing? (05e89132)
        * tweak ap tests for confirmdialog (38896c1d)

2013-12-08 carlos.mazieri@gmail.com

        * removed unused  class RemoveNotifier created
          Dirmodel::onItemChanged()
          DirModel::onItemChangedOutSideFm() calls
          Dirmodel::onItemChanged() (313d64e6)

2013-12-07 Michael Spencer

        * Added back wideAspect property (03cd7ba3)
        * Merged in settings button and worked on fixing tabs (55f9af85)

2013-12-07 Victor Thompson

        * Move Settings page to be accessible via the toolbar instead of
          being a separate tab.
          Fixes:
          https://bugs.launchpad.net/bugs/1257871. (433c6f31)
        * Remove settingsButton text property (cebfeae3)

2013-12-07 Michael Spencer

        * Improved PathBar (73b54afd)

2013-12-07 Victor Thompson

        * Call settingsAction from settingsButton (abf33ef2)
        * Add HUD action to launch Settings page. (5a61709d)

2013-12-06 carlos.mazieri@gmail.com

        * added test case
          TestDirModel::extFsWatcherNoticeChangesWithSameTimestamp().
          (17d2cd23)

2013-12-04 nskaggs

        * Add places popover to allow non-wideaspect UI to test properly.
          (cc9563db)

2013-12-04 Victor Thompson

        * change View toolbar icon (094e57f1)
        * Revert emulator change. (7b9e00b9)
        * Move Settings page to be accessible via the toolbar instead of
          being a separate tab. (123261c0)

2013-12-03 nskaggs

        * fix pep8 (476ad03e)
        * add timing check to rename_directory (8e0cafba)
        * add popover emulator, change goto function to use places menu as
          needed on small UI's (7a653bc4)
        * add logging (f6b0942c)
        * test goto place for phone (f68183d4)

2013-12-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (06e146c5)

2013-12-02 nskaggs

        * debugging ubuntu file manager on phone (c7314c40)

2013-11-30 carlos.mazieri@gmail.com

        * added test case
          TestDirModel::extFsWatcherNoticeChangesWithSameTimestamp()
          (8c2fd7c4)

2013-11-29 carlos.mazieri@gmail.com

        * merged from official plugin (279c99ba)

2013-11-27 Michael Spencer

        * Added initial path bar implementation (90ddc9ed)
        * Initial implementation of a collapsable sidebar (d3c0f7c9)

2013-11-27 carlos.mazieri@gmail.com

        * The auto-refresh feature which watches for external modifications
          in the file system is now using QFileSystemWatcher which
          was extended by ExternalFSWatcher class in
          externalfswatcher.h. (0f1d0350)

2013-11-26 nskaggs

        * Ensure click package isn't patching home while testing. Instead,
          migrate all the tests to test under a clean temporary
          directory, which itself is nested under home. (ad29816f)

2013-11-25 nskaggs

        * temp disable tests that only fail in the lab for no reason :-(
          (cc9587a7)
        * keep pyflakes and pep8 happy (784807d2)
        * migrate home asserts to testhome (a0575c73)
        * update assert to reflect testhome (9ced1a9d)
        * make pyflakes and pep8 happy (b4ac460a)
        * first working version (eeb62589)

2013-11-25 Michael Spencer

        * Fixed the missing home folder icon and also removed the UbuntuShape
          from around the file/folder icons.
          Fixes:
          https://bugs.launchpad.net/bugs/1254228. (3d844097)

2013-11-25 nskaggs

        * start conversion to using testhome (d184ef2f)

2013-11-25 Michael Spencer

        * Merged in the fixed home icon branch and fixed some problems with
          the icon view (90b577bf)
        * Initial keyboard support for going to a location. (22527556)

2013-11-23 Michael Spencer

        * Fixed pep8 errors (e018d28f)
        * Merged improved-file-opening (2e6f55ba)
        * Fixed an issue with openning files (491676dc)
        * Fixed pep8 errors (b148ae53)
        * Fixed autopilot tests (69b0fefe)
        * Fixed autopilot tests (fbb8d271)
        * Merged changes from the improved opening branch (3886a882)
        * Added an icon view and support for multiple tabs. Disabled the
          settings page as it really isn't needed right now.
          (2e20187d)
        * Removed the confirmation dialog when opening files, and added a
          check to see if the file actually opened (bd467438)
        * Added in the home icon from the ubuntu-mono-dark icon theme and
          also removed the UbuntuShape from all the file/folder
          items (8e015ed9)

2013-11-21 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (4d5e7db4)

2013-11-20 carlos.mazieri@gmail.com

        * Just decreased the interval time which ExternalFSWatcher waits to
          be sure a external change in the file system needs to be
          fired, then the file manager gets refreshed. (e54a2a65)

2013-11-19 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (abaa68c0)

2013-11-18 nskaggs

        * add back sergio's fix for click (can't patch home on click!)
          (4ebd6899)

2013-11-17 carlos.mazieri@gmail.com

        * path from QFileSystemWatcher is taken when the signal of changes
          arrives, then it is added again in
          ExternalFSWatcher::slotFireChanges()   when it really is
          sure that an update is necessary. (1fa0dfea)

2013-11-14 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5ca2e58e)

2013-11-13 nskaggs

        * This fixes the issues with files hanging around on devices and
          things not being cleaned up. (a4bdd2ee)
        * add checks for file/directory creation (1cdce4a5)
        * force grabbing files/folders by name, not index (f9f06775)

2013-11-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (bd74952f)

2013-11-12 nskaggs

        * whoops, need to fully revert :-) (37476cda)
        * disable open_file test, revert back to mktmp python functions
          (a75b94c1)

2013-11-07 nskaggs

        * tweaks (b0cdc4ce)
        * fix pep8, add forced removals (d723c4bf)
        * re-merge latest upstream tests for ap 1.4 (though I still have some
          notequals none calls to be replaced) (eb72ed53)

2013-11-06 nskaggs

        * temporarily remove mkstemp and mkdtemp calls for straight system
          calls (2b41e3e9)

2013-11-06 chris.gagnon

        * Autopilot tests updated to use autopilot 1.4. (8b45527d)

2013-11-05 nskaggs

        * remove unit test skips (a62c5290)
        * fix pep8 (6d67ca9e)
        * add test_cancel_create_directory, add additional asserts, add
          debugging logs (3612ac88)

2013-11-04 chris.gagnon

        * use base.get_launch_command to get qmlscene from ubuntu-ui-toolkit
          (212d244b)

2013-11-04 Victor Thompson

        * Do not use QClipboard until it works on devices.
          Fixes:
          https://bugs.launchpad.net/bugs/1243854. (6ebe9187)

2013-11-02 Victor Thompson

        * fix FolderListModel plugin (b7497735)

2013-11-02 carlos.mazieri@gmail.com

        * Some improvements: 1. added ubuntu_touch_run.sh to pass
          --desktop_file_hint parameter; 2. handled main parameters
          in the regression tests. (15ad740d)

2013-10-31 carlos.mazieri@gmail.com

        * It works around bug #1243854. (93e1928d)

2013-10-31 chris.gagnon

        * update tests with better function names (b94678e8)

2013-10-30 nskaggs

        * add longer timeouts for file creation (71df42ff)
        * fix % string ;-| (a8ec0c07)
        * add debug logging to help pinpoint runtime issues (333b017c)

2013-10-29 nskaggs

        * skipping tests affected by
          https://bugs.launchpad.net/ubuntu-filemanager-app/+bug/1243854
          (5632d26d)
        * re-enable patching home, using /home/tmp to support click
          (8ebec06f)

2013-10-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (872e8ee3)

2013-10-26 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (56b9e43a)

2013-10-25 chris.gagnon

        * update debian control (7bcd7dab)

2013-10-24 chris.gagnon

        * tests updated to run with autopilot 1.4 (ae623d47)

2013-10-20 carlos.mazieri@gmail.com

        * improved ExternalFSWatcher class to not lose notifications. added
          tests to measure CPU usage. (5f6fdb43)

2013-10-19 carlos.mazieri@gmail.com

        * removed code related to old properties that do not exist anymore.
          (afe40139)

2013-10-17 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (9a02deb2)

2013-10-16 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (f7f0c101)

2013-10-15 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (cf1f0364)

2013-10-14 Sergio Schvezov

        * Making tests use real home when testing under click. (33ad5964)
        * Making all tests use real home when testing click (6e58a529)
        * mergin awesome mr (f46f8b56)

2013-10-13 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5f55da88)

2013-10-12 carlos.mazieri@gmail.com

        * External file system watcher now is the class ExternalFSWatcher
          which inherits QFileSystemWatcher. RemoveNotifier class
          was removed since ExternalFSWatcher does its job.
          (831074f5)
        * merge from plugin (592ddf43)

2013-10-12 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (d6e6f3f7)

2013-10-11 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (42a0cdb5)

2013-10-10 carlos.mazieri@gmail.com

        * removed code related to old properties that no longer exist:
          pathAccessedDate, pathModifiedDate and pathIsWritable.
          (e9b83141)

2013-10-10 Sergio Schvezov

        * Changing applicationName although unconfined (d40cbed8)
        * Adding plugins (d96cc64a)

2013-10-07 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c1a898af)

2013-10-06 carlos.mazieri@gmail.com

        * I am resubimting this trying to make it pass from  Continuous
          Integration problem. (997b1507)

2013-10-05 carlos.mazieri@gmail.com

        * removed properties: pathAccessedDate, pathModifiedDate,
          pathCreatedDate and pathIsWritable. (71d0d775)

2013-10-04 Sergio Schvezov

        * Adding fixed manifests with final namespace. (e8a1f574)
        * Adding fixed manifests with final namespace (d8d859e2)

2013-10-04 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1b563f22)

2013-10-03 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5972ba9c)

2013-10-02 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (22b7213c)

2013-10-01 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (e9679975)

2013-09-30 carlos.mazieri@gmail.com

        * fixes bug  #1198858. (ee63279b)

2013-09-30 nskaggs

        * Add support for testing via click packages. (6f73ef47)

2013-09-30 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (1fe29015)

2013-09-29 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (c7f7e254)

2013-09-28 carlos.mazieri@gmail.com

        * It fixes the bug #1198858 (ef1bcd6a)
        * removed properties:  pathAccessedDate, pathModifiedDate,
          pathCreatedDate  and pathIsWritable (d86f95eb)
        * It solves the Bug #1198858. (dc9d3a1b)

2013-09-28 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (15731477)

2013-09-27 nskaggs

        * i <3 pep8 (1d12fc48)
        * fix pep8 issues (839e3188)
        * add click testing support (526156c2)

2013-09-27 Launchpad Translations on behalf of ubuntu-filemanager-dev

        * Launchpad automatic translations update. (5e8e8b10)

2013-09-18 Michel Spencer

        * Fixed the progress dialog, blurry icons, header covering content,
          and made the the toolbar hidden by default.
          Fixes:
          https://bugs.launchpad.net/bugs/1198861,
          https://bugs.launchpad.net/bugs/1202819,
          https://bugs.launchpad.net/bugs/1222093. (7da09903)

2013-09-17 Michel Spencer

        * Removed unused targets from the Makefile (b6b59d7f)
        * Added missing files (15165603)
        * Fixed icons looking blurry on a phone (a5040aad)
        * Only show progress dialog if it is needed (5d2f4fad)
        * Hid toolbar in phone mode and fixed content being hid by header
          (ae11a2a2)

2013-09-14 carlos.mazieri@gmail.com

        * added MetaData stuff in C++ view test. (542181bb)
        * grouped REGRESSION_TEST_FOLDERLISTMODEL stuff in header file.
          (ffdceb82)

2013-09-10 Nicholas Skaggs

        * Fix Xauthority errors stemming from home copy during testing.

          Fixes: https://bugs.launchpad.net/bugs/1220607. (7b93504a)

2013-09-09 Nicholas Skaggs

        * fix conditional check for Xauthority (526cb2d5)
        * fix pep8 errors (0c37faae)
        * make Xauthority copy run only on devices it is needed (b1f4cb0c)

2013-09-07 David Planella

        * Change Options toolbar button to read "View" (bug 1222090).
          Fixes:
          https://bugs.launchpad.net/bugs/1222090. (b3bd2e39)
        * Change Options button to View (ee8742e0)

2013-09-05 nskaggs

        * Fixed popovers, improved sidebar, and converted to using U1db for
          settings. (3342e9a7)
        * import unittest (c658112a)
        * fix pep8 issues again (3c7adcb8)
        * temp disable copy_file test in order to push rest of fixes to smoke
          test. The test randomly fails inside jenkins for an
          unknown dbus reason (0543d002)
        * add further asserts on file number and index (1b02f531)
        * relayout test file to place nontest functions on top, and tests
          below (f004e816)
        * add back assert for closing of popover (2f884e2a)

2013-09-04 nskaggs

        * add is and not matcher imports (0e7541cc)
        * really fix pep8 test (5443380a)
        * fix pep8 errors (4f04e217)
        * add timing asserts so we don't end up with blank popover objects
          (causing tests to fail) :-( (1e376d7e)

2013-09-04 Michael Spencer

        * Fixed pep8 errors (cd9b993e)
        * Added in .Xauthority fix by Francis Ginther (18b87ff5)

2013-08-30 Michael Spencer

        * Added U1db to Debian (271a9495)
        * Fixed email address (e696272e)
        * Fixed popovers, improved sidebar, and converted to using U1db for
          settings (2c0d4e44)

2013-08-24 carlos.mazieri@gmail.com

        * removed Qt4 mimetypes code separated taglib function to get audio
          metadata improved test for audio metadata (d797ce96)

2013-08-20 carlos.mazieri@gmail.com

        * Added getProgressCounter() that returns the number of progress()
          notifications an Action will perform It may be useful to
          decide about showing or not a progress dialog for
          Remove/Copy/Cut/Paste Actions. (d3717997)

2013-08-19 Victor Thompson

        * Add a module identifier directive to the qmldir file to protect
          from external registrations.
          Fixes:
          https://bugs.launchpad.net/bugs/1213714. (345d05aa)

2013-08-18 Victor Thompson

        * Add a module identifier directive to the qmldir file (127b4347)

2013-08-18 carlos.mazieri@gmail.com

        * Added getProgressCounter() that returns the number of  progress()
          notifications an Action will perform It may be useful to
          decide about showing or not a progress dialog for
          Remove/Copy/Cut/Paste Actions. (0b79ad14)

2013-08-15 Michael Spencer

        * Fixed broken autopilot tests that use the Places popover.
          (9b9d4014)
        * Fixed pep8 errors (d5a3d50e)
        * Added check for desktop mode for open file autopilot test
          (d3454080)
        * Updated autopilot tests to work with hacks in places popover due to
          Suru theme (cdbfb54a)

2013-08-13 nskaggs

        * Force rebuild of ppa package. (e629bb71)
        * modify for the bot (65170ae7)
        * simplify imports, force rebuild of package (0d8e6f01)

2013-08-12 nskaggs

        * Adds a settings sheet and the ability to hide/show advanced
          features. This allows the app to have features that
          advanced/power users want, while still being simple for
          regular users. (712bf1af)
        * Added a sidebar for desktop/tablet mode that makes going to
          bookmarked places easy (like in Nautilus), and the initial
          dark-gray gradient Suru theme by Victor Thompson.
          (d0f97432)

2013-08-09 Michael Spencer

        * Completely fixed all autopilot tests (0310d43b)

2013-08-08 carlos.mazieri@gmail.com

        * Added a seps field in the Action which represents the total of
          progress notifications that will happen. It can be used in
          the UI to decide about showing a progress bar/dialog or
          not. (637b8f61)

2013-08-06 Michel Spencer

        * Fixed pep8 and pyflakes errors and worked on fixing autopilot tests
          (761cc80c)
        * Improved autopilot tests to work with the sidebar (7ee73869)
        * Fixed action popovers (c6d7821f)
        * Fixed how the action selection popover worked (a0033c34)
        * Improved file action selection popover (bde7f053)
        * Added initial Suru theme and some hacks to make it work by Victor
          Thompson (8eca2bb6)

2013-08-06 nskaggs

        * This fixes the dependency issue for running the autopilot test
          package. ubuntu-ui-toolkit-autopilot is required to use
          the emulator.
          Fixes:
          https://bugs.launchpad.net/bugs/1208494. (123cfc6b)
        * add ubuntu-ui-toolkit-autopilot to dependencies for autopilot tests
          (326af733)

2013-08-06 Michel Spencer

        * Fixed visibility of actions in the folder actions popover
          (3beb6efe)
        * Merged in advanced-options branch (984c7b23)
        * Merged in changes from master branch (c1cfef10)
        * Added go to dialog to go to a user-entered location (3381e45b)

2013-08-01 Michel Spencer

        * Added initial places sidebar in desktop/wide mode (3d36cf6e)

2013-07-30 carlos.mazieri@gmail.com

        * added feature to backup items. doing copy/paste in the same
          directory will create items auto renamed "Item Copy(n)" .
          (624c40ea)

2013-07-29 Leo Arias

        * Updated the autopilot tests to use emulators. Cleaned the tests a
          little. (9f65e301)

2013-07-28 carlos.mazieri@gmail.com

        * backup items when  source directory is the same as destination
          directory in a Copy/Paste by doing an automatic renaming.
          backuped items will appear as:   ... Copy(n)  where n
          starts with 1. (c10cbcb9)

2013-07-26 Leo Arias

        * Merged with trunk. (0c464848)

2013-07-26 Victor Thompson

        * Display the last accessed time (atime) instead of last inode change
          time (ctime).
          Fixes:
          https://bugs.launchpad.net/bugs/1205157. (3cd21768)

2013-07-26 Leo Arias

        * Renamed the go to root test. (98486563)
        * Wait for the popover to disappear. (250462a6)
        * Updated the ubuntuuitoolkit package name. (e0a8d7f5)

2013-07-26 carlos.mazieri@gmail.com

        * fixes Bug #1205324 and clean original nemo folderlistmodel folder.
          (c27debf4)
        * removed original nemo-folderlistmodel (24e5d912)
        * merge again from Victor changes (a5ae0082)

2013-07-26 Victor Thompson

        * Provide the ability to get the last accessed date and time (atime)
          of a file or folder.
          Fixes:
          https://bugs.launchpad.net/bugs/1205157. (b83161cf)

2013-07-26 carlos.mazieri@gmail.com

        * Fixes the Bug #1205324, which is copy file and remove it before
          pasting. (fdfd09da)

2013-07-26 Leo Arias

        * Merged with trunk. (cea09f89)
        * Link to the clear button bug. (eedf25d4)
        * Added the link to the ActoinSelectionPopover bug. (66efb7b4)
        * Linked to the path autopilot bug. (fac666dd)
        * Double quotes look more common. (f721a05a)
        * Fixed pep8 errors. (0add4934)
        * Removed unused import. (0c984532)
        * Removed the unused tap. (c83e831c)
        * Third part of the refactor to use autopilot emulators. (3e96c1d4)

2013-07-25 Victor Thompson

        * Provide the ability to get the last accessed date and time (atime)
          of a file or folder. (33a4a3ac)
        * Display the last accessed time (atime) instead of last inode change
          time (ctime) (a37f2854)

2013-07-25 Leo Arias

        * Second part of the refactor to use autopilot emulators. (6d7f585a)
        * First part of the refactor to use autopilot emulators. (f67d352f)

2013-07-26 Victor Thompson

        * Add copy/past file autopilot test.
          Fixes:
          https://bugs.launchpad.net/bugs/1188746. (6e55c6dc)

2013-07-25 Leo Arias

        * Removed unused import. (f9abdd88)

2013-07-25 carlos.mazieri@gmail.com

        * If fixes Bug #1205017. (75e19f80)
        * just have progress debug message (2b622431)
        * Fixed Bug #1205017. (d8cc4a49)

2013-07-25 mhall119

        * Updated attribution in debian/copyright. (a30216fb)

2013-07-24 mhall119

        * Add individual contributors to debian/copyright (bba5fe8b)

2013-07-21 Victor Thompson

        * Fix spacing of item labels for ValueSelectors in the Settings
          Popover and change the color of the labels for all
          popovers. (b26c3825)

2013-07-19 Victor Thompson

        * Remove vertical centering in Settings, change the use of grey text
          to UbuntuColors.coolGrey, and changed the gradient
          (0949e4d2)
        * Intial Suru gradient and popover fixes. (5670533a)
        * Add copy/past file autopilot test. (1da1c8c7)

2013-07-19 Arto Jalkanen

        * Readjusted file listing view height for new SDK changes. (ff79e027)
        * Added bug report, removed unrelated, clarified comments (b75c144b)
        * Readjusted file listing view height for new SDK changes. Still not
          perfect but getting closer. (35a05bd8)

2013-07-18 carlos.mazieri@gmail.com

        * it fixes the Bug #1199775. (89c9dd42)

2013-07-17 Michel Spencer

        * Added settings sheet and storage backend (6e9bb609)
        * Added filter option (f4dd2620)
        * Added more autopilot tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1188377,
          https://bugs.launchpad.net/bugs/1188737,
          https://bugs.launchpad.net/bugs/1188738,
          https://bugs.launchpad.net/bugs/1188740,
          https://bugs.launchpad.net/bugs/1188745,
          https://bugs.launchpad.net/bugs/1188747,
          https://bugs.launchpad.net/bugs/1188748. (ca431ec8)

2013-07-15 Michel Spencer

        * Fixed pyflake errors (f9e750e6)
        * Fixed pep8 errors (edca18fe)
        * Added autopilot tests for copying and cutting folders and files
          (aca6cdb4)
        * Worked on autopilot test for copying a file (4b5f07ee)

2013-07-15 Leo Arias

        * Fixed the static errors.
          Fixes:
          https://bugs.launchpad.net/bugs/1201498. (7e0f683b)
        * Fixed the static errors. (60c7513a)
        * Fixed pep8 errors.
          Fixes: https://bugs.launchpad.net/bugs/1201483.
          (76a609e9)
        * Link to the bug. (dcc4c8a4)
        * Fixed pep8 errors in
          tests/autopilot/ubuntu_filemanager_app/tests/test_filemanager.py.
          (aff1ec1e)
        * Fixed pep8 errors in
          tests/autopilot/ubuntu_filemanager_app/emulators/main_window.py.
          (60b878fe)
        * Fixed pep8 errors in
          tests/autopilot/ubuntu_filemanager_app/emulators/ubuntusdk.py.
          (d9b03cd2)

2013-07-13 carlos.mazieri@gmail.com

        * fixed clipboard content to be compatible with nautilus (6c3bf159)

2013-07-11 Michel Spencer

        * Added autopilot test for showing file details (8309f5a0)
        * Added autopilot test for showing directory details (9cdf428a)
        * Added autopilot for listing directory contents (cb87228b)
        * Finished the autopilot test for the file actions dialog (2d06fc74)
        * Merged upstream changes (f8c09bba)
        * Worked on autopilot test for the file action dialog (246ab036)

2013-07-09 Daniel Kessel

        * Fixes Bug #1188736: Autopilot Testcase Needed: Test opening context
          menu on directory Edit. (8ee3ddee)
        * rename existing test "test_file_actions_shows" to
          "test_file_actions_shows", create new test
          "test_folder_actions_shows" (a2833af3)

2013-07-09 Michel Spencer

        * Fixed typos related to LP #1198858.
          Fixes:
          https://bugs.launchpad.net/bugs/1198858. (ecc049b4)
        * Enabled auto refresh of the folder view. (6a0d3417)
        * Moved the path entry field to the top of the popover.
          Fixes:
          https://bugs.launchpad.net/bugs/1198856. (42c3dab5)

2013-07-09 Sam Hewitt

        * Refined Ubuntu Touch style icon. (d77daded)

2013-07-08 Sam Hewitt

        * Refined Ubuntu Touch style icon. (54c518ad)

2013-07-08 Michel Spencer

        * Moved path entry to top of places popover (42d72bf8)
        * Enabled auto refresh of folder view (38c2a18a)
        * Fixed LP #1198858 (7e6c3f1a)

2013-07-07 carlos.mazieri@gmail.com

        * minimal improvement, just to trigger building new version after
          doing manual merge twice. (9294b52f)
        * Little improvement, getting current path modified time even
          External Files System watcher is disabled. Any time it is
          enabled, current path last modified time is available.
          (937c2a64)

2013-07-07 Omer Akram

        * make sure to copy icons to installed location.
          Fixes:
          https://bugs.launchpad.net/bugs/1198044. (22748166)
        * fix icons not showing in toolbar (a2e52805)

2013-07-06 carlos.mazieri@gmail.com

        * adding  a "external file system watcher"  which is a  "auto refresh
          feature", it  fixes: Bug #1190676  and Bug #1191282
          (d7627186)
        * adding  a "external file system watcher"  which is a  "auto refresh
          feature", it  fixes: Bug #1190676  and Bug #1191282
          (4816163d)

2013-07-04 Sam Hewitt

        * Add Ubuntu-Touch-style icon. (e5032af7)

2013-07-04 Michel Spencer

        * Added autopilot tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1188733,
          https://bugs.launchpad.net/bugs/1188744,
          https://bugs.launchpad.net/bugs/1188749,
          https://bugs.launchpad.net/bugs/1188750,
          https://bugs.launchpad.net/bugs/1188751,
          https://bugs.launchpad.net/bugs/1188752. (51b3cc60)
        * Redesigned the toolbar and added settings and some new features.

          Fixes: https://bugs.launchpad.net/bugs/1188734. (0ca3c7cf)

2013-07-03 Michel Spencer

        * Colored the cancel buttons gray and made the go to location button
          green (d54993f2)
        * Added local png icons for the toolbar (22a5429b)

2013-07-01 Michel Spencer

        * Merged in changes from the improved toolbar (bdee38ad)
        * Added more icons for common folders (04c0bb7f)

2013-06-30 carlos.mazieri@gmail.com

        * merged from Carlos branch (e27ef511)
        * preparing to merge (a138b905)
        * merged from Carlos  branch (c03ca2b2)
        * auto refresh feature almost done (9f950119)

2013-06-29 Michel Spencer

        * Added properties popover for the current folder and also added
          icons for file system root, home folder, and main folders
          in home (88a3cb3c)
        * Added path entry validation (0582f090)

2013-06-29 carlos.mazieri@gmail.com

        * Fixed Bug 1195531: openPath() doesn't work for non-child
          directories Fixed Bug 1191281:  Use standard abbreviations
          for file sizes, in fact only changed "KB" to "kB" Fixed
          Bug 1195488:  Support for validating locations entered by
          the user:          created functions that receive absolute
          or relative pathnames:                   Q_INVOKABLE  bool
           existsDir(const QString&  folderName) cons.
               Q_INVOKABLE  bool  canReadDir(const QString&
          folderName) const;                   Q_INVOKABLE  bool
          existsFile(const QString& fileName)   cons.
              Q_INVOKABLE  bool  canReadFile(const QString&
          fileName)  const; Bug #1195491: Backend support for
          accessing details about the current folder Edit, created
          functions:          Q_PROPERTY(QDateTime pathCreatedDate
          READ pathCreatedDate)          Q_PROPERTY(QDateTime
          pathModifiedDate READ  pathModifiedDate)
          Q_PROPERTY(QString pathCreatedDateLocaleShort  READ
          pathCreatedDateLocaleShort)          Q_PROPERTY(QString
          pathModifiedDateLocaleShort READ
          pathModifiedDateLocaleShort)          Q_PROPERTY(bool
          pathIsWritable  READ pathIsWritable) (dff4d32b)

2013-06-28 Michel Spencer

        * Added tests for a renaming a directory and for renaming a file
          (2977c5f2)
        * Added test for deleting a file (726d64e1)
        * Added test for deleting a directory (43dffd6a)
        * Added test to create a new directory (0568c920)
        * Added test for going up a directory (8ab65609)

2013-06-27 Michel Spencer

        * Improved location entry UI (3385db2e)
        * Added UI to go to a location entered by the user (685a9082)
        * Improved UI.
          Fixes: https://bugs.launchpad.net/bugs/1190855.
          (21545ce4)
        * Added test for going home and to the root folder (fixed LP#
          1188734) (1efa6692)
        * Pulled in autopilot test and fixed it to work with the new UI
          (436ddd48)
        * Fixed missing objectName in directory header (7f495191)
        * Fixed problems caused by new autopilot tests. Also fixes: 1190855
          (5753e17b)

2013-06-27 Leo Arias

        * Added the test to open a directory.
          Fixes:
          https://bugs.launchpad.net/bugs/1188732. (2d4f2f28)

2013-06-26 Michel Spencer

        * Added UI to sort the list of files (d6d07796)
        * Added settings menu and ability to show hidden files (834e0b45)
        * Disabled hiding of paste action (doesn't work) (dc7351bb)
        * Fixed paste action and made minor changes in order of actions and
          naming of dialogs (83c3877e)
        * Moved folder related actions (create folder, and paste) into an
          Actions popover (8a1070a1)
        * Added Places popover and Create actions popover (7d857e10)
        * Removed page stack functionality (better performance, room for more
          tabs) (3428ce0c)

2013-06-25 Sam Hewitt

        * Added a new main icon. (21f76d9e)

2013-06-25 Michel Spencer

        * Fixed size of file details popover (a326b37b)
        * Fixed autopilot tests (69fe42ee)
        * Fixed margins in details popover and changed icons to Humanity
          theme. (db41271d)
        * Setup page stack to push folders above the user's home folder
          (951f4e88)
        * Converted app to using a page stack and also updated icons
          (183b6a38)

2013-06-23 Victor Thompson

        * Change folderlistmodel plugin dependency. Fixes #1191364.
          Fixes:
          https://bugs.launchpad.net/bugs/1191364. (e98483d7)

2013-06-21 carlos.mazieri@gmail.com

        * added metadata stuff, merged from Music App (f1230d4b)

2013-06-21 Victor Thompson

        * Change folderlistmodel plugin dependency. Fixes #1191364.
          (463b1c05)

2013-06-15 Victor Thompson

        * Add a filterDirectories variable to optionally filter or not
          filter directory names with nameFilters;  Changed behavior
          of nameFilters to make providing multiple regexes match
          multiple files (or instead of and);  Add
          readsMediaMetadata to optionally allow the model to read
          metadata from media files via Taglib;  Add isRecursive to
          optionally recursively scan the directory (overrides
          showDirectories). (94cd5ddd)

2013-06-15 carlos.mazieri@gmail.com

        * Fixed problem in Cut/Paste operations when destination item already
          exists Source documentation improved Added test case
          modelCutPasteIntoExistentItems(). (3c7c525d)

2013-06-13 Leo Arias

        * Updated the README. (9035483a)
        * Factored the code to make the test dif. (f12e2cbb)
        * Added information about the label bug. (420d1ac0)
        * Added the test to open a directory. (66de40dc)
        * Added the ubuntusdk emulator. Test is now working. (717a452b)
        * Better handling of the preconditions with a temp home. TODO click
          the home button is not working. (5426f466)
        * Removed empty tear down. (b23eb6a0)
        * Fixed pep8. (77069a14)

2013-06-12 Victor Thompson

        * Small update to test case (13d666cd)
        * Added a test to verify metadata of an MP3 (a3fd08f5)
        * Allow plugin to compile under Qt4. The CoverArtImageProvider class
          will be unavailble in Qt4. (81f547a5)

2013-06-12 carlos.mazieri@gmail.com

        * fixed Auxilary Action disabling progress (dcb6be8e)

2013-06-11 Victor Thompson

        * Add TagLib headers (libtag1-dev) build dependency. (77a4d7ce)
        * Recursively scan directories when isRecursive is true, effectively
          overrides showDirectories (d0fa0087)

2013-06-08 carlos.mazieri@gmail.com

        * fixed some misspelled words. (1ddcb42e)
        * The same problem about renaming existent files (old, new) when the
          new name already exists reported short time ago in a copy
          operation used to happen also in cut operations. It has
          been fixed. (3f67a13e)

2013-06-08 Victor Thompson

        * Add isRecursive (not implemented yet) and readsMediaMetadata, which
          default to false. (5c865fd1)

2013-06-07 Victor Thompson

        * Adding capabilities necessary for lp:music-app to make use of the
          plugin. (747e5380)

2013-06-05 carlos.mazieri@gmail.com

        * A check if the destination file exists was added, if so the
          destination file is removed. (f9c8a4a9)

2013-06-05 Francis Ginther

        * Add packaging (thanks Timo Jyrinki). (5fe43c70)

2013-06-04 Francis Ginther

        * Updated changelog to remove patch reference (95437772)
        * Apply patches and convert to native format. (b2baf2ec)
        * Add packaging (thanks Timo Jyrinki). (25e53067)

2013-06-01 carlos.mazieri@gmail.com

        * fixed refresh view signals when a pate operation is made and items
          already exist. In this case as the existent item is
          removed both signals: "removed" and "added" items are
          sent. (de6e0400)

2013-05-31 Omer Akram

        * Add initial autopilot tests structure and packaging. (95b9c1a7)

2013-05-31 carlos.mazieri@gmail.com

        * fixed bug when pasting into a file that already exists, added
          modelCopyPasteAndPasteAgain() (806c3741)

2013-05-31 Omer Akram

        * add skeleton for autopilot tests (82418562)

2013-05-30 carlos.mazieri@gmail.com

        * added check when pasting into the origin (95ba5850)

2013-05-27 Arto Jalkanen

        * Remove Bookmarks functionality (no time for it). (e35bc04b)

2013-05-25 carlos.mazieri@gmail.com

        * added QMimeType to try QIcon::fromTheme() to get icons. (866b3f69)

2013-05-20 mhall119

        * Remove Encoding entry from .desktop, it's not part of the spec and
          prevents the app from showing in the Dash. (b9328914)
        * Add qmlscene to .desktop file's Exec (47d80ca2)
        * Remove Encoding entry from .desktop, it's not part of the spec and
          prevents the app from showing in the Dash (5a28d9b6)

2013-05-16 Arto Jalkanen

        * Removed Bookmark placeholder items as there is no time for it at
          the moment. (e7c0fd43)
        * Placeholders for popup items (though current SDK does not seem to
          support them). (f19ef97d)
        * Placeholders for popup items (though current SDK does not seem to
          support them) (a8004fe5)
        * Placeholder icons for toolbar. . (5a816554)
        * Placeholder icons for toolbar. (11991f25)
        * Using backend to open filetypes for future flexibility. (87d035f7)
        * Removed hack that by-passed folderlist plugin bug that has been
          fixed. (17e43f48)
        * Fix for create new folder. (ac8265b2)
        * Removed hack that by-passed folderlist plugin bug that has been
          fixed. (86da7bf3)
        * PopupUtils.open does not work without passing parent no more in new
          SDK. (4d8636d2)

2013-05-11 carlos.mazieri@gmail.com

        * 1. directories now show number of items instead of size 2. added
          openIndex() and openPath() to open files with a suitable
          application, also open directories 3. progress improved,
          considering directories and links having size() in copy
          operations to reach 100% only after last item be copied 4.
          C++ test ui improved 5. tested in Qt4 (46b6cc6e)
        * clipboard now handled correctly after testing it in Qt4 (31ae08d6)

2013-05-04 carlos.mazieri@gmail.com

        * added some checks for progress (a763afc5)
        * Fixed some bugs (0aecb1f5)

2013-05-02 Paolo Rotolo

        * Fix for 1175219.
          Fixes: https://bugs.launchpad.net/bugs/1175219.
          (15b06605)

2013-05-01 Paolo Rotolo

        * Fix for 1175219 (cd152ed9)

2013-05-01 Arto Jalkanen

        * Showing path. (1799f860)

2013-04-28 carlos.mazieri@gmail.com

        * implemented a copy operation that emits progress signal (d00d0edd)

2013-04-26 Arto Jalkanen

        * Showing current path. (2047ab33)

2013-04-24 Arto Jalkanen

        * Progress dialog for pasting items. (8c2d02bb)
        * Cut single item to clipboard. (252c63bc)
        * Copy-paste of single item. (a7de5a3d)

2013-04-23 carlos.mazieri@gmail.com

        * Merged with Arto changes related to having some names for different
          functions, it does apply in QML. (6a707bcf)

2013-04-23 Arto Jalkanen

        * Paste progress dialog. (7bfbbc55)
        * Clipboard cut for item. (50e38e3f)

2013-04-22 Arto Jalkanen

        * Copy for single item with context item, and pasting using toolbar.
          (791a5f29)

2013-04-21 Francis Ginther

        * Version bump. (7ca0b331)

2013-04-20 carlos.mazieri@gmail.com

        * added  Q_PROPERTY(int clipboardUrlsCounter READ
          getClipboardUrlsCounter NOTIFY clipboardChanged)
          (face8bc8)

2013-04-19 Francis Ginther

        * Version bump (50229ce8)

2013-04-18 Arto Jalkanen

        * Added Ubuntu copyrights to each QML. (0cce6458)

2013-04-17 Arto Jalkanen

        * Added Ubuntu copyrights to each QML (b159efa5)

2013-04-16 Arto Jalkanen

        * File operation progress dialog. Errors put into main text body as
          Ubuntu components seem not able to handle long texts in
          title. . (e69e1fb3)
        * File operation progress dialog. Errors put into main text body as
          Ubuntu components seem not able to handle long texts in
          title. (9c13cde8)

2013-04-15 Arto Jalkanen

        * parentPath as property (from upstream). (36657863)
        * parentPath as property. (9f7a0714)

2013-04-15 mhall119

        * Updates packaging for a better install. (6ee7b98d)

2013-04-14 carlos.mazieri@gmail.com

        * implemented Sort by name or modified date (dcd7b3ce)

2013-04-13 carlos.mazieri@gmail.com

        * Merged with Arto's model changes (814d004e)

2013-04-11 mhall119

        * Merge from template branch (73c2cc77)

2013-04-11 Arto Jalkanen

        * Single item operations: delete, create folder, rename. Slight
          refactoring. (4cc2866f)

2013-04-11 mhall119

        * Add applicationName to MainView (97d2572b)

2013-04-11 Arto Jalkanen

        * Added scrollbar to filelist view. (d4d4440c)

2013-04-11 David Planella

        * Merged packaging improvements from
          lp:~osomon/ubuntu-phone-commons/appTemplate-packaging-fixes
          (205ebc49)

2013-04-10 carlos.mazieri@gmail.com

        * added show Hidden Files feature as property (13856204)

2013-04-08 Olivier Tilloy

        * Remove again the fallback dependency on qt-components-ubuntu. It is
          really not needed any longer, as the ubuntu-sdk-team
          release PPA contains the latest
          qtdeclarative5-ubuntu-ui-toolkit-plugin for quantal.
          (db98667a)
        * Set split mode for bzr builddeb plugin (see
          http://jameswestby.net/bzr/builddeb/user_manual/split.html).
          (2becdd83)

2013-04-05 Olivier Tilloy

        * Revert the last change, after all the fallback dependency is still
          needed for Quantal desktops. (ad23fd63)
        * Remove the fallback dependency on the old UI toolkit package name,
          it is not needed any longer. (04785432)
        * Move back special dependencies to the beginning of the list, this
          seems to be a widely used convention. (c101f0ed)

2013-04-04 Olivier Tilloy

        * Add bzr ignore rules. (b03e3e6f)
        * Largely simplified install rules. (03d53b32)
        * Removed unused substitution variable. (52af2b7b)
        * Removed useless section specifier for the binary package.
          (388cf3f7)
        * Add a Vcs-Bzr field to the control file. (d242d6c7)
        * Re-order runtime dependencies. (6fe24472)
        * Updated source format to 1.0. (31783aca)
        * Removed unused file. (76ffbf26)
        * Minor updates to the copyright info. (50c30972)
        * Enhanced package description. (f46b8710)
        * Updated dependency on the Ubuntu UI toolkit package. (422568c7)
        * Make the package architecture-independent. (2a474280)
        * Bump standards version to 3.9.4. (65c2b339)
        * Bump debhelper dependency to 9. (c1279c54)
        * Updated maintainer field of the control file. (80244524)

2013-04-02 carlos.mazieri@gmail.com

        * 1. changed to BSD license in FileSystemAction 2. applied patches
          from Main Branch 3. merged with Arto changes 4. separated
          helper classes TempFiles and DeepDir into tempfiles.h/cpp
          (1391b1ef)

2013-04-01 Arto Jalkanen

        * Rename. (22cbfac4)
        * Refactored NotifyDialog to it's own component. (1aeaac77)
        * Create folder. (76476c48)
        * Delete single item. (6b07baec)

2013-03-25 Arto Jalkanen

        * Added scrollbar to file list view (b215c1d0)
        * parentPath is function in qml plugin instead of needlessly being
          property. Change to QML. (f16fd4fa)

2013-03-23 carlos.mazieri@gmail.com

        * ui doing copy/paste agains dolphin filemanager (b4e16754)
        * Remove/Copy/Cut working (103fb594)

2013-03-22 Arto Jalkanen

        * parentPath is now function call instead of property. (84599e10)

2013-03-21 Arto Jalkanen

        * Showing activity indicator for loading directory entries .
          (10aa66ef)

2013-03-19 Arto Jalkanen

        * Activity indicator for page loading before results start to come
          in. (ce6b7a72)

2013-03-18 Arto Jalkanen

        * Updated README for fixed nemo plugin that was merged earlier.
          (7e357548)
        * Added file opening dialog. (929c6bf2)
        * Fixed README for fixed nemo plugin. (ef3e6c53)
        * Added file open dialog. (256be3d6)
        * Initial file details popover. (c205847f)

2013-03-16 carlos.mazieri@gmail.com

        * remove working (5a0ade69)

2013-03-15 carlos.mazieri@gmail.com

        * added FileSystemAction class added a regresssion test project
          t_folderlistmodel/regression/regression_foldelilstmodel.pro
          (adaefea0)

2013-03-13 Arto Jalkanen

        * Comment added (ce3c1ca9)
        * Initial file details popover implemented. (2a5e7625)
        * Basic navigation of filesystem implemented. See README on how to
          build dependencies and running. (013f0354)

2013-03-13 carlos.mazieri@gmail.com

        * using only QFile::rename() to rename both Dirs and Files (58574e26)

2013-03-12 Arto Jalkanen

        * Format datetime nicer. (844f6a59)
        * Show "No files" when navigated to folders without content
          (7c3ddb0f)
        * Non accessible (r or x bit not set) directories won't be traversed,
          notify dialog shown. Progression arrow shown for
          directories. (17f336f0)

2013-03-11 Arto Jalkanen

        * Added home toolbar action which brings always to home folder. Some
          cleanup. (ddab889e)
        * Translateable "Up" (09dffdcc)
        * Show home path as default folder. (a71ce4a4)
        * Proper filepath handling, using plugin's parentPath. (1b2b9b08)

2013-03-10 carlos.mazieri@gmail.com

        * intial version of folderlistmodel, nemo-folderlistmodel is the
          orignal for comparing purposes, test_folderlistmodel
          contains tests. (9138ce5b)

